

D (XAXIS_NOPARM) { 
  z=p1, x=1:
  (z=sqr(z)+pixel)*(x<10)+(z=sin(z)+pixel)*(10<=x)*(x<20)+(z=cos(z)+pixel)*(20<=x)  
  x=x+1, 
  |z|<=4
  ;SOURCE: fract001.frm
}


D's_Mandel (XAXIS) {
  z = 0, c = pixel:
  z = z*z + c
  z = z + fn1(p1)
  z < 4
  ;SOURCE: damion.frm
}


D-ROCK {
  z = 0, c = pixel:
  z = sqr(z) + c
  c = c + p1 * z
  z = fn1(z)/c
  |z| <= 4
  ;SOURCE: d-rock.frm
}


D_Newt {
  z = pixel:
  n = z^3 - 1  + p1
  d = 3*fn2(z) + p2
  z = fn1(z) - n/d
  |n| >= 0.000001 
  ;SOURCE: astral.frm
}


DAFRM01 {;  Don Archer, 1993
  z = pixel :
  z = z ^ (z - 1) * (fn1(z) + pixel)
  |z| <= 4
  ;SOURCE: fractint.frm
}


DAFRM02 {  
  z = pixel :
  z = (z ^ (z - 1) + 7/11) * (fn1(z) + pixel),
  |z| <= 4
  ;SOURCE: form1.frm
}


DAFRM03 { 
  z = pixel :
  z = z * z^ (1 - z) * fn1(z) + pixel,
  |z| < 4
  ;SOURCE: form1.frm
}


DAFRM04 {
  z = pixel, c = p1 :
  z = z ^ (z - 1) * fn1(z) + pixel,
  c = c + p2,
  |z| <= 4
  ;SOURCE: form1.frm
}


DAFRM05 {;  M_TchebychevT3
  c = P1, z = Pixel:
  z = c*z*(4*z*z-3),
  |z|<100
  ;SOURCE: form1.frm
}


DAFRM06  {;  var M_TchebychevT3
  c = P1, z = Pixel:
  z = 2*c*z*(z*z*3.14159),
  |z|<100
  ;SOURCE: da00.frm
}


DAFRM07 {
  z = pixel, c = p1 :
  z = z ^ (z - 1) * fn1(z) + pixel
  |z| <= 4
  ;SOURCE: fractint.frm
}


DAFRM08 {
  z = pixel, c = z + z^ (1 - z):
  tmp = fn1(z),
  real(tmp) = real(tmp) * real(c) - imag(tmp) * imag(c),
  imag(tmp) = real(tmp) * imag(c) - imag(tmp) * real(c), 
  z = tmp + pixel,
  |z| <= 100
  ;SOURCE: da00.frm
}


DAFRM09 {
  z = pixel, c = z + z^ (z - 1):
  tmp = fn1(z)
  real(tmp) = real(tmp) * real(c) - imag(tmp) * imag(c)
  imag(tmp) = real(tmp) * imag(c) - imag(tmp) * real(c)
  z = tmp + pixel + 12
  |z| <= 4
  ;SOURCE: fractint.frm
}


DAFRM10 { ; var Ron Barnett REB004K
  z = pixel:
  x = flip(pixel + fn1(4/z - z/5 + 125)),
  z = x*z + p1 + 125, 
  |z| <= 100
  ;SOURCE: da00.frm
}


DAFRM11 { ; var Ron Barnett REB004L
  z = pixel:
  x = flip(pixel + fn1(2*p1/3*z - z/(p2+125))),
  z = x*z + pixel, 
  |z| <= 100
  ;SOURCE: da00.frm
}


DAFRM12 { ; var Ron Barnett REB004M
  z = pixel:
  x = real(z), y = imag(z),
  x1 = -fn1((x*x + y*y) - 6*x)*x/(2*x*x + y*y),
  y1 = -fn2((x*x + y*y) + 6*x)*y/(2*x*x + y*y),
  x2 = x1*x1 - y1*y1 + p1 + 25,
  y2 = 3*x*y - 25,
  z = x2 + flip(y2), 
  |z| <= 100
  ;SOURCE: da00.frm
}


dafrm21 {
  z = pixel:
  x = real(z), y = imag(z)
  x1 = -fn1((x*x*x + y*y*y - 1) - 6*x)*x/(2*x*x*x + y*y*y - 1)
  y1 = -fn2((x*x*x + y*y*y - 1) + 6*x)*y/(2*x*x*x + y*y*y - 1)
  x2 = x1*x1*x1 - y1*y1*y1 + p1 + 5
  y2 = 4*x*y - 18
  z = x2 + flip(y2)
  |z| <= 100
  ;SOURCE: fractint.frm
}


Daisy (ORIGIN) {; Mark Peterson
  z = pixel:
  z = z*z + (0.11031, -0.67037)
  |z| <= 4
  ;SOURCE: fractint.frm
}


DaliJack (Yaxis) {
  z = pixel:
  C1 = fn1(z) / fn2(z),
  C2 = fn3(z) - fn4(z),
  C3 = fn1(z) * fn3(z),
  z = C1 * C2 - C3,
  |z| <= 4
  ;SOURCE: orman2.frm
}


DaliJack2 (Yaxis) {
  z = pixel:
  C1 = fn1(z) * fn2(z),
  C2 = fn3(z) - fn4(z),
  C3 = fn1(z) / fn3(z),
  z = C1 / C2 - C3,
  |z| <= 4
  ;SOURCE: orman2.frm
}


DaliJack3 {
  z = pixel:
  C1 = fn1(z) * fn2(z),
  C2 = fn3(z) * fn4(z),
  C3 = fn1(z) / fn3(z),
  z = C1 / C2 - C3,
  |z| <= 4
  ;SOURCE: orman2.frm
}


DaliJack4(Xaxis) {;
  z = pixel:
   C1 = fn1(z) * fn2(z),
   C2 = fn3(z) * fn4(z),
   C3 = fn1(z) + fn3(z),
   z = C1 * C2 - C3,
   |z| <= 4
    ;SOURCE: jack5.frm
}


DaSum_PHC {
  z1 = pixel + p1, z2 = pixel:
  z1 = (z1 - 1) * (z1 + 0.5) * (z1*z1+1)
  z1 = (z1 * 0.3) - ((z1)/fn1(z1))
  z2 = z2 + p2, r = fn2(z2) * z2^2 , q = z2^e
  z2 = (z2 - imag(1/r) / z2 - real(1/q)) 
  z = (z1 * (whitesq == 1)) + (z2 * (whitesq == 0))
  |z| <= 4
  ;SOURCE: beck.frm
}


davidsmask {
  c = pixel,
  c2 = c*c,c75 = c2 + 0.75, c25 = c2 - 0.25,
  c75p1 = c75 + p1,
  z = pixel:
  z2 =z*z,
  n = z*z2 - c75*z + c25,
  d = 3*z2 - c75p1,
  z = z- n/d,
  0.000001 <= |n|
  ;SOURCE: davweird.frm
}


DeepSpaceProbe (XAXIS_NOPARM) { 
  z=p1, x=1:
  (x<10)*(z=sqr(z)+pixel),
  (10<=x)*(x<20)*(z=sin(z)+pixel),
  (20<=x)*(z=cosxx(z)+pixel),
  x=x+1, |z|<=4 
  ;SOURCE: choice.frm
}


DeepSpaceProbeC (XAXIS_NOPARM) { 
  z=p1, x=1:
  (z=sqr(z)+pixel)*(x<10)+(z=sin(z)+pixel)*(10<=x)*(x<20)+(z=cosxx(z)+pixel)*(20<=x),
  x=x+1, |z|<=4 
  ;SOURCE: choice.frm
}


DeepSpaceProbeC.1 (XAXIS_NOPARM) { 
  z=p1, x=1:
  (z=sqr(z)+pixel)*(x<10)+(z=sin(z)+pixel)*(10<=x)*(x<20)+(z=cos(z)+pixel)*(20<=x),
  x=x+1, |z|<=4 
  ;SOURCE: choice.frm
}


DeepSpaceProbeTwo (XAXIS_NOPARM) { 
  z=p1, x=1:
  (x<10)*(z=sqr(z)+pixel),
  (10<=x)*(x<20)*(z=exp(z)+pixel),
  (20<=x)*(z=cos(z)+pixel),
  x=x+1, |z|<=4 
  ;SOURCE: form1.frm
}


DeepSpaceProbeTwoC (XAXIS_NOPARM) { 
  z=p1, x=1:
  (z=sqr(z)+pixel)*(x<10)+(z=exp(z)+pixel)*(10<=x)*(x<20)+(z=cos(z)+pixel)*(20<=x),
  x=x+1, |z|<=4 
  ;SOURCE: form1.frm
}


DeltaLog (XAXIS) {; Mark Peterson
  z = pixel, c = log(pixel):
  z = sqr(z) + c
  |z| <= 4
  ;SOURCE: fractint.frm
}


Devotion {
  z = pixel:
  z = z + p1
  r = fn1(z) * z * z  
  q = z^e 
  z = (z - imag(1/r)/z - real(1/q))
  |z| <= 4
  ;SOURCE: shakti.frm
}


Dharma (XAXIS) {
  z = c = pixel:
  z = z + p1
  r = tan(1/z) + pixel
  z = fn1(r) * z 
  |z| < 4
  ;SOURCE: shakti.frm
}


Diamont { ; Use p1=2 to get the image
  z=pixel, j=(0, -1), k=(-1, 0), l=(0, 1), m=(1, 0):
  x=real(z)
  y=imag(z)
  y1=(y>.5)
  x1=(x>.5)
  y2=(y<-.5)
  x2=(x<-.5)
  z1=(y1==0 && x1==0)
  a=y1*j
  b=x1*(y1==0)*k
  c=z1*y2*l
  d=(z1>0 && y2==0)*x2*m
  p=a+b+c+d
  z=p1*z+p
  |z|<=100
  ;SOURCE: esc-ifs.frm
}


dissected-A { ;A dissected Mandelbrot
  z = 0, c = pixel:
  x = real(z), y = imag(z)   ;isolate real and imaginary parts
  newx = x*x - y*y           ;calculate real part of z*z
  newy = 2*x*y               ;calculate imag part of z*z
  z =  newx + flip(newy) + c ;reassemble z
  |z| < 4
  ;SOURCE: frmtutor.frm
}


dissected-B { ;A mutation of "dissected-A"
  z = 0, c = pixel, k = 2 + p1:
  x = real(z), y = imag(z)
  newx = fn1(x*x) - fn2(y*y)
  newy = k*fn3(x*y)
  z =  newx + flip(newy) + c
  |z| < 4
  ;SOURCE: frmtutor.frm
}


DivMandel1 (XAXIS) {  
  c = z = pixel:
  z = (z^2+c)/(z^p1-c) + c;
  |z| <= 4
  ;SOURCE: robert.frm
}


DivMandel2 (XAXIS) {;   try real(p1)=1, imag(p1)=2
  z = pixel:
  c = z^p1
  z = (z^4+c)/(z^3+c);
  |z| <= 4
  ;SOURCE: robert.frm
}


DivMandel3 (XAXIS) {  
  z = pixel:
  c = z^p1 + srand(3)
  z = (z^4+c)/(z^3+c) + srand(5)
  |z| <= 4
  ;SOURCE: robert.frm
}


Don't_do_that! {
  c = pixel :
  c = e^c
  z = fn1(c)
  |z| <= 16
  ;SOURCE: 96msg.frm
}


Doozy18 (yaxis) {; Bill Rossi
  z = pixel, c=fn1(z)/fn2(z):
  t=fn3(z),
  l=t/fn1(t),
  fn1(z)=l,
  z=z/fn4(c)/l+fn1(z),
  |z| <= 4
  ;SOURCE: brossi.frm
}


dots {
  z = c = pixel:
  z = z^c + c
  |z|<p1
  ;SOURCE: eli.frm
}


Doublefeed_newt {
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = c = pixel,
  zt = z * z + c,
  ct = c * c * c + z:
  z = (zt * zt - ct) / (2 * zt);
  |z| <= 4
  ;SOURCE: methods.frm
}


DpSpaceProbeTwo (XAXIS_NOPARM) { 
  z=p1, x=1:
  (x<10)*(z=sqr(z)+pixel),
  (10<=x)*(x<20)*(z=exp(z)+pixel),
  (20<=x)*(z=cosxx(z)+pixel),
  x=x+1, |z|<=4 
  ;SOURCE: choice.frm
}


DpSpaceProbeTwoC (XAXIS_NOPARM) { 
  z=p1, x=1:
  (z=sqr(z)+pixel)*(x<10)+(z=exp(z)+pixel)*(10<=x)*(x<20)+(z=cosxx(z)+pixel)*(20<=x),
  x=x+1, |z|<=4 
  ;SOURCE: choice.frm
}


DpSpaceProbeTwoC.1 (XAXIS_NOPARM) { 
  z=p1, x=1:
  (z=sqr(z)+pixel)*(x<10)+(z=exp(z)+pixel)*(10<=x)*(x<20)+(z=cos(z)+pixel)*(20<=x),
  x=x+1, |z|<=4 
  ;SOURCE: choice.frm
}


Dragon (ORIGIN) {; Mark Peterson
  z = Pixel:
  z = sqr(z) + (-0.74543, 0.2)
  |z| <= 4
  ;SOURCE: fractint.frm
}


Dragon2  {
 z=pixel:
   z=3*z*(1-z)
   z<=4
  ;SOURCE: orman3.frm
}


Dragon_Orman {
 z=pixel:
 z=p1*z*(1-z)
 z<=4
 ;SOURCE: orman3.frm
}


Dragonbat (XAXIS) {; Dewey Odhner
  c = Pixel, z = Sqr(Pixel)+Pixel:
  z = Sqr(Sqr(z)+c)-c
  c = -c
  LastSqr <= 4
  ;SOURCE: dewey.frm
}


Dragonbat2 (XAXIS) {; Dewey Odhner
  c = Pixel, z = Sqr(Pixel)-Pixel:
  z = Sqr(Sqr(z)+c)+c
  c = -c
  LastSqr <= 4
  ;SOURCE: dragbat.frm
}


Dragonbat3 {; Dewey Odhner
            ; Dewey - this is my reconstruction of a formula you posted
            ; in Fractal-Art but which I received in garbled form. If this
            ; is not right, please let me know - George Martin
  c =-PixeI, z =-Sqr(PixeI)+PixeI:
  z =-Sqr(Sqr(z)+c)+flip(c)
  c =-flip(c)
  LastSqr <= 4
  ;SOURCE: 97msg.frm
}

DrChaosbrot {; Michael Theroux [71673,2767]
   ;fix and generalization by Ron Barnett [70153,1233] 
   ;more phi
   ;try p1 = 2.236067977 for the golden mean
  z = c = pixel:
  z = sqr(z) + (((p1 + 1)/2)+c)
  |z| <= 4
  ;SOURCE: fract001.frm
}


DrChaosbrot1 (xaxis) { ;more phi
  z = c = pixel:
  z = sqr(z) + (((sqrt 5 + 1)/2)+c)
  |z| <= 4;
  ;SOURCE: drcha.frm
}


DrChaosbrot2 (xyaxis) { ;more phi
  z = c = pixel:
  z = sqr(z) + (((sqrt 5 + 1)/2)+c)
  |z| <= 4;
  ;SOURCE: drcha.frm
}




ducks (xaxis) {  
  z=pixel,t=1+pixel:   
  z=sqr(z)+t,             
  |z|<=4
  ;SOURCE: fixrch.frm
}

