

Kapetanov11 {
  c=pixel,z=pixel-cos(c):
  c=sqr(pixel)+z,z=c*sin(z)
  |z|<8
  ;SOURCE: kapet011.frm
}


Kapetanov12 {
  c=1/pixel,z=c-sin(pixel):
  c=tan(z),z=c^2+cosxx(c)
  |z|<8
  ;SOURCE: kapet012.frm
}


Kapetanov7 {
  c=z=pixel:
  z=sqr(z)+pixel/c,z=c^2/z
  |z|<14
  ;SOURCE: kapet007.frm
}


KC-1m {; via Jo Weber, July 1996
  c=p1
  d=p2
  e=p3
  z=pixel:
  z=fn1(z)/c - (d/fn2(z))
  |z|>p3
  ;SOURCE: 97msg.frm
}


KC-2 {; Ken Conrad, 9/96
  a=p1
  b=p2
  c=p3
  z=pixel:
  z=(fn1(z)-a)/(fn2(z)-b)
  |z|<c
  ;SOURCE: 97msg.frm
}


kg1401 {
  z = y = pixel-p2:
  z = fn1(z) * fn2(y) 
  y = fn1(y) / fn2(z)   
  |z| <= p1
  ;SOURCE: kg14.frm
}


kg1402 {
  z = y = pixel+p2:
  z = fn1(z) / fn2(y) 
  y = fn1(y) / fn2(z)   
  |z| <= p1
  ;SOURCE: kg14.frm
}


kg1403 {
  z = y = pixel*p2:
  z = fn1(z) * fn2(y) 
  y = fn1(y) * fn2(z)   
  |z| <= p1
  ;SOURCE: kg14.frm
}


kg1404 {
  z = y = pixel/p2:
  z = fn1(z) / fn2(y) 
  y = fn1(y) * fn2(z)   
  |z| <= p1
  ;SOURCE: kg14.frm
}


kg1501 {
  z = pixel:
  a = z ^ p1
  b = 1 / a
  z = fn1(a) * fn2(b) 
  |z| <= p2
  ;SOURCE: kg15.frm
}


kg1502 {
  z = 1/pixel:
  a = z ^ p1
  b = 1 / a
  z = fn1(a) * fn2(b) 
  |z| <= p2
  ;SOURCE: kg15.frm
}


kg1601 {
  z = y = pixel-z:
  z = fn1(z) * fn2(y) 
  y = fn1(y) / fn2(z)   
  |z| <= p1
  ;SOURCE: kg16.frm
}


kg1602 {
  z = y = pixel+z:
  z = fn1(z) / fn2(y) 
  y = fn1(y) / fn2(z)   
  |z| <= p1
  ;SOURCE: kg16.frm
}


kg1603 {
  z = y = pixel+1/z:
  z = fn1(z) * fn2(y) 
  y = fn1(y) * fn2(z)   
  |z| <= p1
  ;SOURCE: kg16.frm
}


kg1604 {
  z = y = pixel/z:
  z = fn1(z) / fn2(y) 
  y = fn1(y) * fn2(z)   
  |z| <= p1
  ;SOURCE: kg16.frm
}


kg1701 {; Karl Geigl 100327,156
  z=pixel, c=pixel:
  z=fn1(z)+c,
  c=fn2(c)+z,
  |z| <= p2
  ;SOURCE: kg17.frm
}


kg1702 {; Karl Geigl 100327,156
  z=pixel, c=p1:
  z=fn1(z)+fn2(c),
  c=p2+c,
  |z| <= p1
  ;SOURCE: kg17.frm
}


kg1703 {; Karl Geigl 100327,156
  z=pixel, c=1/pixel:
  z=fn1(z)+c,
  c=p2*c,
  |z| <= p1
  ;SOURCE: kg17.frm
}


kg1704 {; Karl Geigl 100327,156
  z=1/pixel, c=p1:
  z=fn1(z)+c,
  c=p2*fn2(c),
  |z| <= p1
  ;SOURCE: kg17.frm
}


kg1801 {; Karl Geigl 100327,156
  z = y = pixel:
  z = fn1(fn2(z) + pixel), 
  y = p1 / pixel        
  |z| <= p1
  ;SOURCE: kg18.frm
}


kg1802 {; Karl Geigl 100327,156
  z = y = pixel:
  z = fn1(fn2(z) - pixel), 
  y = p1 / pixel        
  |z| <= p1
  ;SOURCE: kg18.frm
}


kg1803 {; Karl Geigl 100327,156
  z = y = pixel:
  z = fn1(fn2(z) + pixel), 
  y = p1 * pixel        
  |z| <= p1
  ;SOURCE: kg18.frm
}


kg1804 {; Karl Geigl 100327,156
  z = y = pixel:
  z = fn1(fn2(z) * pixel), 
  y = p1 - pixel        
  |z| <= p1
  ;SOURCE: kg18.frm
}


kg1805 {; Karl Geigl 100327,156
  z = y = pixel:
  z = fn1(fn2(z) + pixel) - y, 
  y = p1 / pixel        
  |z| <= p1
  ;SOURCE: kg18.frm
}


kg1806 {; Karl Geigl 100327,156
  z = y = pixel:
  z = fn1(fn2(z) + pixel) + y, 
  y = p1 / pixel        
  |z| <= p1
  ;SOURCE: kg18.frm
}


kg1807 {; Karl Geigl 100327,156
  z = y = pixel:
  z = fn1(fn2(z) + pixel) * y, 
  y = p1 / pixel        
  |z| <= p1
  ;SOURCE: kg18.frm
}


kg1808 {; Karl Geigl 100327,156
  z = y = pixel:
  z = fn1(fn2(z) + pixel) / y, 
  y = p1 / pixel        
  |z| <= p1
  ;SOURCE: kg18.frm
}


kg1809 {; Karl Geigl 100327,156
  z = y = pixel:
  z = fn1(fn2(z) * pixel) + y, 
  y = p1 / pixel        
  |z| <= p1
  ;SOURCE: kg18.frm
}


kg1810 {; Karl Geigl 100327,156
  z = y = pixel:
  z = fn1(fn2(z) - pixel) - y, 
  y = p1 / pixel        
  |z| <= p1
  ;SOURCE: kg18.frm
}


kgexp1 { 
  z = Pixel:
  z = z ^ 2.71828182845905 + c + pixel,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp10 { 
  z = Pixel:
  z = z + 2.71828182845905 ^ c + c,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp11 { 
  z = Pixel:
  z = z ^ 2.71828182845905 + c ^ 2.71828182845905,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp12 { 
  z = pixel:
  z = z ^ 2.71828182845905 + c,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp13 { 
  z = Pixel:
  z = z ^ 2.71828182845905 + c,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp14 { 
  z = Pixel:
  z = z ^ 2.71828182845905 + c,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp2 { 
  z = Pixel, c=fn1(z) :
  z = z ^ 2.71828182845905 - c + pixel,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp3 { 
  z = Pixel, c=fn1(z) :
  z = z ^ 2.71828182845905 + c * pixel,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp4 { 
  z = Pixel, c=fn1(z) :
  z = z ^ 2.71828182845905 + c ^ pixel,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp5 { 
  z = Pixel:
  z = z ^0.5 * z ^ 2.71828182845905 + c + pixel,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp6 { 
  z = Pixel:
  z = c ^ 2.71828182845905 * z ^ pixel,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp7 { 
  z = Pixel:
  z = z + c - 2.71828182845905 ^z,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp8 { 
  z = Pixel:
  z = z ^ 2.71828182845905 + c ^ pixel,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgexp9 { 
  z = Pixel:
  z = z ^ -2.71828182845905 + pixel,
  |z| <= 100 
  ;SOURCE: kgexp.frm
}


kgfunc1 { 
  z = Pixel:
  z = z ^ 2 + c,
  z = fn1(z)
  |z| <= 100 
  ;SOURCE: kgfunc.frm
}


kgfunc10 { 
  z = Pixel:
  z = (22/7)  / fn1(z) * z + c * fn2(z)
  |z| <= 100 
  ;SOURCE: kgfunc.frm
}


kgfunc2 { 
  z = Pixel:
  z = z ^ 2 + c + pixel,
  z = fn1(z)
  |z| <= 100 
  ;SOURCE: kgfunc.frm
}


kgfunc3 { 
  z = Pixel:
  z = z ^ 2 + c,
  c = fn1(z)
  |z| <= 100 
  ;SOURCE: kgfunc.frm
}


kgfunc4 { 
  z = Pixel:
  z = z ^ 2 + c + pixel,
  z = fn1(c)
  |z| <= 100 
  ;SOURCE: kgfunc.frm
}


kgfunc5 { 
  z = Pixel:
  z = (22/7) *  fn1(z) + c
  |z| <= 100 
  ;SOURCE: kgfunc.frm
}


kgfunc6 { 
  z = Pixel:
  z = (22/7) / fn1(z) + c
  |z| <= 100 
  ;SOURCE: kgfunc.frm
}


kgfunc7 { 
  z = Pixel:
  z = (22/7) *  fn1(z) * z + c
  |z| <= 100 
  ;SOURCE: kgfunc.frm
}


kgfunc8 { 
  z = Pixel:
  z = (22/7) * z / fn1(z) + c
  |z| <= 100 
  ;SOURCE: kgfunc.frm
}


kgfunc9 { 
  z = Pixel:
  z = (22/7)  / fn1(z) * z + c
  |z| <= 100 
  ;SOURCE: kgfunc.frm
}


kilroy (XAXIS) {
   ; The sign change trick makes a small change here
  z=pixel, zp = (0,0):
  temp = z
  z = z*z - zp
  zp = (temp)^.5,|zp| <= 4 
  ;SOURCE: noel.frm
}


kleep1 {
  z=pixel: 
  z=(z/imag(z)-z/real(z))*p1*conj(z)+pixel,
  |z|<=4
  ;SOURCE: fkt.frm
}


kleep1c {
  z=pixel:
  z=(z/imag(z)-z/real(z))*p1*conj(z)+p2,
  |z|<=4
  ;SOURCE: fkt.frm
}


Klesmer {
  z = c = pixel:
  z = z + p1
  c = sqrt(z)
  z1 = fn1(z) + pixel
  z2 = fn2(z) + pixel
  z3 = (c * (1/z))
  z = z3 * (z1/z2) 
  |z| < 4
  ;SOURCE: gestalt.frm
}


Komplexmatsch {
  z=pixel+1/fn1(p2*pixel)+1/fn2(p2*pixel):
  z=((p1-1)*z^p1+1)/(p1*z^(p1-1)); 
  0.001<=|z^p1-1|
  ;SOURCE: crazynwt.frm
}


Korfu (YAXIS) {
  z = c = pixel:
  z = z + p1
  c = c/fn1(z) 
  z = z * fn2(c)
  |z| < 4
  ;SOURCE: korfu.frm
}


Kreagor {
  z = c = pixel:
  z = fn1(z) + c + p1
  x = real(z), y = imag(z)
  z = ((1/z) * (fn2(x)/fn1(y)))/ z + c
  |z| <= 4 + p2
  ;SOURCE: d-rock.frm
}


kx01 {
  z=pixel,x=fn4(|(z+1)^1.6180339|/p1),i=imag(z)+p2:
  z=fn1(i-pixel)+fn2(x)
  a=z+(1*i)
  z=fn1(a)+fn3(z)
  |z|<=4
  ;SOURCE: ad3.frm
}


kx02 {
  z=pixel,x=fn4(|(z+1)^1.6180339|/p1),i=imag(z)+p2:
  z=fn1(i-pixel)+fn2(x)
  a=z+(i^2)
  z=fn1(a)+fn3(z)
  |z|<=4
  ;SOURCE: ad3.frm
}

