

pa0001 {
  z=pixel, x=1-((z+1)^z)*fn1(z):
  z=(z*x)-fn2((whitesq^1/z^z)/fn3(whitesq^1/x))*fn4(x-z)
  |z|<=4
  ;SOURCE: ad4.frm
}


pa0002 {
  z=pixel, x=((1/z+1)^z)-fn1(z):
  z=fn2((z^p1)/fn3(whitesq^x))*fn4(x-z)
  |z|<=4
  ;SOURCE: ad4.frm
}


pa0003 {
  z=pixel, x=1-(cos(z+1)^z)-fn1(z):
  z=fn2((z+p1)/fn3(whitesq^x))+fn4(x*z)
  |z+p1|<4
  ;SOURCE: ad4.frm
}


pa0006 {
  z=c=pixel, x=fn3(p1/z)^2, y=fn4((p1/z)*(p1/z))^z:
  z=(fn1(z+1)/whitesq^x)^fn2(1/y)+c
  |z|<55
  ;SOURCE: ad4.frm
}


pa0x4 {
  z=pixel, x=1-real(pixel+whitesq), y=real(1-(pixel)):
  z=(fn1(z*x)/(z*(fn3(z*y)+whitesq)))
  fn2(|z|<4&&(2+whitesq))
  ;SOURCE: ad4.frm
}


pa0x7 {
  z=pixel, x=real(cotan(1/pixel)+whitesq), y=real(1-(pixel)):
  z=(fn1(x/z)*(z-(fn2(z+y)+whitesq)))
  |z|<4
  ;SOURCE: ad4.frm
}


pa0x8 {
  z=pixel,x=tan(pixel),y=real(1-(pixel))+whitesq:
  z=(fn1(z*x)-fn2(z+(fn3(z*y))))^fn4(x*y)
  |z|<4
  ;SOURCE: ad4.frm
}


pa0x9 {
  z=pixel,t=real(sqrt(z/5+sqrt(11))),y=(1-fn4(t))*fn3(t):
  z=(fn1(t/z-1)*fn2(y/z))+whitesq
  |z|<4
  ;SOURCE: ad4.frm
}


paa1 {
  t=real(pixel),u=(pixel)+whitesq
  z=sqrt(2*1-(t*t)*(fn2(t-1)))+(fn3(u))
  v=fn4(u/p1)*fn4(u/p2):
  z=fn1(tan(v)+fn3(cos(v)))
  |z|<=4
  ;SOURCE: ad5.frm
}


paa2 {
  z=pixel
  t=real(pixel),u=1/imag(pixel)
  z=sqr(t+(fn3(z/u)))
  v=fn4(z/p1)*fn4(u/p2):
  z=(fn1(tan(z+v)+fn2(cos(t+v/z))))+whitesq
  |z|<=4
  ;SOURCE: ad5.frm
}


paa4 {
  z=pixel
  t=real(pixel)+whitesq,u=imag(pixel)+whitesq:
  z=sqrt(t+(fn3(1-z/u)))
  v=fn4(t/p1)*fn4(u/p2)
  z=fn1(tan(v)+fn2(cos(v)))
  |z|<=4
  ;SOURCE: ad5.frm
}


Pablo {
   ; Any comments or question?
   ; E-Mail: Damion_P@Compuserve.com  -or- MDROCC@earthlink.net
  z = c = pixel:
  r = fn1(tan(1/z)+ c) + p1 
  q = fn2(flip(atan(z)) + c) + p2
  z = (q * (whitesq == 0)) + (r * (whitesq == 1)) 
  |z| < 4
  ;SOURCE: pablo.frm
}


palette {; Sylvie Gallet [101324,3444]
  z = trunc(pixel) , x = real(z) , y = imag(z)
  z = 16*abs(y) + x
  z = 257*(z==0) + z*(z!=0) :
  z = z - 1
  z > 0
  ;SOURCE: 96msg.frm
}


Parabolabrot1 {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):       ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= sqr(real(z))+4    ; Different escape boundry
  ;SOURCE: phong.frm
}


Parabolabrot2 {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):        ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= 16-sqr(real(z))    ; Different escape boundry
  ;SOURCE: phong.frm
}


Parabolaia1 (ORIGIN) {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):       ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= sqr(real(z))+4    ; Different escape boundry
  ;SOURCE: phong2.frm
}


Parabolaia2 (ORIGIN) {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):        ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= 16-sqr(real(z))    ; Different escape boundry
  ;SOURCE: phong2.frm
}


PD_201 {
  z = pixel, test = p1:
  y = sqr(z*p1)
  x = fn1(pixel + fn2(p2/(z+(z*y)) - z/(y+z)))
  z = x*z + pixel
  |z| <= (100 + p1)
  ;SOURCE: pdg02.frm
}


PD_202 {
  z = pixel:
  z = fn1(z*z*z + p1)/fn2(-z*pixel)
  |z| <= p2
  ;SOURCE: pdg02.frm
}


PD_203 {
  z=pixel
  x=real(pixel)
  y=imag(pixel)
  d=fn1(x*x)+fn2(y*y):
  z=(((z*z)/-z^p1)*d)+fn3(d/z)
  |z|<=p2
  ;SOURCE: pdg02.frm
}


PD_204 {
  z = c = pixel:
  z=fn1(z*z)+fn2(p2/c)
  |z|<4
  ;SOURCE: pdg02.frm
}


PD_205 {
  z = pixel, n = oldn = 1
  c = fn1(fn2(pixel)):
  z = fn3(z^((n + p1)/oldn)) - c
  oldn = n
  n = fn4(n + 1 + p2)
  (|real(z)| < p3) && (|imag| < p3)
  ;SOURCE: pdg02.frm
}


PD_206 {
  z1 = z2 = pixel:
  x = real(z1), y = imag(z1)
  c = x*x + y*y
  x1 = -fn1((c - x)*x/c)
  y1 = -fn2((c + y)*y/c)
  x2 = x1*x1 - y1*y1 + p1
  y2 = 2*x1*y1
  z1 = x2 + flip(y2)
  z2 = (z2*z2 - p2)/(z2*z2 + p2)*fn1(z2)*fn2(z2) + pixel
  z = fn3(z1 - z2)
  |z| <= (100 + p3)
  ;SOURCE: pdg02.frm
}


PD_207 {
  z = pixel
  x = real(pixel), y = imag(pixel)
  c = fn1(x^p1) + fn1(y^p1):
  z = fn2(fn3(z^p2)) + fn4(c)
  |z| <= p3
  ;SOURCE: pdg02.frm
}


PD_208 {
  z = pixel
  x = real(pixel), y = imag(pixel)
  c = fn1(x*x) + fn2(y*y):
  z = fn3(z*z) + p1*(fn4(c*c))
  |z| <= p2
  ;SOURCE: pdg02.frm
}


PD_209 {
  z = pixel, lastz = 0
  x = (real(sin(pixel)))^2
  y = (imag(sin(pixel)))^2:
  c = fn1(x*y) + fn2(1/(x*y))
  z = fn3(z^p1) + fn4(c + lastz)
  lastz = z
  |z| <= p2
  ;SOURCE: pdg02.frm
}


PD_210 {
  a = fn1(pixel*pixel) - conj(pixel) + fn1(pixel)
  z = flip(a*a) / abs(a-pixel):
  x = real(z), y = imag(z)
  x = (p1 + x*x) - fn2(x - y)
  y = (p1 + y*y) - fn3(y - x)
  z = x + y
  |z| <= p2
  ;SOURCE: pdg02.frm
}


PD_211 {
  a = (pixel*pixel), b = conj(1-pixel), c = flip(1-pixel)
  z = fn1(a*p1) - b - c:
  x = real(z), y = imag(z)
  x = fn2(x*x + p2) - fn3(b - c)
  y = fn2(y*y + p2) - fn3(b - c)
  z = x + y
  |z| <= p3
  ;SOURCE: pdg02.frm
}


PD_212 {
  z1 = fn1(pixel), z2 = fn2(1/pixel)
  x1 = real(z1), y1 = imag(z1)
  x2 = real(z2), y2 = imag(z2)
  c = tan(x1*x2) + tan(y1*y2):
  z1 = fn3((z1^(p1*2)) + (z1^p1)) + c
  z2 = fn4((z2^(p1*2)) + (z2^p1)) + c
  z = z1 + flip(z2)
  (|z1| <= p2) || (|z2| <= p2)
  ;SOURCE: pdg02.frm
}


PD_301 {
  bailout = p3
  z = pixel:
  c = fn1(z) + fn2(z) + p1
  z = fn3(z*z) + fn4(p2*c)
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_302 {
  bailout = p3
  z = pixel:
  z2 = z*z
  c = sin(z2) + cos(z2)
  za = (fn1(z2) + fn2(p1*c))*(z <= c)
  zb = (fn3(p2/z) + fn4(z))*(c < z)
  z = za + zb
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_303 {
  bailout = 4 + imag(p3)
  e = real(p3), z = c = pixel:
  ze = fn1(z^e), c = z + p1
  z = fn3(fn2(ze + p2)/pixel) + fn4(c)
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_304 {
  bailout = 4 + imag(p3)
  a = conj(pixel*pixel)
  z = a/pixel, n = fn3(1/pixel):
  c = fn1(z*a + p1)
  z = fn2(z^p2*n) + |fn4(c*real(p3))|
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_305 {
  bailout = 4 + p3
  z = pixel, x = real(pixel), y = imag(pixel)
  c = fn1(p1*x*x*x) + fn2(p2*y*y*y)
  d = cabs(pixel)/2:
  z = fn3(z) + fn4(c) + z*c + d
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_306 {
  bailout = 4 + p3
  z = pixel:
  c = p1*fn1(1/z) + p2
  z = fn2(z^z) + fn3(c)
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_307 {
  bailout = 4 + p2, z = pixel:
  c = fn1(real(z) + p1) / fn2(imag(z) + p1)
  z = fn3(z*c) - 1/z
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_308 {
  bailout = 4 + p3, z = pixel:
  a = fn1(z - pixel)
  b = fn2(z*(z + p1))
  c = fn3(pixel - z)
  z = fn4(a*b/(c + p2))
  (|real(z)| <= bailout) && (|imag(z)| <= bailout)
  ;SOURCE: pdg03.frm
}


PD_309 {
  bailout = 4 + imag(p3)
  z = conj(fn1(pixel + p1))
  e = fn4(pixel + real(p3)):
  z = fn2(flip(z^e)) + fn3(|z*p2|)
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_310 {
  bailout = 4 + p3
  z = pixel, c = z*z*p1:
  z = fn1(z*(p2 - z) + conj(c))
  c = fn2(c)/(p2*c)
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_311 {
  bailout = 4 + imag(p3)
  z = tanh(p1 - 1/conj(pixel))
  x = real(z), y = imag(z)
  c = fn4(real(p3)/pixel):
  x1 = fn1(x*sin(x) - x)
  y1 = fn1(y*sin(y) - y)
  x2 = fn2(x1*x1) + p2*conj(y1*x) + c
  y2 = fn3(y1*y1) + p2*conj(x1*y) + c
  z = x2 + flip(y2)
  x = x1, y = y1
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_312 {
  bailout = 4 + imag(p3)
  exp = 1 + real(p3)
  z = fn4(1/conj(pixel))
  x = real(z), y = imag(z):
  x1 = acosh(x*sin(x) - p1*x^exp)
  y1 = acosh(y*sin(y) - p1*y^exp)
  x2 = fn1(p2*conj(x1*x))
  y2 = fn2(p2*conj(y1*y)) + log(y1*y1)
  z = x2 + flip(y2)
  x = x1, y = y1
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_313 {
  bailout = 4 + p3, z = pixel
  c = fn1(p1 + z):
  z2 = z*z + p2
  z = fn2(z^z2) + c
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_314 {
  bailout = 4 + imag(p3), k = real(p3)
  z = pixel:
  x = real(z), y = imag(z)
  v = x*y
  x1 = fn1(x*x + p1) + fn2(v)
  y1 = fn3(p2 - y*y) + flip(v)
  z = x1 + flip(y1 + k/fn4(|z|))
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_315 {
  bailout = 4 + imag(p3)
  z = pixel, exp = real(p3)
  x = fn1(real(z)), y = fn2(imag(z)):
  xn = fn3(x + p1) + fn4(p2 - x^exp)
  yn = fn3(y + p1) + fn4(p2 - y^exp)
  z = xn + flip(yn)
  x = xn, y = yn
  |z| <= bailout
  ;SOURCE: pdg03.frm
}


PD_411 {
  bailout = 4 + imag(p3)
  k = real(p3), z = z1 = pixel
  c = p1*tan(z):
  z1 = fn1(z1^k) + p2*fn2(z1*c)
  x1 = real(z1), y1 = imag(z1)
  z2 = -x1 + flip(y1)
  z = log(z1)*whitesq + log(z2)*(whitesq==0)
  (|real(z)| <= bailout) && (|imag(z)| <= bailout)
  ;SOURCE: pdg04.frm
}


PD_412 {
  bailout = 4 + imag(p3)
  k = real(p3), z = z1 = pixel
  c = p1*fn3(z):
  z1 = fn1(z1^k) + p2*fn2(z1*c)
  x1 = real(z1), y1 = imag(z1)
  z2 = -x1 + flip(y1)
  z = log(z1)*whitesq + log(z2)*(whitesq==0)
  (|real(z)| <= bailout) && (|imag(z)| <= bailout)
  ;SOURCE: pdg04.frm
}


PD_413 {
  bailout = 4 + imag(p3)
  k = real(p3), z = z1 = pixel
  c = p1*fn3(z):
  z1 = fn1(z1^k)/fn2(p2 + z1*c)
  x1 = real(z1), y1 = imag(z1)
  z2 = -x1 + flip(y1)
  z = log(z1)*whitesq + log(z2)*(whitesq==0)
  (|real(z)| <= bailout) && (|imag(z)| <= bailout)
  ;SOURCE: pdg04.frm
}


PD_414 {; PHC version of PD_207
  bailout = 4 + p3
  z = z1 = pixel
  x = real(pixel), y = imag(pixel)
  c = fn1(x^p1) + fn1(y^p1):
  z1 = fn2(fn3(z1^p2)) + fn4(c)
  x1 = real(z1), y1 = imag(z1)
  z2 = -x1 + flip(y1)
  z = log(z1)*whitesq + log(z2)*(whitesq==0)
  |z| <= bailout
  ;SOURCE: pdg04.frm
}


Peace_Magnet_PHC {
  z = r = pixel, c1 = p1 - 1, c2 = p1 - 2:
  r = ((z*z + (p2 - 1)) / (2*z + (p2 - 2)))^2
  z = (z*z + c1)/(z+z+c2) 
  z = (z*z * (whitesq == 1)) + (r * z * (whitesq == 0))
  |z| < 100
  ;SOURCE: beck.frm
}


Peace_PHC {
  z = pixel:
  r = ((z*z + (p1 - 1)) / (2*z + (p1 - 2)))^2
  q = fn1(z) * fn2(z) + p2
  z = (r * (whitesq == 1)) + (q * (whitesq == 0))  
  |z| < 100
  ;SOURCE: beck.frm
}


peacock (XAXIS) {
   ; The next obvious function to try
  z = pixel, zp = (0,0):
  temp = z
  z = -cos(z) - zp
  zp = temp, 
  |zp| <= 4 
  ;SOURCE: noel.frm
}


penta (XAXIS) {
   ; introducing a second function can add lots of variety.
  z = pixel, zp = (0,0):
  temp = z
  z = z*z - zp
  zp = conj(temp),
  |zp| <= 4 
  ;SOURCE: noel.frm
}


penta2 (XAXIS) {
   ; A simple technique of changing init params to map to a function.
  z = pixel^2, zp = (0,0):
  temp = z
  z = z*z - zp
  zp = conj(temp),
  |zp| <= 4 
  ;SOURCE: noel.frm
}


pentet {
   ; the HT variant of the penta formula
  z = pixel, zp = (0,0),huge=1.0e32:
  temp = z
  z = z*z - zp
  zp = p1/conj(temp), 
  (|zp| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


petcock (XAXIS) {
  z = pixel, zp = (0,0):
  temp = z
  z = -cos(z) - zp
  zp = 1/temp, 
  |zp| <=64 
  ;SOURCE: noel.frm
}


pgad2 {
  z=pixel,x=real(z) :
  n=fn1((z/(p1*x)))+pixel
  m=fn2(z/(p1*(x+whitesq)))+pixel
  z=fn3(m*n)
  |real(z)|<=4
  ;SOURCE: ad4.frm
}


phc+3mandels { ; Sylvie Gallet [101324,3444], 1996
               ; NOT A PHC - This is a 24-bit PTC  (Pseudo True-Color)
  scp = scrnpix - 3 * trunc((scrnpix+0.1)/3)
  r = imag(scp) + real(scp)
  r = r - 3 * (r > 2)
  c = r == 0 , c1 = p1 * (r == 1)
  c2 = p2 * (r == 2)
  z = c = pixel * (c + c1 + c2) :
  z = z * z + c
  |z| <= 4
  ;SOURCE: 96msg.frm
}


phc+4mandels {; Sylvie Gallet [101324,3444], 1996 
              ; Requires passes=1
  iter = 0 , limit = trunc(maxit/2)*(maxit<400) + 200 * (maxit >= 400)
  z = c = pixel * (whitesq + p1 * (whitesq==0))
  c1 = pixel * (p2 * whitesq + p3 * (whitesq==0)) :
   z = z * (iter != limit)
   c = c * (iter < limit) + c1 * (iter >= limit)
   z = z*z + c
   iter = iter + 1
    |z| <= 4
  ;SOURCE: phc.frm
}


phc+4mandels-1 {; Sylvie Gallet [101324,3444], 1996  Requires passes=1
  iter=0, limit=trunc(maxit/2)*(maxit<400)+200*(maxit>=400)
  z = c = pixel * (whitesq + p1 * (whitesq == 0))
  c1 = pixel * (p2 * whitesq + p3 * (whitesq == 0)) :
  z = z * (iter != limit)
  c = c * (iter < limit) + c1 * (iter >= limit)
  z = z*z + c
  iter = iter + 1
  |z| <= 4
  ;SOURCE: 96msg.frm
}


phc+4mandels-2 { ; Sylvie Gallet [101324,3444], 1996  Requires passes=1
  row2 = imag(scrnpix) / 2 , roweven = row2 == trunc(row2)
  c = whitesq && roweven
  c1 = p1 * (whitesq && roweven == 0)
  c2 = p2 * (whitesq == 0 && roweven )
  c3 = p3 * (whitesq == 0 && roweven == 0)
  z = c = pixel * (c + c1 + c2 + c3) :
  z = z * z + c
  |z| <= 4
  ;SOURCE: 96msg.frm
}


phc+4mandels-3 {; Sylvie Gallet [101324,3444], 1996  Requires passes=1
                ; NOT A PHC - This is a 32-bit PTC  (Pseudo True-Color)
  r = imag(scrnpix) - 2 * trunc(imag(scrnpix)/2)
  c = real(scrnpix) - 4 * trunc(real(scrnpix)/4)
  r = 2 * r + c , r = r - 4 * (r > 3)
  c = r == 0 , c1 = p1 * (r == 1)
  c2 = p2 * (r == 2) , c3 = p3 * (r == 3)
  z = c = pixel * (c + c1 + c2 + c3) :
  z = z * z + c
  |z| <= 4
  ;SOURCE: 96msg.frm
}


phc+mjn {; Sylvie Gallet [101324,3444], 1996
         ; NOT A PHC - This is a 24-bit PTC  (Pseudo True-Color)
         ; Mandel: z^2 + c , Julia: z^2 + p1 , Newton: z^p2 - 1 = 0
  scp = scrnpix - 3 * trunc((scrnpix+0.1)/3)
  r = imag(scp) + real(scp) , r = r - 3 * (r > 2)  ; r = 0, 1, or 2
  z = pixel , b1 = 256 , b2 = 0.000001 , ex = p2 - 1
  c = pixel * (r==0) + p1 * (r==1) :
  zd = z^ex , zn = zd*z , n = zn - 1 , d = p2 * zd
  z = (z*z + c) * (r!=2) + (z - n/d) * (r==2)
  ((|z| <= b1) && (r!=2)) || ((|n| >= b2 ) && (r==2))
  ;SOURCE: 96msg.frm
}


PHC-Frame-Robert {; Ron Barnett [70153,1233], 1996  Requires passes=1
  z=whitesq*(real(pixel)+flip(imag(pixel)*p1))\
    +(whitesq==0)*(p1*real(pixel)+flip(imag(pixel))),
  c=whitesq*(p2+p1*real(pixel)+flip(imag(pixel)))\
    +(whitesq==0)*(p2+real(pixel)+flip(imag(pixel)*p1)):
  z=z*z*z/5+z*z+c, 
  |z|<=100
  ;SOURCE: phc.frm
}


PHC-Ikenaga01 {; Ron Barnett [70153,1233], 1996  Requires passes=1
  z=whitesq*(real(pixel)+flip(imag(pixel)*p1))\
    +(whitesq==0)*(p1*real(pixel)+flip(imag(pixel))),
  c=whitesq*(p2+p1*real(pixel)+flip(imag(pixel)))\
    +(whitesq==0)*(p2+real(pixel)+flip(imag(pixel)*p1)):
  z=z*z*z+(c-1)*z-c, 
  |z|<=100
  ;SOURCE: phc.frm
}


PHC-Ikenaga02 {; Ron Barnett [70153,1233], 1996  Requires passes=1
  z=whitesq*(real(pixel)+flip(imag(pixel)*p1))\
    +(whitesq==0)*(p1*real(pixel)+flip(imag(pixel))),
  c=whitesq*(p2+p1*real(pixel)+flip(imag(pixel)))\
    +(whitesq==0)*(p2+real(pixel)+flip(imag(pixel)*p1)),
  z=conj(z),c=conj(c):
  z=z*z*z+(c-1)*z-c, 
  |z|<=100
  ;SOURCE: phc.frm
}


PHC-Ikenaga03 {; Ron Barnett [70153,1233], 1996  Requires passes=1
  z=whitesq*(real(pixel)-flip(imag(pixel)*p1))\
    +(whitesq==0)*(p1*real(pixel)-flip(imag(pixel))),
  c=whitesq*(p2+p1*real(pixel)-flip(imag(pixel)))\
    +(whitesq==0)*(p2+real(pixel)-flip(imag(pixel)*p1)):
  z=z*z*z+(c-1)*z-c, 
  |z|<=100
  ;SOURCE: phc.frm
}


PHC-m+j+n-01 { ; Sylvie Gallet [101324,3444], 1996 
  ; real(p1) = size of the Mandelbrot set
  ; imag(p1) = rotation angle (degrees): negative = clockwise
  ; p2 = parameter for the Julia set
  ; p3 = exponent for the Newton set
  p0 = p3 - 1 , iter = tj = tn = tw = 0 , odev = tm = 1
  z = cm = pixel * (whitesq == 0) + (exp(-flip(imag(p1)) * 0.01745329252)) * whitesq  / abs(real(p1)) :
   tw = tw || (|z| >= 16) || (iter == 300)
   z = (z*z+cm) * (tw == 0) + z * tw
   z = z * (iter != 300) + pixel * (iter == 300)
   zp0 = z^p0 , d = zp0 * p3 , n = zp0 * z - 1
   z = (-n/d+z) * tn + z * tm + (z*z+p2) * tj
   iter = iter + 1 , odev = (odev == tw)
   tj = (odev == 0) && (iter > 300)
   tn = odev && (iter > 300)
   tm = (iter <= 300)
    tm || ((|z| < 16) && tj) || ((|n| > 0.000001) && tn)
    ;SOURCE: bj-mjn-1.frm
}


PHC-Manowar01 {; Ron Barnett [70153,1233], 1996  Requires passes=1
  z=z1=whitesq*(real(pixel)+flip(imag(pixel)*p1))\
    +(whitesq==0)*(p1*real(pixel)+flip(imag(pixel))),
  c=whitesq*(p2+p1*real(pixel)+flip(imag(pixel)))\
    +(whitesq==0)*(p2+real(pixel)+flip(imag(pixel)*p1)):
  z=z*z+z1+c,
  z1=z, 
  |z|<=100
  ;SOURCE: phc.frm
}


PHC-PHOENIX {; Ron Barnett, 1996        
        z = (whitesq==0)*flip(pixel)+whitesq*(pixel+p3);
        x1 = 0;
        y = 0:
        x1 = z*z + P1 + P2*y;
        y = (whitesq==0)*z+whitesq*flip(z);
        z = x1; |z|<= 50
     ;SOURCE: reb008.frm
}


PHC-Spider01 {; Ron Barnett [70153,1233], 1996  Requires passes=1
  z=whitesq*(real(pixel)+flip(imag(pixel)*p1))\
    +(whitesq==0)*(p1*real(pixel)+flip(imag(pixel))),
  c=whitesq*(p2+p1*real(pixel)+flip(imag(pixel)))\
    +(whitesq==0)*(p2+real(pixel)+flip(imag(pixel)*p1)):
  z=z*z+c,
  c=c/2+z, 
  |z|<=100
  ;SOURCE: phc.frm
}


phc_4m_A { ; overlay four Mandels with different initializations
           ; and bailout tests
           ; Isn't it terrific???
  cr = real(scrnpix) + 2*imag(scrnpix)
  r = cr - 4 * trunc(cr / 4)
  c0 = sin(pixel) * (r == 0)
  c1 = pixel * (r == 1)
  c2 = 1/pixel * (r == 2)
  c3 = -pixel * (r == 3)
  z = c = c0 + c1 + c2 + c3 :
   z = z*z + c
   test_0 = |real(z)| <= 4  &&  r == 0
   test_1 = |z| <= 4  &&  r == 1
   test_2 = |imag(z)| <= 4  &&  r == 2
   test_3 = |real(z)+imag(z)| <= 4  &&  r == 3
    test_0 || test_1 || test_2 || test_3
    ;SOURCE: phctutor.frm
}


phc_4m_B { ; overlay four Mandels with different initializations
           ; and bailout tests
           ; Isn't it terrific???
  cr = real(scrnpix) + 2*imag(scrnpix)
  r = cr - 4 * trunc(cr / 4)
  c0 = sin(pixel) * (r == 0)
  c2 = 1/pixel * (r == 2)
  z = c = c0 + c2 + pixel * ((r == 1) - (r == 3)) :
   z = z*z + c
   test_0 = |real(z)| <= 4  &&  r == 0
   test_1 = |z| <= 4  &&  r == 1
   test_2 = |imag(z)| <= 4  &&  r == 2
   test_3 = |real(z)+imag(z)| <= 4  &&  r == 3
    test_0 || test_1 || test_2 || test_3
    ;SOURCE: phctutor.frm
}


phc_map {; Sylvie Gallet [101324,3444], 1996  Requires passes=1
   ; requires maxiter = 256, inside = 0 and outside = iter
  d = scrnmax / 256
  z = real(scrnpix) / real(d) * whitesq + \
      imag(scrnpix) / imag(d) * (whitesq == 0)
  z = 257 * (z < 1) + z * (z >= 1) :
   z = z - 1
    z >= 1
  ;SOURCE: phc.frm
}


phc_mj { ; overlay the Mandel set of z^2 + c with
         ; the Julia set of z^2 + (-0.75,0.1234)
         ; Modified for if..else logic, April 1997
   z = pixel
   IF (whitesq)
      c = (-0.75,0.1234)
   ELSE
      c = pixel
   ENDIF
   :
   z = z*z + c
   |z| <= 4
     ;SOURCE: phctutor.frm
}


phc_mn_A { ; overlay the Mandel set of z^2 + c with the Julia
           ; set of Newton's method applied to z^3 - 1 = 0
           ; Modified for if..else logic, April 1997
   z = pixel :
   IF (whitesq)
      n = z^3 - 1 , d = 3*z^2 , z = z - n/d
      PHC_bailout = |n| >= 0.000001
   ELSE
      z = z*z + pixel , PHC_bailout = |z| <= 4
   ENDIF
   PHC_bailout
     ;SOURCE: phctutor.frm
}


phc_mn_B { ; overlay the Mandel set of z^2 + c with the Julia
           ; set of Newton's method applied to z^3 - 1 = 0
           ; Modified for if..else logic, April 1997
   z = pixel :
   IF (whitesq)
      z2 = z*z , n = z2*z - 1 , d = 3*z2 , z = z - n/d
      PHC_bailout = |n| >= 0.000001
   ELSE
      z = z*z + pixel , PHC_bailout = |z| <= 4
   ENDIF
   PHC_bailout
     ;SOURCE: phctutor.frm
}


phcab2 {
  z=(pixel)
  t=fn2((whitesqr)+(z-realz)):
  z=(1/(fn1(whitesq))+(z*fn3(t)))*fn4(t^z-p1)/p1
  |z|>=4
  ;SOURCE: ad3.frm
}


phcab2z {
  z=(pixel):
  p=fn2((whitesqr)/sin(1/z))
  u=fn3(p-z)+whitesq
  z=((fn1(u)/p2))*((whitesq)*(z-1))
  |z|>=4
  ;SOURCE: ad3.frm
}


phcab3 {
  z=(pixel):
  t=1-(z*(whitesq==0)*(p2))
  u=fn1(t-(fn3(z+1)))*fn2(z)
  z=((fn1(u)+p2))+(pixel/p3)
  |z|>=4
  ;SOURCE: ad3.frm
}


phcad2 {
  z=pixel:
  t=1-(z*(whitesq==0)*(p2))
  z=fn1(t-(fn3(z+1)))*fn2(z)
  |(z)|>=4
  ;SOURCE: ad3.frm
}


phcad3 {
  z=pixel
  t=(whitesq+(p1)+(p2)*(whitesq==0)):
  z=fn1(t-(fn3(z+1)))*fn2(z)-1
  |real(z)|>=4
  ;SOURCE: ad3.frm
}


phcbbb {
  z=pixel:
  m=cotan(z*real(p1+whitesq))*fn2(((pixel)))
  z=fn1((m)+fn3(z))
  |z|<=4
  ;SOURCE: ad4.frm
}


phcbbb1 {
  z=pixel:
  m=fn4(z*whitesq)*fn2((z-1))
  z=fn1(real(z-1))+fn3(m*(.6,1.1))
  |z|<=4
  ;SOURCE: ad4.frm
}


phcbbb3 {
  z=pixel, x=fn3(abs((z)-real(z))):
  m=cotan(x*real(z))*fn2((z))
  z=fn1(real(z)*whitesq)+fn3(m)
  |z|<=4
  ;SOURCE: ad4.frm
}


phcdd4 {
  z=pixel:
  z=z+pixel*(whitesq==0)
  t=(fn3(z)+whitesq)^P1
  z=fn2(cos(1-z)+sin(1/z))*1-fn1(1/z*sin(t)+fn4(t))
  |z|<=4  
  ;SOURCE: ad4.frm
}


phcsary6 {; from spacemandel_phc by Damion presogna, 11/18/96
          ; modified by alex dukay 11/22/96
  z=pixel, r=(pixel*whitesq):
  r=fn1(1/z)+r 
  m=fn2((1-(z*z))*imag(flip(z)))
  z=(m*(whitesq)+(r-1))
  |z|<4||2<|r|
  ;SOURCE: ad4.frm
}


phcsary7 {; from spacemandel_phc by Damion presogna, 11/18/96
          ; modified by alex dukay 11/22/96
  z=pixel, r=(pixel*whitesq):
  r=fn1(1/z)+r 
  m=fn2((1-(z*z))*imag(flip(z)))
  z=(m*(whitesq))+(r-1)
  |z|<=4
  ;SOURCE: ad4.frm
}


phcx01c {; Jim Deutch/modified by Alex Dukay.july/96
  z=pixel, c=(whitesq-1)^(pixel/fn4(tan(z-1))):
  z=(p1*(fn1(c+z)))+(fn2(z)/whitesq)
  |z|<=4
  ;SOURCE: ad4.frm
}


phcx07 {
  z=pixel,x=fn1(z)+log(tan(z)):
  z=fn2(z+x)/(fn3(whitesq+p1/2)*z)
  |z|<=4
  ;SOURCE: ad5.frm
}


phcx0x1 {
  z=pixel, t=whitesq*((fn1(tan(real(z+tan(real(z))))))):
  z=(fn2(z-t))
  |z|<=4
  ;SOURCE: ad4.frm
}


phcxa8 {
  countreset = (count < 1024)
  count = count * countreset
  evenodd=(evenodd < 1)*(count != 0)*countreset + (countreset == 0)*evenodd
  oddeven = (evenodd < 1)
  count = count + 1
  pixel = evenodd * pixel + oddeven * -pixel
   z = pixel:
   x = flip(pixel + fn1(p1/z - z/(p2+1)));
   z = x*z + p3
   |z| >=4
  ;SOURCE: ad3.frm
}


phcxa9 {
  countreset = (count < 1024)
  count = count * countreset
  evenodd=(evenodd < 1)*(count != 0)*countreset + (countreset == 0)*evenodd
  oddeven = (evenodd < 1)
  count = count + 1
  pixel = evenodd * pixel + oddeven * -pixel
  z=real(pixel)+flip(imag(pixel)),
  c=fn1(p2+real(p3)+flip(imag(p3)*p1)):
  z=fn2(z*(c-1))*fn3(z-c)
  |z|>=4
  ;SOURCE: ad3.frm
}


phcxaxa {
  z=pixel:
  d=(.4),e=(.22),k=sin(e+d)+whitesq,
  ko=sinh(k*real(p2)),x=fn1(ko*k)*fn2(k*ko)
  f=(z+x)/p3
  z=((fn3(f-ko)*z)+fn4(f-x))+log(f)
  z>=4
  ;SOURCE: ad4.frm
}


phcxaxx {
  z=pixel:
  t=(.4),n=(.22),o=sin(t+n)+whitesq,
  k=sinh(o*real(p2)),x=fn1(k*o)*fn2(k*o)
  f=(z+x)/p3
  z=((fn3(f-k)*z)+fn4(f-x))+log(f)
  z>=4
  ;SOURCE: ad4.frm
}


phcxxy5 {
  z=pixel, n=conj(flip(z-1)^2), t=(n*whitesq):
  z=(fn2(n)+fn2(z))
  z=fn1(t-1)+fn3((1-z))
  |z|<=4
  ;SOURCE: ad4.frm
}


phcxyy6 {
  z=pixel,t=conj(real(whitesq))+1:
  z=fn1(z+t)*fn2(1/fn3(t))
  |z|>=4
  ;SOURCE: ad5.frm
}


phcxyz7 {
  z=whitesq+pixel,t=pixel:
  z=(fn1(t-1)-real(fn2(z)))+fn3(t+whitesq/t)-1
  |z|>=4
  ;SOURCE: ad5.frm
}


phcyy9 {; Jim Deutch/modified by Alex Dukay.july/96
  z=whitesq
  c=pixel:
  z=(p1*(fn1(z-1)))-(fn2(z*z)-c)
  |c|<4
  ;SOURCE: ad4.frm
}


pheon2 (XAXIS) {
   ; A square root mapping of the pheonix. Interesting because of the
   ; discontinuites introduced in the folded symmetry.
  z = pixel^.5, zp1 = zp2 = (0,0):
  temp = z
  z  = z*z - zp2
  zp2 = zp1
  zp1 = conj(temp), 
  |zp1| <= 4 
  ;SOURCE: noel.frm
}


pheonabs (XAXIS) {
   ; A pheonix variant
  z = pixel, zp1 = zp2 = (0,0):
  temp = z
  z  = z*z - abs(zp2)
  zp2 = zp1
  zp1 = conj(temp), |zp1| <= 4 
  ;SOURCE: noel.frm
}


pheonix (XAXIS) {
   ; Add conjugation and produce a great fractal even if it's spelt wrong.
  z = pixel, zp1 = zp2 = (0,0):
  temp = z
  z  = z*z - zp2
  zp2 = zp1
  zp1 = conj(temp), |zp1| <= 4 
  ;SOURCE: noel.frm
}


pheot {
   ; The ht flavour of the pheonix fractal gives some nice escher like
   ; fractals
  z = pixel, zp1 = zp2 = (0,0),huge=1.0e32:
  temp = z
  z  = z*z - zp2
  zp2 = zp1
  zp1 = p1/conj(temp), (|zp1| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


pheot1 {
   ; The ht flavour of the pheonix fractal gives some nice escher like
   ; fractals
  z = pixel, zp1 = zp2 = (0,0), bail=real(p2), huge=1.0e32:
  temp = z
  z  = z*z - zp2
  zp2 = zp1
  zp1 = p1/conj(temp), (|zp1| <= bail) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


phi01 (xyaxis) {; try inside=maxiter and outside=imag on these
  z = ((sqrt 5 + 1)/2)/pixel:
  z =  z*z + pixel*((sqrt 5 + 1)/2)
  |z| <= 4;
  ;SOURCE: formulas.frm
}


phi02 (xyaxis) {; try inside=maxiter and outside=imag on these
  c = pixel 
  z = ((sqrt 5 + 1)/2):
  z =  z*z + pixel*((sqrt 5 + 1)/2) + c
  |z| <= 4;
  ;SOURCE: formulas.frm
}


phi03 (xyaxis) {; try inside=maxiter and outside=imag on these
  z = ((sqrt 5 + 1)/2)/pixel:
  z =  z*z*z + pixel*((sqrt 5 + 1)/2)
  |z| <= 4;
  ;SOURCE: formulas.frm
}


phi04 (xyaxis) {; try inside=maxiter and outside=imag on these
  z = ((sqrt 5 + 1)/2)/pixel:
  z =  z*z + pixel*((sqrt 5 + 1)/2)/((sqrt 5 - 1)/2)
  |z| <= 4;
  ;SOURCE: formulas.frm
}


Phoenix {; Ron Barnett, 1993
         ; This is an old formula of mine which
         ; predates the current formuala in Fractint
         ; The Fractint formula won't generate the
         ; "birds" par in REB006.PAR. This one will.
  z = flip(pixel);
  x1 = 0;
  y = 0:
  x1 = z*z + P1 + P2*y;
  y = z;
  z = x1; 
  |z|<= 50
  ;SOURCE: reb006.frm
}


Phoenix2-1 {
   ; This is the Phoenix formula as described by 
   ; Shigehiro Ushiki.  The other formulas come from
   ; Fractal programming in C.
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = pixel,
  zold = (0.0, 0.0):
  zt = z * z + 0.56667 - 0.5 * zold,
  zold = z,
  z = zt;
  |z| < 4
  ;SOURCE: phoenix2.frm
}


Phoenix2-2 {
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = pixel,
  zold = (0.0, 0.0):
  zt = z * z + 0.288732 + 0.510029 * zold,
  zold = z,
  z = zt;
  |z| < 4
  ;SOURCE: phoenix2.frm
}


Phoenix2-3 {
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = pixel,
  zold = (0.0, 0.0):
  zt = z * z + 0.356338 - 1.209169 * zold,
  zold = z,
  z = zt;
  |z| < 4
  ;SOURCE: phoenix2.frm
}


Phoenix2-4 {
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = pixel,
  zold = (0.0, 0.0):
  zt = z * z - 0.550704 - 1.255014 * zold,
  zold = z,
  z = zt;
  |z| < 4
  ;SOURCE: phoenix2.frm
}


phoenix_j (XAXIS) {; Use P1=0.56667/-0.5   &   .1/.8
  x=real(pixel), y=imag(pixel), z=nx=ny=x1=x2=y1=y2=0:
  x2 = sqr(x), y2 = sqr(y),
  x1 = x2 - y2 + real(p1) + imag(p1) * nx,
  y1 = 2 * x * y + imag(p1) * ny,
  nx=x, ny=y, x=x1, y=y1, z=nx + flip(ny),
  |z| <= 4
  ;SOURCE: flip.frm
}


phoenix_m {; Mandelbrot style map of the Phoenix curves
  z=x=y=nx=ny=x1=y1=x2=y2=0:
  x2 = sqr(x), y2 = sqr(y)
  x1 = x2 - y2 + real(pixel) + imag(pixel) * nx
  y1 = 2 * x * y + imag(pixel) * ny
  nx=x, ny=y, x=x1, y=y1, z=x + flip(y)
  |z| <= 4
  ;SOURCE: fractint.frm
}


PhonyMandelJ {
  z=pixel
  f=15/8:
  k=z*z
  z=(k*k/4-k*z*f/3-k/2+f*z-.25)*p1,
  |z|<=127
  ;SOURCE: pderb.frm
}


PhonyMandelM {
  c=pixel
  f=15/8
  z=1:
  k=z*z
  z=(k*k/4-k*z*f/3-k/2+f*z-.25)*c,
  |z|<=127
  ;SOURCE: pderb.frm
}


Pig_Tails {
  z = c = pixel:
  z = z + p1
  q = fn2(z)^e 
  r = fn1(z) * q
  z = tan(r / q) * z + c 
  |z| < 4
  ;SOURCE: big_pig.frm
}


Pigalleto {
  z = c = pixel:
  r = fn1((1/z) / z) + p1 
  z = fn2(z / r)
  z = z + c
  |z| < 4 + p2
  ;SOURCE: big_pig.frm
}


Piglet {
  z = c = pixel, p = pixel + p1:
  z = z * z * p
  r = tan((1/z) / c)  
  z = fn2(z) + fn1(r)
  |z| < 4 + p2
  ;SOURCE: big_pig.frm
}


Pigs {
  z = pixel:
  r = z * fn1(z)^e   
  z = (fn2(z) / r) + p1
  |z| < 4
  ;SOURCE: big_pig.frm
}


Pilsner {  
  z = 0, c = pixel, ppix = pixel^-1 + p1:
  z = (z*1/ppix) * fn1(ppix)
  z = fn2(z) + c
  |z| < 4
  ;SOURCE: korfu.frm
}


pixey00 (XAXIS_NOPARM) {     
  z = pixel + p1:
  z = z*z + pixel
  z <= 4 
  ;SOURCE: pixey.frm
}


pixey01 {     
  z = pixel + p1:
  z = z^2.71828182845905 + pixel
  z <= 4 
  ;SOURCE: pixey.frm
}


pixey02 {     
  z = pixel + p1, c = pixel:
  temp = z
  z = z*z + pixel + c
  pixel = temp
  z <= 4 
  ;SOURCE: pixey.frm
}


pixey03 {
  z = pixel
  x = real(z + p1), y = imag(z + p2):
  x = fn1(x*x - fn2(y*y))
  y = fn3(y*y - fn4(x*x))
  z = x*x + y*y 
  |z| <= 4
  ;SOURCE: pixey.frm
}


pixey04 {
  z = pixel + p1 
  c = pixel:
  z = fn1(z*2.71828182845905) + fn2(c)  
  |z| <= 16
  ;SOURCE: pixey.frm
}


pixey05 {
  z = pixel + p1 
  c = pixel:
  z = fn1(z^2.71828182845905) + fn2(c)  
  |z| <= 16
  ;SOURCE: pixey.frm
}


pixey06 {
  z = pixel + p1 
  c = pixel:
  z = fn1(z)^2.71828182845905 + fn2(c)  
  |z| <= 16
  ;SOURCE: pixey.frm
}


pixey07 {
  z = pixel + p1 
  c = pixel:
  z = fn1(z-1/pixel)^2.71828182845905 + fn2(c)  
  |z| <= 16
  ;SOURCE: pixey.frm
}


pixey08 { 
  z = pixel + p1
  c = pixel - fn1(z):
  c = pixel + c/z
  z = c - z*pixel
  |z| <=16
  ;SOURCE: pixey.frm
}


pixey09 { 
  z = pixel + p1
  c = fn1(pixel - fn2(z)):
  z = c - z*pixel
  |z| <=16
  ;SOURCE: pixey.frm
}


pixey10 {
  z = fn1(pixel + p1)
  c = fn2(pixel - sqr(z)):
  z = c - z*pixel
  |z| <=16
  ;SOURCE: pixey.frm
}


pixey11 { 
  z = fn1(pixel + p1)
  c = fn2(pixel - sqr(z)):
  z = (c - z*pixel)/(pixel - c*c)
  |z| <=16
  ;SOURCE: pixey.frm
}


pixey12 { 
  z =fn1(pixel + p1)
  c =fn2(pixel - sqr(z)):
  z =c + z^2.71828182845905 - 1
  |z| <=16
  ;SOURCE: pixey.frm
}


pixey13 { 
  z = fn1(pixel + p1)
  c = fn2(pixel - sqr(z)):
  z = z^2.71828182845905 + c
  |z| <=16
  ;SOURCE: pixey.frm
}


PixJack {
   z = pixel, c = p1:
   z = z*z + c * pixel
   z <= 4 
   ;SOURCE: orman3.frm
}


PixJack2 {
   z = pixel, c = p1, d=c/pixel:
   z = z*z + c + d
   z <= 4 
   ;SOURCE: orman3.frm
}


PixNwt { 
  z = pixel , Root = fn1(p2 * pixel):
  z = ((p1-1) * z^p1 + Root) / (p1 * z^(p1-1));
  .001 <= |z^p1 - Root|
  ;SOURCE: crazynwt.frm
}


PixNwt1/ { 
  z = pixel , Root = 1/(2*fn1(p2 * pixel)) + 1/(2*fn2(p2 * pixel)):
  z = ((p1-1) * z^p1 + Root) / (p1 * z^(p1-1));
  .001 <= |z^p1 - Root|
  ;SOURCE: crazynwt.frm
}


PixNwtpwr { 
  z = pixel , Root = pixel^p2 :
  z = ((p1-1) * z^p1 + Root) / (p1 * z^(p1-1));
  .001 <= |z^p1 - Root|
  ;SOURCE: crazynwt.frm
}


pn02 {
  z=pixel,t=(1-conj(z))+(1-fn4(1/z)),u=flip(conj((z-1))),v=tan((t*u)):
  l=(fn1(v-t)+fn2(v+u))-(t+u)/whitesq
  z=(fn3(l)+fn4(l+(-whitesq)))
  |z|<=4
  ;SOURCE: ad4.frm
}


Polka {
  z = c = pixel:
  z = z + p1
  c = fn1(c) 
  z = fn2((z*z+c-2)/(2*z+c+1))
  |z| < 4
  ;SOURCE: gestalt.frm
}


PolyGen {; Ron Barnett, 1993
         ; p1 must not be zero
         ; zero can be simulated with a small
         ; value for p1
         ; use floating point
  z=(-p2+(p2*p2+(1-pixel)*3*p1)^0.5)/(3*p1):
  z=p1*z*z*z+p2*z*z+(pixel-1)*z-pixel,|z| <= 100
  ;SOURCE: reb002.frm
}


PolyGenJulia {; Ron Barnett, 1995
              ;p1 must not be zero
              ;zero can be simulated with a small
              ;value for p1
              ;use floating point
  z=(-p2+(p2*p2+(1-pixel)*3*p1)^0.5)/(3*p1):
  z=p1*z*z*z+p2*z*z+(p3-1)*z-p3,
  |z| <= 100
  ;SOURCE: reb007.frm
}


pop01 { 
  h = (0.05 * ((p1)<=0) + (p1) * (0<p1))
  k = (3.0 * ((p2)<=0) + (p2) * (0<p2))
  x = real(pixel), y = imag(pixel):
  a = x - h*fn1((y) + fn2(k*y))
  b = y - h*fn1((x) + fn2(k*x))
  x = a, y = b
  z = fn3(x) * fn4(y)
  |z| <= 64
  ;SOURCE: pop.frm
}


pop02 { 
  h = (0.05 * ((p1)<=0))
  k = (3.00 * ((p2)<=0))
  x = real(pixel) + p1, y = imag(pixel) + p2:
  a = x - h*fn1((y) + fn2(k*y))
  b = y - h*fn1((x) + fn2(k*x))
  x = a, y = b
  z = fn3(x) * fn4(y)
  |z| <= 64
  ;SOURCE: pop.frm
}


pop03 { 
  h = (0.05 * ((p1)<=0) + (p1) * (0<p1))
  k = (3.00 * ((p2)<=0) + (p2) * (0<p2))
  x = real(pixel), y = imag(pixel):
  a = x - h*fn1((y) + fn2(k*y))
  b = y - h*fn1((x) + fn2(k*x))
  x = a, y = b
  z = fn3(x) * fn4(y) + h + k
  |z| <= 64
  ;SOURCE: pop.frm
}


pop04 { 
  h = (0.10 * ((p1)<=0) + (p1) * (0<p1))
  k = (5.00 * ((p2)<=0) + (p2) * (0<p2))
  x = real(pixel), y = imag(pixel):
  a = x - h*fn1((y) + fn2(k*y))
  b = y - h*fn1((x) + fn2(k*x))
  x = a, y = b
  z = fn3(x) * fn4(y) *  fn3(x) * fn4(y)  
  |z| <= 64
  ;SOURCE: pop.frm
}


pop05 { 
  h = (0.05 * ((p1)<=0) + (p1) * (0<p1))
  k = (3.00 * ((p2)<=0) + (p2) * (0<p2))
  c = pixel
  x = real(pixel), y = imag(pixel):
  a = x - h*fn1((y) + fn2(k*y))
  b = y - h*fn1((x) + fn2(k*x))
  x = a, y = b
  z = fn3(x*x) + fn4(y*y) + c
  |z| <= 64
  ;SOURCE: pop.frm
}


pop06 { 
  h = (0.05 * ((p1)<=0) + (p1) * (0<p1))
  k = (3.00 * ((p2)<=0) + (p2) * (0<p2))
  x = real(pixel), y = imag(pixel):
  a = x - h*fn1((y) + fn2(k*y))
  b = y - h*fn1((x) + fn2(k*x))
  x = a, y = b
  z = fn3(x*x) + fn4(y*y) + x*y
  |z| <= 64
  ;SOURCE: pop.frm
}


pop07 { 
  h = (0.05 * ((p1)<=0) + (p1) * (0<p1))
  k = (3.0 * ((p2)<=0) + (p2) * (0<p2))
  x = real(pixel), y = imag(pixel):
  a = x*x - h*fn1((y) + fn2(k*y))
  b = y*y - h*fn1((x) + fn2(k*x))
  x = a, y = b
  z = fn3(x) * fn4(y)
  |z| <= 64
  ;SOURCE: pop.frm
}


pop08 { 
  h = (0.05 * ((p1)<=0) + (p1) * (0<p1))
  k = (3.0 * ((p2)<=0) + (p2) * (0<p2))
  x = real(pixel), y = imag(pixel):
  a = x*x + h*fn1((y) - fn2(k*y))
  b = y*y + h*fn1((x) - fn2(k*x))
  x = a, y = b
  z = fn3(x) * fn4(y)
  |z| <= 64
  ;SOURCE: pop.frm
}


pop09 { 
  h = (0.05 * ((p1)<=0) + (p1) * (0<p1))
  k = (3.0 * ((p2)<=0) + (p2) * (0<p2))
  x = real(pixel), y = imag(pixel):
  a = x*x + h*fn1((y) + fn2(k*y))
  b = y*y + h*fn1((x) + fn2(k*x))
  x = a, y = b
  z = fn3(x) * fn4(y)
  |z| <= 64
  ;SOURCE: pop.frm
}


PopcornJul (origin) {; adaptation by Bradley Beacham  [74223,2745]
       ; The next line sets h=0.05 if real(p1)<=0, else h=real(p1)
  h = (0.05 * (real(p1)<=0) + real(p1) * (0<p1))
  x = real(pixel), y = imag(pixel):
    newx = x - h*sin((y) + tan(3*y))
    newy = y - h*sin((x) + tan(3*x))
    x = newx, y = newy
    z = x + flip(y)
      |z| < 4
  ;SOURCE: pj.frm
}


PopCornJulCplx {; Jon Horner & Bradley Beacham - May 1995
   ; p1 = step size (default 0.05), p2 = parameter (default 3)
   ; p3 = bailout value (default 4)
   ; set co-ords = -3/3/-2.25/2.25, fn1=sin, fn2=tan, fn3=ident, fn4=flip
  h = (0.05 * ((p1)<=0) + (p1) * (0<p1))
  k = (3.0 * ((p2)<=0) + (p2) * (0<p2))
  test = (4.0 * ((p3)<=0) + (p3) * (0<p3))
  x = real(pixel), y = imag(pixel):
  newx = x - h*fn1((y) + fn2(k*y))
  newy = y - h*fn1((x) + fn2(k*x))
  x = newx, y = newy
  z = fn3(x) + fn4(y)
  |z| < test
  ;SOURCE: snazzy.frm
}


Porker {
  z = c = pixel:
  L = (1/tan(z)) + c
  r = fn1(1/z) + p1
  z = (r/L)
  |z| < 4 + p2
  ;SOURCE: big_pig.frm
}


PosiTail {; Jim Muth
  z=c=pixel:
  z=sqr(z)-0.19*(z*z*z)+c,
  |z| <= 100
  ;SOURCE: 97msg.frm
}


Primal {; Rollo Silver
        ; Select p1 such that 0. <= p1 <= 1.
  z = c = Pixel, t = real(p1), test = (p2+10)*(p2+10):
  zsq = z*z
  zcu = zsq*z
  z = (1.-t)*zsq + t*zcu + c
  |z| <= test
  ;SOURCE: primal.frm
}


PRN_01 {; Paul Novak, 1996
  z=c=pixel, upper=4+p2:
  t= (z +  z*(fn1(fn2(z))))
  z= -1*t + c
  |z| < upper
  ;SOURCE: novak_1.frm
}


PRN_02 {; Paul Novak, 1996
  z=c=pixel, z2=z*z, upper=4+p2, m=p1, m1=.005+p1:
  m= m + m1
  b= (z2 + z*(fn1(fn2(z))))
  t= (z +  z*(fn2(fn3(z))))
  z= m*b + (m-1)*t + c
  |z| < upper
  ;SOURCE: novak_1.frm
}


PRN_03 {; Paul Novak, 1996
  z=c=pixel, z2=z*z, upper=4+p2, m=p1, m1=.005+p1:
  m= m + m1/(1.5*m)
  b= (z2 + z*(fn1(fn2(z))))
  t= (z +  z*(fn2(fn3(z))))
  z= m*b + (m-1)*t + c
  |z| < upper
  ;SOURCE: novak_1.frm
}


PRN_04 {; Paul Novak, 1996
  z = c = pixel, z2=z*z, upper=4+p2, m=p1, m1=.005+p1:
  m = m + m1*(1.25*(1/m))
  b = (z2 + z*(fn1(fn2(z))))
  t = (z2 + z + z*(fn1(fn3(z))))
  z = m*b + (1/m)*t + c
  |z| < upper
  ;SOURCE: novak_1.frm
}


Prop (XAXIS) {
  z=0
  c=pixel:
  z=sqr(z);
  z=-z;
  z=conj(z);
  z=z+c,
  |z| <=4
  ;SOURCE: crocker.frm
}


Prop2 {
  z=0
  c=pixel:
  z=sqr(z);
  z=-z;
  z=conj(z);
  z=z+c+imag(c),
  |z| <=4
  ;SOURCE: crocker.frm
}


Prop2J (ORIGIN) {
  c=P1
  z=pixel:
  z=sqr(z);
  z=-z;
  z=conj(z);
  z=z+c+imag(c),
  |z| <=4
  ;SOURCE: crocker.frm
}


Prop3 {
  z=0
  c=pixel:
  z=sqr(z);
  z=-z;
  z=conj(z);
  z=z+c-imag(c),
  |z| <=4
  ;SOURCE: crocker.frm
}


Prop3J (ORIGIN) {
  c=P1
  z=pixel:
  z=sqr(z);
  z=-z;
  z=conj(z);
  z=z+c-imag(c),
  |z| <=4
  ;SOURCE: crocker.frm
}


Prop4 {
  z=0
  c=pixel:
  z=sqr(z);
  z=-z;
  z=conj(z);
  z=z+c+imag(z),
  |z| <=4
  ;SOURCE: crocker.frm
}


Prop4J (ORIGIN) {
  c=P1
  z=pixel:
  z=sqr(z);
  z=-z;
  z=conj(z);
  z=z+c+imag(z),
  |z| <=4
  ;SOURCE: crocker.frm
}


Prop5 {
  z=0
  c=pixel:
  z=sqr(z);
  z=-z;
  z=conj(z);
  z=z+c-imag(z),
  |z| <=4
  ;SOURCE: crocker.frm
}


Prop5J (ORIGIN) {
  c=P1
  z=pixel:
  z=sqr(z);
  z=-z;
  z=conj(z);
  z=z+c-imag(z),
  |z| <=4
  ;SOURCE: crocker.frm
}


PropMiIm {
  z=0
  c=pixel:
  z=sqr(z);
  z=-z;
  z=conj(z);
  z=z+c-imag(z),
  |z| <=4
  ;SOURCE: crocker.frm
}


PropPlIm {
  z=0
  c=pixel:
  z=sqr(z);
  z=-z;
  z=conj(z);
  z=z+c+imag(z),
  |z| <=4
  ;SOURCE: crocker.frm
}


PseudoLambda {
  z = pixel:
  x = real(z), y = imag(z),
  x1 = -p1*(x - x*x + y*y) + p2,
  y = -p1*(y - 2*x*y),
  z = x1 + flip(y), 
  |z| <= 100
  ;SOURCE: reb003.frm
}


PseudoMandel (XAXIS) {; davisl
                      ; try p1 = 2.7182818, p2 = 6.2831853, fn1 = sqr
  z = pixel:
  z = ((z/p1)^z)*fn1(p2*z) + pixel,
  |z| <= 4
  ;SOURCE: improved.frm
}


PseudoMandelLambda {
  z = 0.5, c = pixel:
  x = real(z), y = imag(z),
  x1 = -c*(x - x*x + y*y) + p1,
  y = -c*(y - 2*x*y),
  z = x1 + flip(y), 
  |z| <= 100
  ;SOURCE: reb003.frm
}


PseudoZeePi {; Ron Barnett, 1993
  z = pixel:
  x = 1-z^p1;
  z = z*((1-x)/(1+x))^(1/p1) + p2
  |z| <= 4
  ;SOURCE: fractint.frm
}


PsudoMandel (XAXIS) {; davisl - try center=0,0/magnification=28
  z = Pixel:
  z = ((z/2.7182818)^z)*sqr(6.2831853*z) + pixel
  |z| <= 4
  ;SOURCE: fractint.frm
}


Psyche {
  z = c = pixel
  bail = floor(|z|):
  r = z * (1/fn1(z)) + p1
  z = r * fn2(z) + c
  bail <= 4
  ;SOURCE: schizo.frm
}


Psyche_2 {
  z = c = pixel:
  r = z * (1/fn1(z)) + p1
  z = r * fn2(z) + c
  floor(|Z|) <= 4
  ;SOURCE: schizo_2.frm
}


Psyche_Test { ; by Presogna
  z = c = pixel
  bail = floor(|z|):
  r = z * (1/asin(z)) + p1
  z = r * (z*z) + c
  bail <= 4
  ;SOURCE: psyche.frm
}


Psyche_Test1 {; identical to Psyche_Test  (by Gallet)
  z = c = pixel :
  r = z * (1/asin(z)) + p1
  z = r * (z*z) + c
  ;SOURCE: psyche.frm
}


Psyche_Test2 {; by Gallet
  z = c = pixel
  bail = floor(|z|):
  z = (z*z) + c
  bail <= 4
  ;SOURCE: psyche.frm
}


psycho (XAXIS) {
   ;  Another nice two function variation
  z = pixel, zp = (0,0):
  temp = z
  z = z*z - zp
  zp = sin(-temp), 
  |zp| <= 4 
  ;SOURCE: noel.frm
}


ptc+3mandels {; Sylvie Gallet [101324,3444], 1996  Requires passes=1
              ; 24-bit ptc
  cr = real(scrnpix) + imag(scrnpix)
  r = cr - 3 * trunc(cr / real(3))
  c = r == 0 , c1 = p1 * (r == 1)
  c2 = p2 * (r == 2)
  z = c = pixel * (c + c1 + c2) :
   z = z * z + c
    |z| <= 4
  ;SOURCE: phc.frm
}


ptc+4mandels {; Sylvie Gallet [101324,3444], 1996
              ; 32-bit Pseudo-TrueColor
              ; Modified for if..else logic 3/21/97 by Sylvie Gallet
   cr = real(scrnpix) + 2*imag(scrnpix)
   r = cr - 4 * trunc(cr / 4)
   IF (r == 0)
      z = c = pixel
   ELSEIF (r == 1)
      z = c = pixel * p1
   ELSEIF (r == 2)
      z = c = pixel * p2
   ELSE
      z = c = pixel * p3
   ENDIF
   :
   z = z * z + c
   |z| <= 4
  ;SOURCE: fract196.frm
}


ptc+mjn {; Sylvie Gallet [101324,3444], 1996
         ; Modified for if..else logic 3/19/97 by Sylvie Gallet
         ; 24-bit Pseudo-TrueColor
         ; Mandel: z^2 + c , Julia: z^2 + p1 , Newton: z^p2 - 1 = 0
   cr = real(scrnpix) + imag(scrnpix)
   r = cr - 3 * trunc(cr / real(3)) , z = pixel
   IF (r == 0)
      c = pixel , b1 = 256
   ELSEIF (r == 1)
      c = p1 , b1 = 256
   ELSE
      c = 0 , b2 = 0.000001 , ex = p2 - 1
   ENDIF
   :
   IF (r == 2)
      zd = z^ex , n = zd*z - 1
      z = z - n / (p2*zd) , continue = (|n| >= b2)
   ELSE
      z = z*z + c , continue = (|z| <= b1)
   ENDIF
   continue
  ;SOURCE: fract196.frm
}


ptc_4m_A { ; overlay four Mandels with different initializations
           ; and bailout tests
           ; Isn't it terrific???
           ; Modified for if..else logic, April 1997
   cr = real(scrnpix) + 2 * imag(scrnpix)
   r = cr - 4 * trunc(cr / 4)
   IF (r == 0)
      z = c = sin(pixel)
   ELSEIF (r == 1)
      z = c = pixel
   ELSEIF (r == 2)
      z = c = 1/pixel
   ELSE
      z = c = -pixel
   ENDIF
   :
   z = z*z + c
   IF (r == 0)
      PTC_bailout = |real(z)| <= 4
   ELSEIF (r == 1)
      PTC_bailout = |z| <= 4
   ELSEIF (r == 2)
      PTC_bailout = |imag(z)| <= 4
   ELSE
      PTC_bailout = |real(z)+imag(z)| <= 4
   ENDIF
   PTC_bailout
     ;SOURCE: phctutor.frm
}


ptc_mjn_A { ; overlay the Mandel set of z^2 + c with the Julia set
            ; of z^2 + (-0.75,0.1234) and the Julia set of Newton's
            ; method applied to z^3 - 1 = 0
            ; Modified for if..else logic, April 1997
   cr = real(scrnpix) + imag(scrnpix)
   r = cr - 3 * trunc(cr / real(3))
   z = pixel
   IF (r == 0)
      c = pixel
   ELSEIF (r == 1)
      c = (-0.75,0.1234)
   ENDIF
   :
   IF (r == 2)
      n = z^3 - 1 , d = 3*z^2 , z = z - n/d
      PTC_bailout = |n| >= 0.000001
   ELSE
      z = z*z + c
      PTC_bailout = |z| <= 4
   ENDIF
   PTC_bailout
     ;SOURCE: phctutor.frm
}


ptc_mjn_B { ; overlay the Mandel set of z^2 + c with the Julia set
            ; of z^2 + (-0.75,0.1234) and the Julia set of Newton's
            ; method applied to z^3 - 1 = 0
            ; Modified for if..else logic, April 1997
   cr = real(scrnpix) + imag(scrnpix)
   r = cr - 3 * trunc(cr / real(3))
   z = pixel
   IF (r == 0)
      c = pixel
   ELSEIF (r == 1)
      c = (-0.75,0.1234)
   ENDIF
   :
   IF (r == 2)
      z2 = z*z , n = z2*z - 1 , d = 3*z2 , z = z - n/d
      PTC_bailout = |n| >= 0.000001
   ELSE
      z = z*z + c
      PTC_bailout = |z| <= 4
   ENDIF
   PTC_bailout
     ;SOURCE: phctutor.frm
}


pxa0b4 {
  z=pixel:
  n=(log(z*p1)/p2)+(fn4(z+1)/2)+whitesq
  z=(fn1(n)+(fn2((.02,1.1)+(n-z))/z-1))*fn3(tan(z)/whitesq)
  |z|<p3
  ;SOURCE: ad5.frm
}


pxtest2 {
  u=sqrt(p1)+whitesq
  z=pixel:
  x= z*(u-1)/whitesq,y=z*u/2
  x1=fn1(1-fn2(p2*z))
  y1=(y+fn2(p2*x))
  z1=x1*fn1(y1)
  z=z1+x1*y1
  |z|<p3
  ;SOURCE: ad5.frm
}


pxtest5 {
  u=flip(sqr(p1)+whitesq)
  z=pixel :
  x= imag(z*(u-1)/whitesq),y=real(1-z/2)
  x1=fn1(y+fn2(p2*z))
  y1=fn1(z+fn2(p2*x))
  z1=fn1(x+fn2(p2*y))
  z=fn3(z1+x1)*fn4(j+y1*j2)
  |z|<p3
  ;SOURCE: ad5.frm
}


pxtest6 {
  z = pixel:
  r = fn1(z)*tan(real(z))
  z2 =((r*z)-1)*(real(z/p1))
  o = fn3(sin(z) +fn2(z+whitesq))
  z = (whitesq+(z2+o))*(whitesq-z)
  |z| <4
  ;SOURCE: ad5.frm
}


pxtest7 {
  u=flip(sqr(p1)+whitesq)
  z=pixel :
  x= (z*(u-1)/(whitesq)),y=(z*2)/(whitesq/2)
  x1=fn1(y+fn2(p2*z))
  y1=fn1(z+fn2(p2*x))
  z1=fn1(x+fn2(p2*y))
  z=fn3(z1+x1*j)+fn4(y1*j2)
  |z|<p3
  ;SOURCE: ad5.frm
}


pxx02 {
  z=pixel
  c=pixel+(whitesq):
  z=fn1(c-(fn2(exp(z)/log(tan(z)*cos(z+c)))/fn4(cosxx(z))))
  |z|<4
  ;SOURCE: ad5.frm
}


py1 {
  z=pixel,t=fn1(z-1):
  z1=fn2(pixel)/fn3(whitesq+(conj(z/3)))
  z2=fn2(z1)+(z+t+pixel)
  z=((z1)+conj(t))-(whitesq/fn4(z2))
  |z|<=4
  ;SOURCE: ad5.frm
}


py10 {
  z=pixel:
  x=fn1(z-p1),y=fn1(z-p2)
  x1=fn2(x*y)-(1/z),y1=fn2((x*y)/whitesq)
  z=fn3((x1)+(y1))
  |z|<4
  ;SOURCE: missing.frm
}


py11 {
  z=pixel,n=tan(pixel*p1),m=cotan(pixel*p1):
  x=fn1(n+p1),y=fn1((m*p1)+p1)
  x1=fn2(x+whitesq),y1=fn2(y+whitesq)
  z=fn3(flip(x1)^flip(y1))+(fn4(x+y)-(n^m))
  |z|<4
  ;SOURCE: missing.frm
}


py12 {
  z=pixel:
  x=fn1(z-p1)/pi,y=fn1(z-p2)/e
  x1=fn2((x*y)^1/z)+whitesq,y1=fn2((x*y)/whitesq)
  z=fn3((x1)+fn4(y1))
  |z|<4
  ;SOURCE: missing.frm
}


py3 {
  c=pixel,z=fn1(pixel)+(1-pixel):
  z=fn4(fn2(z)+whitesq)+fn3(c/whitesq)
  c=p1-conj(flip(c))
  |c|<=4
  ;SOURCE: missing.frm
}


py6 {
  z=pixel,u=(tan(z+1)*fn3(z)):
  x=u-z,y=z*u/2
  x1=fn1(y+fn2(u/z))/p2
  y1=y*fn1(x+fn2(z+x))
  z1=z*fn1(x+fn2(p2*y))
  z=fn2(z1+x1)+fn4(z1+y1)
  z=((fn3(z/((22/7)))/whitesq))-fn2(u)
  |z|<=4
  ;SOURCE: ad5.frm
}


py7 {
  z=pixel:
  z=(fn1(z+tan(real(whitesq))))*fn2(((22/7))+(z))/(whitesq-1)
  z=fn1(pixel*z)/fn4(real(z+(whitesq)))
  |z|<=4
  ;SOURCE: ad5.frm
}


py9 {
  z=pixel,n=real(pixel*p1),m=imag(pixel*p1):
  x=fn1(n*e),y=fn1(m*pi)
  x1=fn2(x+whitesq),y1=fn2(y+whitesq)
  z=fn3(flip(x1)^flip(y1))+(fn4(x+y)-(n^m))
  |z|<4
  ;SOURCE: ad5.frm
}

