

S2Z (XAXIS) {; resol. sin(sin(z)=z - Jm Collard-Richard -  Use float=yes
  z=pixel:
  z1=sin(sin(z))-z;
  z2=cos(z)*cos(sin(z))-1;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


s8 { ; Revised 4/27/96 to eliminate superfluous "+c"
     ; Original version of this formula may be discarded
  z=pixel,t=fn3(pixel*1/z)/cosxx(z-1):
  z=fn1(pixel/(t*t))/fn2(z^t)
  |z|<=p1
  ;SOURCE: new.frm
}


saddle { ; Sylvie Gallet [101324,3444], 1996
         ; formula based on Tim Wegner's Graph-3
  x = real(pixel) , y = imag(pixel)
  value = (x^2-y^2)
  min = real(p1) , max = imag(p1)
  incr = (max - min)/256 , z = min :
  z = z + incr
  z <= value
  ;SOURCE: 96msg.frm
}


Sam_0(XAXIS) {
  z = Pixel:  
  z = z^z - pixel
  ;SOURCE: sam.frm
}


Sam_1 (XAXIS) {
  z = Pixel: 
  z = z^(-z) - pixel
  ;SOURCE: sam.frm
}


Sam_10 (XYAXIS) {
  z = Pixel: 
  z = sin(1/z)
  ;SOURCE: sam.frm
}


Sam_11 (XAXIS) {;Try this with periodicity=none command line
  z = Pixel: 
  z = sinh(1/z)
  ;SOURCE: sam.frm
}


Sam_2 (XAXIS) {
  z = Pixel: 
  z = z^(1/z) - pixel
  ;SOURCE: sam.frm
}


Sam_3 (XAXIS) {
  z = Pixel: 
  z = z^z^z - pixel
  ;SOURCE: sam.frm
}


Sam_4 (XAXIS) {
  z = Pixel: 
  z = z^(z^(1/z)) - pixel
  ;SOURCE: sam.frm
}


Sam_5 (XAXIS) {
  z = Pixel: 
  z = z^2.718281828 + pixel
  ;SOURCE: sam.frm
}


Sam_6 (XYAXIS) {
  z = Pixel: 
  z = z*cos(z) - pixel
  ;SOURCE: sam.frm
}


Sam_7 (XAXIS) {
  z = Pixel: 
  z = z*sin(z) - pixel
  ;SOURCE: sam.frm
}


Sam_8 {
  z = Pixel: 
  z = z^c
  ;SOURCE: sam.frm
}


Sam_9 (XYAXIS) {
  z = Pixel: 
  z = z*tanh(z)
  ;SOURCE: sam.frm
}


Sattva {
  z = pixel + p1:
  r = fn1(tan(1/z)) + pixel 
  z = z * fn2(r)
  |z| < 4
  ;SOURCE: shakti.frm
}


Scary {
  z = c = pixel, halfe = e * (-0.5):
  r = sqr(fn1(1/z)) - c + p1
  q = fn2(z)/halfe + c + p2
  z = (q * (whitesq == 0)) + (r * (whitesq == 1))
  |z| <= 4
  ;SOURCE: scary.frm
}


Schizo {
  z = c = pixel:
  r = z * (1/fn1(z)) + p1
  z = fn2(r) * z + c 
  round(z) <= 4
  ;SOURCE: schizo.frm
}


scorpio (XAXIS) {
   ;  Throw in a second function and things get interesting again
  zp1 = zp2 = pixel, z = (0,0):
  temp = z
  z = zp1*zp1 - zp2
  zp2 = zp1
  zp1 = sin(temp), |zp1| <= 4
  ;SOURCE: noel.frm
}


ScottCos (XYAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = cos(z) + sqr(z), 
  |z|<TEST 
  ;SOURCE: fracv13r.frm
}


ScottCosH (XYAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = cosh(z) + sqr(z), 
  |z|<TEST 
  ;SOURCE: fracv13r.frm
}


ScottCZSA (XYAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = cos(z*z), 
  |z|<TEST 
  ;SOURCE: fracv13r.frm
}


ScottCZSB (XYAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = cos(z)*cos(z), 
  |z|<TEST 
  ;SOURCE: fracv13r.frm
}


ScottLPC (XAXIS) { 
  z = pixel, TEST = (p1+3): 
  z = log(z)+cosxx(z), 
  |z|<TEST 
  ;SOURCE: skinner.frm
}


ScottLPS (XAXIS) { 
  z = pixel, TEST = (p1+3): 
  z = log(z)+sin(z), 
  |z|<TEST 
  ;SOURCE: skinner.frm
}


ScottLTC (XAXIS) { 
  z = pixel, TEST = (p1+3): 
  z = log(z)*cosxx(z), 
  |z|<TEST 
  ;SOURCE: skinner.frm
}


ScottLTS (XAXIS) { 
  z = pixel, TEST = (p1+3): 
  z = log(z)*sin(z), 
  |z|<TEST 
  ;SOURCE: skinner.frm
}


ScottSIC (XYAXIS) { 
  z = pixel, TEST = (p1+3): 
  z = sqr(1/cosxx(z)), 
  |z|<TEST 
  ;SOURCE: skinner.frm
}


ScottSin(XAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = sin(z) + sqr(z), 
  |z|<TEST 
  ;SOURCE: fracv13r.frm
}


ScottSinH (XAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = sinh(z) + sqr(z), 
  |z|<TEST 
  ;SOURCE: fracv13r.frm
}


ScottSIS (XYAXIS) { 
  z = pixel, TEST = (p1+3): 
  z = sqr(1/sin(z)), 
  |z|<TEST 
  ;SOURCE: skinner.frm
}


ScottSZSA (XYAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = sin(z*z), 
  |z|<TEST 
  ;SOURCE: fracv13r.frm
}


ScottSZSB (XYAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = sin(z)*sin(z), 
  |z|<TEST 
  ;SOURCE: fracv13r.frm
}


ScottZCZZ (XYAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = (z*cos(z))+z, 
  |z|<TEST 
  ;SOURCE: fracv13r.frm
}


ScottZSZZ (XAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = (z*sin(z))+z, 
  |z|<TEST 
  ;SOURCE: fracv13r.frm
}


ScSkCos (XYAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = cosxx(z) - sqr(z), 
  |z|<TEST 
  ;SOURCE: skinv13r.frm
}


ScSkCosH (XYAXIS) { 
  z = pixel, TEST = (p1+3): 
  z = cosh(z) - sqr(z), 
  |z|<TEST 
  ;SOURCE: skinner.frm
}


ScSkLMS (XAXIS) {
  z = pixel, TEST = (p1+3):
  z = log(z) - sin(z)
  |z|<TEST
  ;SOURCE: fractint.frm
}


ScSkSin (XAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = sin(z) - sqr(z), 
  |z|<TEST 
  ;SOURCE: skinv13r.frm
}


ScSkSinH (XAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = sinh(z) - sqr(z), 
  |z|<TEST 
  ;SOURCE: skinv13r.frm
}


ScSkZCZZ (XYAXIS) {
  z = pixel, TEST = (p1+3):
  z = (z*cosxx(z)) - z
  |z|<TEST
  ;SOURCE: fractint.frm
}


ScSkZSZZ (XAXIS) { 
  z = pixel, 
  TEST = (p1+3): 
  z = (z*sin(z)) - z, 
  |z|<TEST 
  ;SOURCE: skinv13r.frm
}


Secant {
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = pixel,
  z1 = (0, 0),
  z2 = (0, 0):
  z4 = z * z * z * z;
  z = z1 - (z4 - 1) * ( z1 - z2) / ((z4 - 1) - z2);
  z1 = z;
  z2 = z1;
  |z| <= 4
  ;SOURCE: methods.frm
}


Secant-2 {
   ; (c) 1993 by:
   ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
   ; Michael G. Wareman
   ; P.O. Box 1856
   ; Olds, Alberta, Canada
   ; T0M 1P0
  z = pixel,
  z1 = (0, 0),
  z2 = (0, 0):
  z4 = z * z * z * z;
  z = z1 - (z4 - 1) * ( z1 - z2) / ((z4 - 1) - z2);
  z1 = z;
  z2 = z1;
  |z| <= 0.004
  ;SOURCE: methods.frm
}


Secant_z4-1 {
   ;The Fractint formula for z^4-1 is:
  z = pixel,
  z0 = p1:
  zt = z;
  z1 = z0 * z0 * z0 * z0 - 1;
  z2 = z * z * z * z - 1;
  z = z - z2 * (z - z0) / (z2 - z1);
  z0 = zt;
  |z2| > 0.001
  ;SOURCE: secant.frm
}


Secantbrot {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= 4/cos(real(z))    ; Different escape boundry
  ;SOURCE: phong.frm
}


Secantia (ORIGIN) {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= 4/cos(real(z))    ; Different escape boundry
  ;SOURCE: phong2.frm
}


septo (XAXIS) {
   ; We can save and use more than just the previous term
  z = pixel, zp1 = zp2 = (0,0):
  temp = z
  z = z*z - zp2
  zp2 = zp1
  zp1 = temp,  |zp1| <= 4 
  ;SOURCE: noel.frm
}


sg-fractint {; Sylvie Gallet [101324,3444], 1996
  z = pixel-0.025 , x=real(z) , y=imag(z) , x1=x*1.8 , x3=3*x
  ty2 = ( (y<0.025) && (y>-0.025) ) || (y>0.175)
  f = ( (x<-1.2) || ty2 ) && ( (x>-1.25) && (x<-1) )
  r = ( (x<-0.9) || ty2 ) && ( (x>-0.95) && (x<-0.8) )
  r = r || ((cabs(sqrt(|z+(0.8,-0.1)|)-0.1)<0.025) && (x>-0.8))
  r = r || (((y<(-x1-1.44)) && (y>(-x1-1.53))) && (y<0.025))
  a = (y>(x3+1.5)) || (y>(-x3-1.2)) || ((y>-0.125) && (y<-0.075))
  a = a && ((y<(x3+1.65)) && (y<(-x3-1.05)))
  c = (cabs(sqrt(|z+0.05|)-0.2)<0.025) && (x<0.05)
  t1 = ((x>0.225) && (x<0.275) || (y>0.175)) && ((x>0.1) && (x<0.4))
  i = (x>0.45) && (x<0.5)
  n = (x<0.6) || (x>0.8) || ((y>-x1+1.215) && (y<-x1+1.305))
  n = n && (x>0.55) && (x<0.85)
  t2 = ((x>1.025) && (x<1.075) || (y>0.175)) && ((x>0.9) && (x<1.2))
  test = 1 - (real(f||r||a||c||t1||i||n||t2)*real(y>-0.225)*real(y<0.225))
  z = 1+(0.0,-0.65)/(pixel+(0.0,.75)) :
  z2 = z*z , z4 = z2*z2 , n = z4*z2-1 , z = z-n/(6*z4*z)
  (|n|>=0.0001) && test
  ;SOURCE: 9601.frm
  ;SOURCE: (19)-b.frm
}


SGG001 {
  z=pixel:
  z=z*exp(z)-(sqr(sqr(z)+pixel))
  ;SOURCE: guenzel.frm
}


SGG002 {
  z=pixel:
  z=z*cosh(1/z)-(exp(z)-pixel)
  ;SOURCE: guenzel.frm
}


SGG003 {
  z=pixel:
  z=sin(z+sqr(z))-1/pixel
  ;SOURCE: guenzel.frm
}


SGG004 {
  z=1/pixel:
  z=log(z)+sqr(z+pixel)
  ;SOURCE: guenzel.frm
}


SGG005 {
  z=pixel,t=p1/p2+.5
  z=fn1((fn2(z)*pixel)*fn3(fn4(z)*pixel)),
  |z|<=t+2
  ;SOURCE: guenzel.frm
}


SGG006 {
  z=pixel
  z=z*(log(z)/sqr(1/z+cosh(z*z)+pixel))
  ;SOURCE: guenzel.frm
}


SGG007 {
  z=pixel
  z=z*log(z)/sqr(1/z+cosh(z*z))
  |z|<=2.5
  ;SOURCE: guenzel.frm
}


SGG008 {
  z=pixel
  z=z+cosxx(z)*flip(z/sqr(z))
  ;SOURCE: guenzel.frm
}


SGG009 {
  z=pixel
  z=cotan(sqr(z))
  ;SOURCE: guenzel.frm
}


SGG010 {
  z=pixel
  z=cotanh(z)*real(z)/sinh(z)
  ;SOURCE: guenzel.frm
}


SGG011 {
  z=pixel
  z=sqr(z)*(sin(z)/cos(z*z))
  |z|<=2
  ;SOURCE: guenzel.frm
}


SGG012 {
  z=pixel
  b=sqr(z*z)
  z=sqr(b)/log(z)
  b=sqr(z)/log(b)
  |z|<=3
  ;SOURCE: guenzel.frm
}


SGG013 {
  z=y=x=pixel
  z=exp(z)/(sin(y)+sqr(x))
  |z|<=8
  ;SOURCE: guenzel.frm
}


SGG014 {
  z=y=pixel+sqr(pixel)
  z=exp(z)*sin(y)/cos(z)
  y=sin(z)*exp(y)*cos(y)
  |z|<=3
  ;SOURCE: guenzel.frm
}


SGG015 {
  z=pixel  
  z=sqr(z)/sin(z)+1/pixel
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG016 {
  z=1/pixel
  z1=exp(z)
  z2=sin(z)+z1*.666-z
  z=z+p1*(1/sqr(z2))+z1
  ;SOURCE: guenzel.frm
}


SGG017 {; modified Carr-95.frm
  z=c=pixel;
  z=sqr(z*z)+sqr(c*c);
  z=sqr(z)+sin(c);
  z=sqr(z*z*z)+sin(c*c),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG018 {; modified Carr-95.frm
  z=c=sqr(pixel*pixel*pixel);
  z=sqr(z*z)+sqr(c*c);
  z=sqr(z)+sin(c);
  z=sqr(z*z)*tan(c*c),
  |z|<=10
  ;SOURCE: guenzel.frm
}


SGG019 {; modified Carr-95.frm
  z=c=sqr(pixel*pixel*pixel);
  z=sqr(z*z)+sqr(c*c);
  z=sqr(c)+cos(z);
  z=sqr(z*z)*tan(c*c),
  |z|<=2
  ;SOURCE: guenzel.frm
}


SGG020 {; modified Carr-95.frm
  z=c=1/pixel+sqr(pixel);
  z=sqr(z*z)+sqr(c*c);
  c=sin(z)*sqr(z/c)
  z=sqr(z*z*z)+sin(c*c),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG021 {; modified Carr-95.frm
  z=c=1/pixel+sqr(pixel);
  z=sqr(z)+cosh(c*z);
  c=sin(z)*sqr(z*c)
  z=sqr(z)+sin(c*z),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG022 {
  z=pixel:
  a=cos(z);
  b=sin(a)+z;
  z=z-p1*(a/b)/cosh(b),
  |z|<=2
  ;SOURCE: guenzel.frm
}


SGG023 {
  z=a=sqr(pixel*pixel):
  a=z*exp(log(a));
  z=a/sqr(z);
  a=sinh(z)*log(z),
  |z|<=6
  ;SOURCE: guenzel.frm
}


SGG024 {
  z=pixel:
  x=sin(z)^z;
  y=sqr(x)+z;
  z=z*z-exp(x+y),
  |z|<=100
  ;SOURCE: guenzel.frm
}


SGG025 {
  z=pixel+sqr(pixel):
  a=exp(z);
  b=sin(z)*(a-z);
  z=b-p1*b/tanh(a)-sqr(b),
  |z|<=3
  ;SOURCE: guenzel.frm
}


SGG026 {
  z=1/pixel:
  a=b=pixel:
  z=sqr(z)+a;
  b=a*sin(z)-b;
  a=sin(z)+b/0.33,
  |z|<=20
  ;SOURCE: guenzel.frm
}


SGG027 {
  z=pixel:
  c=cos(z);
  s=sqr(z);
  h=cosh(z);
  y=c+s/h;
  z=sqr(z+y*y-c-s-h),
  |z|<=2
  ;SOURCE: guenzel.frm
}


SGG028 {
  z=pixel:
  c=cos(z);
  s=sqr(z);
  h=cosh(z);
  y=c+s/h;
  z=sqr(z+y*y+c+s+h),
  |z|<=40
  ;SOURCE: guenzel.frm
}


SGG029 {
  z=pixel:
  c=cos(z);
  s=sqr(z);
  h=cosh(z);
  y=c+s/h;
  z=sqr(z+y*y)+c+s/h,
  |z|<=40
  ;SOURCE: guenzel.frm
}


SGG030 {
  z=pixel:
  e=exp(z);
  l=log(z);
  h=cosh(z);
  y=e-l/h;
  z=sinh((z+y^y)-y)+e+h*l,
  |z|<=20
  ;SOURCE: guenzel.frm
}


SGG031 {
  z=pixel:
  e=exp(z);
  h=cosh(z);
  y=e+e*(e-h);
  z=sinh((z+y^y)-y)+log(z),
  |z|<=100
  ;SOURCE: guenzel.frm
}


SGG032 {
  z=x=1/y=pixel:
  x=sqr(z*z*z);
  y=sin(z)+1/z;
  x=z+p1+exp(y-x);
  y=z+cos(sqr(x*y));
  z=x*x-cosh(y),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG033 {
  z=pixel:
  a=sqr(z)*z;
  b=sin(a)-z;
  z=a/b+exp(z),
  |z|<=40
  ;SOURCE: guenzel.frm
}


SGG034 {
  z=pixel+cos(pixel):
  a=exp(z);
  b=sqr(z)+1/a;
  z=b-p1*b/sqr(a)+cosh(b),
  |z|<=2
  ;SOURCE: guenzel.frm
}


SGG035 {
  z=x=1/pixel:
  z=z*z+sin(x);
  x=1/z+sqr(x),
  |z|<=5
  ;SOURCE: guenzel.frm
}


SGG036 {
  z=1/pixel:
  x=exp(z)*z+z;
  y=sqr(x)/(z*z);
  z=z*z-exp(x+y),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG037 {
  z=1/pixel:
  a=b=pixel:
  b=a/exp(cos(z))+b;
  a=sqr(z*z*z)-b;
  z=1/z+a+log(b),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG038 {
  z=pixel:
  a=tanh(z);
  b=sqr(a)+sin(z);
  c=cosxx(z);
  d=c+b/a;
  z=log(z+d*d-c-a*b),
  |z|<=2
  ;SOURCE: guenzel.frm
}


SGG039 {
  z=sqr(pixel):
  a=b=pixel:
  z=cosxx(z)+sqr(b);
  b=a*log(z)-exp(a);
  a=sin(z)-cosh(z),
  |z|<=6
  ;SOURCE: guenzel.frm
}


SGG040 {
  z=1/pixel:
  x=exp(z)*z+z;
  y=sqr(x)/(z*z);
  z=z*z-exp(x+y),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG041 {
  z=pixel:
  x=sin(z)^z;
  y=sqr(x)+z;
  z=log(x)-y+tan(x+y),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG042 {
  z=sqr(pixel):
  a=sin(z);
  b=sqr(z);
  c=exp(z);
  y=c+b*1/a;
  z=sqr(z+y*y)+c,
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG043 {; modified Carr-95.frm
  z=c=pixel+sqr(pixel);
  z=sqr(z*z)+sin(c*c);
  c=sin(z)*sqr(z/c)
  z=log(z*z*z*z)+exp(1/(c*c)),
  |z|<=20
  ;SOURCE: guenzel.frm
}


SGG044 {
  z=pixel:
  b=sqr(z*z);
  c=b*3.14159265;
  z=sqr(b)/sqr(z)+c;
  b=sqr(z)/sin(c),
  |z|<=3
  ;SOURCE: guenzel.frm
}


SGG045 {
  z=y=pixel:
  y=sinh(z*3.1415926);
  z=sqr(z)/sin(z)+log(y),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG046 {
  z=a=pixel*pixel:
  b=3.14159265:
  a=z*sqr(a);
  b=b+log(a);
  z=a/sqr(z);
  a=sinh(z)+b,
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG047 {
  z=pixel:
  v=cos(z); 
  w=flip(z);
  x=sqr(z);
  y=exp(z);
  z=((v*v)*(w*w))/((x*x)*(y*y)),
  |z|<=50
  ;SOURCE: guenzel.frm
}


SGG048 {
  z=pixel:
  v=sqr(z); 
  w=sin(z);
  x=log(z);
  y=cos(z);
  z=((v*v)*(w*w))/((x*x)*(y*y)),
  |z|<=50
  ;SOURCE: guenzel.frm
}


SGG049 {
  z=pixel+p1:
  y=sin(z)+p2:
  z=sqr(z)*y,
  |z|<=10
  ;SOURCE: guenzel.frm
}


SGG050 {  
  z=sqr(pixel):
  z=(p1*cosxx(z))/sqr(p2)+1/z,
  |z|<=20
  ;SOURCE: guenzel.frm
}


SGG051 {
  z=x=1/pixel:
  z=flip(z)/x;
  z=sqr(z*z);
  x=x+sqr(z),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG052 {  
  z=1/pixel+p1:
  x=sqr(z);
  x=cos(z)+0.31;   
  z=x+log(z*z);
  |z| <=35
  ;SOURCE: guenzel.frm
}


SGG053 {
  z=x=pixel:
  z=sqr(1/z)+cotan(x);
  z=sqr(z*z)*(x+pixel)+cotan(x);
  x=cotan(z-sqr(x)),
  |z|<=3
  ;SOURCE: guenzel.frm
}


SGG054 {
  z=pixel:
  x=cotanh(z)+conj(z*0.337)/pixel 
  z=x*log(z)-(z*z)+p1,
  |z|<=10
  ;SOURCE: guenzel.frm
}


SGG055 {
  z=sqr(pixel),x=pixel:
  x=z*z*z-pixel;
  x=log(x);
  z=flip(z)*(1/x),
  |z|<=6
  ;SOURCE: guenzel.frm
}


SGG056 {
  z=x=pixel:
  x=cosxx(z^z);
  z=sqr((z)*(z))+conj(x*pixel),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG057 {
  z=1/pixel+p1,x=real(p2)+pixel:
  x=log(z^z+pixel) ;  
  z=z+sqr(x),
  |z|<20
  ;SOURCE: guenzel.frm
}


SGG058 {;18.02.95
  z=x=log(pixel):
  z=(z*z+x);
  x=sqr(z)*sqr(x);
  z=(conj(x-1)^2)*sin(x),
  |z| <=pixel-1
  ;SOURCE: guenzel.frm
}


SGG059 {;18.02.95
  z=x=sin(1/pixel):
  z=z^sqr(x+0.31);
  x=cos(z),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG060 {;18.02.1995
  z=pixel, x=p1, y=p2:
  x=x/(1/y+0.87);
  y=sqr(y)/flip(x+pixel);
  z=(x*x)/(cos(y*y))+pixel,
  |z|<=100
  ;SOURCE: guenzel.frm
}


SGG061 {;19.02.1995
  z=pixel:
  x=cosxx(z*z)+sin(z);
  y=sqr(x*x)/(1.5/z-x^2);
  z=flip((x*x)/(y+3.1415)),
  |z|<=6
  ;SOURCE: guenzel.frm
}


SGG062 {;21.02.95
  z=x=abs(pixel):
  z=(z*z+x);
  x=sqr(z)*sqr(x);
  z=(conj(x-1)^2)*sin(x),
  |z| <=20
  ;SOURCE: guenzel.frm
}


SGG063 {;21.02.95
  z=x=abs(sin(1/pixel)):
  z=z^sqr(x+0.31);
  x=cos(z),
  |z|<=4
  ;SOURCE: guenzel.frm
}


SGG064 {;21.02.1995
  z=real(pixel), x=p1, y=p2:
  x=x/(1/y+0.87);
  y=sqr(y)/flip(x+pixel);
  z=(x*x)/(cos(y*y))+pixel,
  |z|<=100
  ;SOURCE: guenzel.frm
}


SGG065 {;21.02.1995
  z=imag(1/pixel):
  x=cosxx(z*z)+sin(z);
  y=sqr(x*x)/(1.5/z-x^2);
  z=flip((x*x)/(y+3.1415)),
  |z|<=6
  ;SOURCE: guenzel.frm
}


SGG066 {;21.02.1995
  z=abs(pixel):
  x=cosxx(z*z)+sin(z);
  y=sqr(x*x)/(1.5/z-x^2);
  z=flip((x*x)/(y+3.1415)),
  |z|<=6
  ;SOURCE: guenzel.frm
}


SGG067 {;24.02.95
  z=x=real(sqr(pixel))*sqr(pixel):
  x=cosxx(z)+0.087;
  z=1/sin(x^z),
  |z|<=6
  ;SOURCE: guenzel.frm
}


SGG068 {;24.02.95
  z=x=sqr(pixel)*sqr(pixel):
  x=cosxx(z)+0.087;
  z=1/sin(x^z),
  |z|<=3
  ;SOURCE: guenzel.frm
}


SGG069 {;24.02.95
  z=x=real(sqr(pixel)*sqr(pixel)):
  x=cosxx(z)+0.087;
  z=abs(1/sin(x^z)),
  |z|<=100
  ;SOURCE: guenzel.frm
}


SGG070 {;05.03.95
  z=x=pixel*0.87: 
  x=conj(z-(x+0.11));
  z=1.11/(flip(z^x)),
  |z|<=8
  ;SOURCE: guenzel.frm
}


SGG071 {;05.03.95
  z=pixel*0.87,x=sqr(pixel): 
  x=conj(z-(x+0.11));
  z=1.11/(flip(z^x)),
  |z|<=x/(log(z))+2
  ;SOURCE: guenzel.frm
}


SGG072 {; 06.03.95
  z=pixel,x=1/pixel,y=log(x):
  y=z,w=p1*x*sqr(y);
  x=x*(1/y)*flip(x);
  z=p1*(z*z+abs(y)),
  |z|<=10
  ;SOURCE: guenzel.frm
}


SGG073 {; 09.03.95
  z=x=conj(pixel):
  x=sin((z)/conj((z)-(x*x)));
  z=z*((1/x)+sqr(1/x)),
  |z|<=10
  ;SOURCE: guenzel.frm
}


SGG074 {; 10.03.95
  z=pixel,x=0.87:
  x=z*z+x;
  z=sqr(sin(x/z)),
  z<=real(pixel)
  ;SOURCE: guenzel.frm
}


SGG075 {; 10.03.95
  z=0, x=sqr(1/pixel):
  z=sqr(x)+z;
  x=sin(z)+x,
  |z|<=8
  ;SOURCE: guenzel.frm
}


SGG076 {; 10.03.95
  z=pixel,x=sqr(pixel*pixel):
  x=x+sqr(z);
  z=cosxx(z)+1/x, 
  |z|<=20
  ;SOURCE: guenzel.frm
}


SGG077 {;modCarr-726
        ;04.03.95
  z=pixel-1/sqr(conj(0.5/pixel)),
  c=flip(conj((1/pixel)/(1/(pixel-1)))):
  z=(conj(z*z*z+c)+sqr(z+0.87))/2,
  |z| <=8
  ;SOURCE: guenzel.frm
}


SGG078 {;modCarr-727
        ;04.03.95
  z=pixel-1/sqr(conj(0.5/pixel-1)),
  c=flip(conj((1/pixel)/(1/pixel-1))):
  z=(conj(z+c*c)+cos(1.33))/2,
  |z| <=10
  ;SOURCE: guenzel.frm
}


SGG079 {;modCarr-728
        ;04.03.95
  z=(1/pixel)-1/sqr(conj(0.5/pixel-1)),
  c=sinh(conj((1/pixel)/(1/pixel-0.75))):
  z=(conj(1/z+c*c)+cosh(1.87))/2,
  |z| <=10
  ;SOURCE: guenzel.frm
}


SGG080 {;modCarr-729
        ;05.03.95
  z=(1/pixel)-1/sqr(conj(0.5/pixel-1))+2.224,
  c=log((conj((1/pixel)/(1/pixel-0.75)))+2.124):
  z=(conj(z*z*z*z+c)+(cosh(0.924))/7),
  |z| <=10
  ;SOURCE: guenzel.frm
}


SGG081 {; 11.03.95
  z=0, x=pixel,
  x1=(0.0,0.8), x2=(--0.8,0.8), x3=(0.0,-0.8), x4=(0.8,-0.8):
  x=real(z)+x;
  y=imag(z)+y;
  w=conj(1/(x1+x2+x3+x4)+w);
  z=sqr(z+x)+sqr(w+y),
  |z|<=20
  ;SOURCE: guenzel1.frm
}


SGG082 {; 11.03.95
  z=x=pixel,
  x1=(0.0,0.87), x2=(--0.87,0.87), x3=(0.0,-0.87), x4=(0.87,-0.87):
  x=real(z)+x;
  y=imag(z)+y;
  w=conj((x1+x2+x3+x4)+w);
  z=sqr(z+x)*sqr(w+y),
  |z|<=7
  ;SOURCE: guenzel1.frm
}


SGG083 {; 11.03.95
  z=0, x=pixel,
  x1=(0.0,0.8), x2=(--0.8,0.8), x3=(0.0,-0.8), x4=(0.8,-0.8):
  x=real(z)+x;
  y=imag(z)+y;
  w=conj(1/(x1+x2+x3+x4));
  z=conj(sqr(x)*sqr(w-y)),
  |z|<=20
  ;SOURCE: guenzel1.frm
}


SGG084 {;modCarr-730
        ;05.03.95
  z=(1/pixel)-1/sqr(conj(0.5/pixel-1))+2.224,
  c=((1/pixel)/(1/pixel-0.75)):
  z=conj(sqr(z*z*z*1/z+c)+cos(z)),
  |z| <=10
  ;SOURCE: guenzel1.frm
}


SGG085 {;modCarr-725
        ;04.03.95
  z=pixel*sqr(conj(0.5/pixel-1)),
  c=conj((pixel)*(1/pixel-1)):
  z=(z*z+c)+cos(0.87),
  |z| <=10
  ;SOURCE: guenzel1.frm
}


SGG086 {;13.03.95
  z=pixel, x=p1:
  z=cosxx(z^x+z)/x;
  x=sqr(z+p2)+x,
  |z|<=12
  ;SOURCE: guenzel1.frm
}


SGG087 {; 15.03.95
  z=x=pixel:
  y=z;
  z=conj(z)^p1+sqr(x);
  x=real(y)+sqr(z),
  |z|<=p2
  ;SOURCE: guenzel1.frm
}


SGG088 {; 15.03.95
  z=1/pixel, x=real(pixel):
  y=conj(z);
  z=conj(z)^p1+sqr(x);
  x=conj(y+log(z)),
  |z|<=4
  ;SOURCE: guenzel1.frm
}


SGG089 {; 15.03.95
  z=pixel, x=pixel^sqr(pixel):
  z=cosxx(z)+x,
  |z|<= 6
  ;SOURCE: guenzel1.frm
}


SGG090 {; 15.03.95
  z=real(pixel), x=imag(pixel^sqr(pixel)):
  z=conj(cosxx(z)+x),
  |z|<=8
  ;SOURCE: guenzel1.frm
}


SGG1 {
  z=pixel:
  z=z*exp(z)-(sqr(sqr(z)+pixel))
  ;SOURCE: 941227.frm
}


SGG2 {
  z=pixel:
  z=z*cosh(1/z)-(exp(z)-pixel)
  ;SOURCE: 941227.frm
}


SGG3 {
  z=pixel:
  z=sin(z+sqr(z))-1/pixel
  ;SOURCE: 941227.frm
}


SGG4 {
  z=1/pixel:
  z=log(z)+sqr(z+pixel)
  ;SOURCE: 941227.frm
}


Shakti {
  z = pixel:
  z = z + p1
  r = z * z * z 
  q = z^e 
  z = z * (r/q)
  |z| <= 4
  ;SOURCE: shakti.frm
}


SHARK (XAXIS) {
  z=pixel-1+p1: 
  z=sqr(z) + pixel + p2, 
  |z|<=4  
  ;SOURCE: newform.frm
}


shifter {;Use a counter to shift algorithms
  z = c = pixel, iter = 1, shift = p1, test = 4 + p2:
  lo = (z*z) * (iter <= shift)
  hi = (z*z*z) * (shift < iter)
  iter = iter + 1
  z = lo + hi + c
  |z| < test
  ;SOURCE: frmtutor.frm
}


shifter01 {; After shift, switch from z*z to z*z*z
           ; Bradley Beacham  [74223,2745]
           ; Modified for if..else logic 3/18/97 by Sylvie Gallet
           ; P1 = shift value, P2 varies bailout value
  z = c = pixel , iter = 1 , shift = p1 , test = 4 + p2 :
  IF (iter <= shift)
     z = z*z + c
  ELSE
     z = z*z*z + c
  ENDIF
  iter = iter + 1
  |z| < test
  ;SOURCE: fract196.frm
}


shifter02 {;After shift, flop sign of C on each iteration
           ;Bradley Beacham  [74223,2745]
           ;P1 = shift value, P2 varies bailout value
  z = c = pixel, iter = 1, shift = p1, test = 4 + p2:
  lo = (1) * (iter <= shift)
  hi = (-1) * (shift < iter)
  c = c * (lo + hi)
  iter = iter + 1
  z = fn1(z*z) + c
  |z| < test
  ;SOURCE: snazzy.frm
}


shifter03 {;After shift, switch from fn1(z) to fn2(z)
           ;Bradley Beacham  [74223,2745]
           ;P1 = shift value, P2 varies bailout value
  z = c = pixel, iter = 1, shift = p1, test = 4 + p2:
  lo = fn1(z) * (iter <= shift)
  hi = fn2(z) * (shift < iter)
  iter = iter + 1
  z = lo + hi + c
  |z| < test
  ;SOURCE: snazzy.frm
}


shifter04 {;After shift, switch from fn1(z*z) to fn2(z*z)
           ;Bradley Beacham  [74223,2745]
           ;P1 = shift value, P2 varies bailout value
  z = c = pixel, iter = 1, shift = p1, test = 4 + p2:
  lo = fn1(z*z) * (iter <= shift)
  hi = fn2(z*z) * (shift < iter)
  iter = iter + 1
  z = lo + hi + c
  |z| < test
  ;SOURCE: snazzy.frm
}


shifter05 {;After shift, switch from z^p1 to z^p2
           ;Bradley Beacham  [74223,2745]
           ;P1 & P2 are exponents (try 2 and 3, for example)
           ;P3 is shift value
  z = c = pixel, iter = 1, shift = p3:
  lo = (z^p1) * (iter <= shift)
  hi = (z^p2) * (shift < iter)
  iter = iter + 1
  z = lo + hi + c
  |z| < 4
  ;SOURCE: snazzy.frm
}


ShZ (XAXIS) {; Jm Collard-Richard
  z=pixel:
  z1=sinh(z);
  z2=cosh(z);
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


Siamese (XAXIS) {; Try params=6/0/2/0  
                 ; Note: symmetry valid only for Real p1
  c=z=pixel: 
  z=z^p1+c, 
  |z|<=Real(p2)
  ;SOURCE: fractfun.frm
}


Sierpinski {; Jonathan Osuch
            ; float = yes
  z=pixel:
  y=imag(z), x=real(z)
  z=2*z,
  (z=z-(0,1))*(0.5<y)+(z=z-(1,0))*(y<=0.5)*(0.5<x)+(z=z)*(y<=0.5)*(x<= 0.5),
  |z| <= 127
  ;SOURCE: parser.frm
}


SierpinskiB {; Jonathan Osuch
             ; float = yes
  z=fn1(pixel), t = p2 + 127:
  y=imag(z), x=real(z)
  z=p1*z,
  (z=z-(0,1))*(0.5<y)+(z=z-(1,0))*(y<=0.5)*(0.5<x)+(z=z)*(y<=0.5)*(x<= 0.5),
  |z| <= t
  ;SOURCE: parser.frm
}


Sierpinsky {; Use p1=2 for the triangle, 
            ; and p1=(1.3,.5) for a strange thing
  z=pixel, j=(0, -1), k=(-1, 0):
  x=real(z),
  y=imag(z),
  y1=(y>.5)
  x1=(x>.5)
  a=y1*j
  b=x1*(y1==0)*k
  p=a+b
  z=p1*z+p
  |z|<=100
  ;SOURCE: esc-ifs.frm
}


Silverado (XAXIS) {; Rollo Silver
                   ; Select p1 such that 0. <= p1 <= 1.
  z = Pixel, zz=z*z, zzz=zz*z, 
  z = (1.-p1)*zz + (p1*zzz), 
  test = (p2+4)*(p2+4): 
  z = z + Pixel
  zsq = z*z
  zcu = zsq*z
  z = (1.-p1)*zsq + p1*zcu,
  |z| <= test
  ;SOURCE: skinner.frm
}


Silverado2 {; Rollo Silver [71174,1453]
            ; Use floating point.
  st=1-p1,zz=pixel*pixel,z=zz*pixel*real(p1)+zz*real(st):
  z=z+pixel,
  zz=sqr(z), ; and save mod in lastsqr
  z=zz*z*real(p1)+zz*real(st),
  4 > lastsqr
  ;SOURCE: fract003.frm
}


simple01 (xAxis) {
  z = c = pixel:
  z = z^2 + c;
  real(z) <= abs(z) + p1
  ;SOURCE: bailout.frm
}


simple02 {
  z = c = pixel:
  z = z^2 + c;
  imag(z) <= abs(z) + p1
  ;SOURCE: bailout.frm
}


Sin1 (XAXIS) {  
  c = z = pixel:
  z = (1-(z^sin(1.1-z))) + c + p1;
  |z| <= 4
  ;SOURCE: robert.frm
}


Sin2Z (XAXIS) {; Jm Collard-Richard
  z=pixel:
  z1=sin(z*z)-sin(z);
  z2=2*z*cos(z*z)-cos(z);
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


SinCos1 (XAXIS) {  
  c = z = pixel:
  z = sin (cos(z^c)) +c +p1;
  |z| <= 4
  ;SOURCE: robert.frm
}


SinDog (YAXIS) { 
  z = Pixel, b = p1+2:  
  z = sin( z ) * pixel,  
  |z| <= b 
  ;SOURCE: newform.frm
}


SinE2 (XAXIS) {; Jm Collard-Richard
  z=pixel:
  expz2=exp(z*z);
  s=sin(z);
  c=cos(z);
  z1=expz2-exp(z)-s;
  z2=2*z*expz2-exp(z)-c;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


SinE2Z (XAXIS) {; Jm Collard-Richard
  z=pixel:
  expz2=exp(z*z);
  s=sin(z);
  c=cos(z);
  s2=sin(z*z);
  c2=cos(z*z);
  z1=expz2-exp(z)-s2+s;
  z2=2*z*expz2-exp(z)-z*c2*2+c:
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


Sinebrot01 {; Tom Schumm
            ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):       ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= sin(real(z))+4    ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot02 (XAXIS) {; Tom Schumm
                    ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  5*sin(Lastsqr) <= 4     ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot03 (XAXIS) {; Tom Schumm
                    ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):          ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  Lastsqr <= 4+sin(10*Lastsqr)    ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot04 (XAXIS) {; Tom Schumm
                    ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):          ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  Lastsqr <= 4+sin(20*Lastsqr)    ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot05 (XAXIS) {; Tom Schumm
                    ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):          ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  Lastsqr <= 4+sin(30*Lastsqr)    ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot06 {; Tom Schumm
            ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                       ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  sqr(imag(z)-sin(real(z))) <= 16-sqr(real(z)) ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot07 {; Tom Schumm
            ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                       ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  sqr(imag(z)-sin(2*real(z)))<=16-sqr(real(z)) ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot08 {; Tom Schumm
            ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                       ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  sqr(imag(z)-sin(2*real(z)))<=16-sqr(real(z)+sin(real(z)))
                                               ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot09 {; Tom Schumm
            ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                   ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  sqr(imag(z)-sin(2*real(z))) <= 16-sqr(real(z)+sin(imag(z)))    
                                           ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot10 {; Tom Schumm
            ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                     ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  (imag(z)-sin(2*real(z)))^3 <= 16-sqr(real(z)+sin(imag(z)))    
                                             ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot11 {; Tom Schumm
            ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                   ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  sqr(imag(z)-sin(2*real(z))) <= 64-(real(z)+sin(imag(z)))^3    
                                           ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot12 {; Tom Schumm
            ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                    ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  (imag(z)-sin(2*real(z)))^5 <= 16-sqr(real(z)+sin(imag(z)))    
                                             ; Different escape boundry
  ;SOURCE: phong.frm
}


Sinebrot13 {; Tom Schumm
            ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                      ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  (imag(z)-sin(2*real(z)))^7 <= 16-sqr(real(z)+sin(imag(z)))    
                                              ; Different escape boundry
  ;SOURCE: phong.frm
}


SinEgg (XAXIS_NOPARM) {
  z=p1,x=|z|:
  (1<x)*(z=sin(z)+pixel),
  z=sqr(z)+pixel,x=|z|,
  x<=4 
  ;SOURCE: choice.frm
}


SinEggC (XAXIS_NOPARM) {
  z=p1,x=|z|:
  (z=sin(z)+pixel)*(1<x)+(z=z)*(x<=1),
  z=sqr(z)+pixel,x=|z|,
  x<=4 
  ;SOURCE: choice.frm
}


Sineia01 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):       ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= sin(real(z))+4    ; Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia02 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like julia
  z = z + p1
  z = Sqr(z)
  5*sin(Lastsqr) <= 4     ; Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia03 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):          ; Just like julia
  z = z + p1
  z = Sqr(z)
  Lastsqr <= 4+sin(10*Lastsqr)    ; Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia04 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):          ; Just like julia
  z = z + p1
  z = Sqr(z)
  Lastsqr <= 4+sin(20*Lastsqr)    ; Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia05 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):          ; Just like julia
  z = z + p1
  z = Sqr(z)
  Lastsqr <= 4+sin(30*Lastsqr)    ; Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia06 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                       ;Just like julia
  z = z + p1
  z = Sqr(z)
  sqr(imag(z)-sin(real(z))) <= 16-sqr(real(z)) ;Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia07 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                       ;Just like julia
  z = z + p1
  z = Sqr(z)
  sqr(imag(z)-sin(2*real(z)))<=16-sqr(real(z)) ;Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia08 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                     ; Just like julia
  z = z + p1
  z = Sqr(z)
  sqr(imag(z)-sin(2*real(z))) <= 16-sqr(real(z)+sin(real(z)))    
                                             ; Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia09 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                    ; Just like julia
  z = z + p1
  z = Sqr(z)
  sqr(imag(z)-sin(2*real(z))) <= 16-sqr(real(z)+sin(imag(z)))    
                                            ; Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia10 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                    ; Just like julia
  z = z + p1
  z = Sqr(z)
  (imag(z)-sin(2*real(z)))^3 <= 16-sqr(real(z)+sin(imag(z)))    
                                            ; Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia11 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                   ; Just like julia
  z = z + p1
  z = Sqr(z)
  sqr(imag(z)-sin(2*real(z))) <= 64-(real(z)+sin(imag(z)))^3    
                                           ; Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia12 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                   ; Just like julia
  z = z + p1
  z = Sqr(z)
  (imag(z)-sin(2*real(z)))^5 <= 16-sqr(real(z)+sin(imag(z)))    
                                           ; Different escape boundry
  ;SOURCE: phong2.frm
}


Sineia13 (ORIGIN) {; Tom Schumm
                   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                  ; Just like julia
  z = z + p1
  z = Sqr(z)
  (imag(z)-sin(2*real(z)))^7 <= 16-sqr(real(z)+sin(imag(z)))    
                                          ; Different escape boundry
  ;SOURCE: phong2.frm
}


SineTangentbrot1 {; Tom Schumm
                  ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                   ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  tan(imag(z)-sin(2*real(z))) <= 16-sqr(real(z)+sin(imag(z)))    
                                           ; Different escape boundry
  ;SOURCE: phong.frm
}


SineTangentbrot2 {; Tom Schumm
                  ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                   ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  tan(imag(z)-sin(2*real(z))) <= 16-sqr(real(z)+sin(2*imag(z)))    
                                           ; Different escape boundry
  ;SOURCE: phong.frm
}


SineTangentbrot3 {; Tom Schumm
                  ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                 ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  tan(imag(z)-sin(4*real(z))) <= 16-sqr(real(z)+sin(2*imag(z)))    
                                         ; Different escape boundry
  ;SOURCE: phong.frm
}


SineTangentia1 (ORIGIN) {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                ; Just like julia
  z = z + p1
  z = Sqr(z)
  tan(imag(z)-sin(2*real(z))) <= 16-sqr(real(z)+sin(imag(z)))    
                                        ; Different escape boundry
  ;SOURCE: phong2.frm
}


SineTangentia2 (ORIGIN) {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                  ; Just like julia
  z = z + p1
  z = Sqr(z)
  tan(imag(z)-sin(2*real(z))) <= 16-sqr(real(z)+sin(2*imag(z)))    
                                          ; Different escape boundry
  ;SOURCE: phong2.frm
}


SineTangentia3 (ORIGIN) {; Tom Schumm
   ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):                 ; Just like julia
  z = z + p1
  z = Sqr(z)
  tan(imag(z)-sin(4*real(z))) <= 16-sqr(real(z)+sin(2*imag(z)))    
                                         ; Different escape boundry
  ;SOURCE: phong2.frm
}


SinHDog (YAXIS) { 
  z = Pixel, b = p1+2:  
  z = sinh( z ) * pixel, 
  |z| <= b 
  ;SOURCE: newform.frm
}


SinhEgg (XAXIS_NOPARM) {
  z=p1,x=|z|:
  (1<x)*(z=sinh(z)+pixel),
  z=sqr(z)+pixel,x=|z|,
  x<=4 
  ;SOURCE: choice.frm
}


SinhEggC (XAXIS_NOPARM) {
  z=p1,x=|z|:
  (z=sinh(z)+pixel)*(1<x)+(z=z)*(x<=1),
  z=sqr(z)+pixel,x=|z|,
  x<=4 
  ;SOURCE: choice.frm
}


SinhInvZ (XYAXIS) {
  z=pixel, inv=1/pixel+p1:
  z=sinh(inv/z),
  |z|<=4
  ;SOURCE: fract003.frm
}


SinInvZ (XYAXIS) {
  z=pixel, inv=1/pixel+p1:
  z=sin(inv/z),
  |z|<=4
  ;SOURCE: fract003.frm
}


SinZ1 (XAXIS) {; Resol. sin(z)^sin(z)=1  Jm Collard-Richard
               ; float=yes
  z=pixel:
  s=sin(z);
  c=cos(z);
  ss=s^s;
  z1=ss-1;
  z2=(c+c*log(s))*ss;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


SinZ4 (XAXIS) {; Jm Collard-Richard
  z=pixel:
  z1=sin(z^4)+sin(z^3)+sin(z^2)+sin(z);
  z2=4*(z^3)*cos(z^4)+3*(z^2)*cos(z^3)+2*z*cos(z^2)+cos(z);
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


SinZZ (XAXIS) {; Jm Collard-Richard
               ; float=yes
  z=pixel:
  zz=z^z;
  szz=sin(z)^sin(z);
  z1=szz-zz;
  z2=(cos(z)*log(sin(z))+cos(z))*szz-(log(z)+1)*zz;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


SJFRAME-ROBERT {; Ron Barnett, 1994
                ; floating point required
  z=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=z*z*z/5+z*z+c, 
  |z|<=100
  ;SOURCE: reb005.frm
}


SJFRAME-ROBERTJ {; Ron Barnett, 1995
                 ; floating point required
  z=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(p3)+flip(imag(p3)):
  z=z*z*z/5+z*z+c, 
  |z|<=100
  ;SOURCE: reb007.frm
}


SJIKENAGA01 {; Ron Barnett, 1994
             ; floating point required
  z=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=z*z*z+(c-1)*z-c, 
  |z|<=100
  ;SOURCE: reb005.frm
}


SJIKENAGA02 {; Ron Barnett, 1994
             ; floating point required
  z=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(pixel)+flip(imag(pixel)),
  z=conj(z),c=conj(c):
  z=z*z*z+(c-1)*z-c, 
  |z|<100
  ;SOURCE: reb005.frm
}


SJIKENAGA02JULIA {; Ron Barnett, 1995
                  ; floating point required
  z=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(p3)+flip(imag(p3)),
  z=conj(z),c=conj(c):
  z=z*z*z+(c-1)*z-c, 
  |z|<100
  ;SOURCE: reb007.frm
}


SJIKENAGA03 {; Ron Barnett, 1994
             ; floating point required
  z=real(pixel)-flip(imag(pixel)*p1),
  c=p2+p1*real(pixel)-flip(imag(pixel)):
  z=z*z*z+(c-1)*z-c, 
  |z|<=100
  ;SOURCE: reb005.frm
}


SJIKENAGA03JULIA {; Ron Barnett, 1995
                  ; floating point required
  z=real(pixel)-flip(imag(pixel)*p1),
  c=p2+p1*real(p3)-flip(imag(p3)):
  z=z*z*z+(c-1)*z-c, 
  |z|<=100
  ;SOURCE: reb007.frm
}


sjikenagamap01 {; Ron Barnett, 1994
  y = ((1-pixel)/3)^0.5,
  z=real(y)+flip(imag(y)*p1),
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z = z*z*z + (c - 1)*z - c, 
  |z|<=100
  ;SOURCE: reb006.frm
}


sjjulike01 {; Ron Barnett, 1995
  y = pixel,
  z=real(y)+flip(imag(y)*p1),
  c=p2+p1*real(p3)+flip(imag(p3)):
  z = z*z*z + (c - 1)*z - c, 
  |z|<=100
  ;SOURCE: reb006.frm
}


SJMAND01 {;Mandelbrot
  z=real(pixel)+flip(imag(pixel)*p1)
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=z*z+c
  |z|<=64
  ;SOURCE: fractint.frm
}


SJMAND02 {;Tetration
  z=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=c^z, |z|<=32
  ;SOURCE: 4dfract.frm
}


SJMAND03 {;Mandelbrot function
  z=real(pixel)+p1*(flip(imag(pixel)))
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=fn1(z)+c
  |z|<=64
  ;SOURCE: fractint.frm
}


SJMAND04 {;Tetrated function
  z=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=fn1(c)^z, 
  |z|<=64
  ;SOURCE: 4dfract.frm
}


SJMAND05 {;Mandelbrot lambda function
  z=real(pixel)+flip(imag(pixel)*p1)
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=fn1(z)*c
  |z|<=64
  ;SOURCE: fractint.frm
}


SJMAND06 {
  z=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(pixel)+flip(imag(pixel)),
  z=conj(z),c=conj(c):
  z=fn1(z)+c, 
  |z|<=4
  ;SOURCE: 4dfract.frm
}


SJMAND07 {;Mandelbrot function
          ;changing real(p1) will now rotate between ZC & CZ planes
  z=(1-p1)*real(pixel)+p1*flip(imag(pixel)),
  c=p1*real(pixel)+(1-p1)*flip(imag(pixel)):
  z=fn1(z)+c, 
  |z|<=4
  ;SOURCE: 4dfract.frm
}


SJMAND08 {;Mandelbar
  z=real(pixel)+flip(imag(pixel))*p1,
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=conj(z*z)+c, 
  |z|<=4
  ;SOURCE: 4dfract.frm
}


SJMAND09 { 
  z=real(pixel)+flip(imag(p2)),
  c=real(p2)+flip(imag(pixel)):
  z=z*z+c, 
  |z|<=4
  ;SOURCE: 4dfract.frm
}


SJMAND10 {;Mandelbrot power function
  z=real(pixel),c=p2+flip(imag(pixel)):
  z=(fn1(z)+c)^p1
  |z|<=4
  ;SOURCE: fractint.frm
}


SJMAND11 {;Mandelbrot lambda function - lower bailout
  z=real(pixel)+flip(imag(pixel)*p1)
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=fn1(z)*c
  |z|<=4
  ;SOURCE: fractint.frm
}


SJMAND12 {;Mandelbrot with perturbed initiator
  z=real(pixel)+p1,c=flip(imag(pixel))+p2:
  z=z*z+c, 
  |z|<=4
  ;SOURCE: 4dfract.frm
}


SJMAND13 {;Mandelbrot function
  z=real(pixel)+p1*(flip(imag(pixel))),
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=1/fn1(z)+c, 
  |z|<=64
  ;SOURCE: 4dfract.frm
}


SJMAND14 {;Mandelbrot lambda function
  z=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=c/fn1(z), 
  |z|<=64
  ;SOURCE: 4dfract.frm
}


SJMANOWAR01 {; Ron Barnett, 1994
             ; floating point required
  z=z1=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=z*z+z1+c,
  z1=z, 
  |z|<=100
  ;SOURCE: reb005.frm
}


SJMANOWAR01JULIA {; Ron Barnett, 1995
                  ; floating point required
  z=z1=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(p3)+flip(imag(p3)):
  z=z*z+z1+c,
  z1=z, 
  |z|<=100
  ;SOURCE: reb007.frm
}


SJSPIDER01 {; Ron Barnett, 1994
            ; floating point required
  z=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(pixel)+flip(imag(pixel)):
  z=z*z+c,
  c=c/2+z, 
  |z|<=100
  ;SOURCE: reb005.frm
}


SJSPIDER01JULIA {; Ron Barnett, 1995
                 ; floating point required
  z=real(pixel)+flip(imag(pixel)*p1),
  c=p2+p1*real(p3)+flip(imag(p3)):
  z=z*z+c,
  c=c/2+z, 
  |z|<=100
  ;SOURCE: reb007.frm
}


SkMandelCosine (XYAXIS) { 
  z = pixel:  
  z = cosxx(z) * pixel, 
  |z| <= (p1 + 3) 
  ;SOURCE: skinv13r.frm
}


SkMandelHypCosine (XYAXIS) { 
  z = pixel: 
  z = cosh(z) * pixel, 
  |z| <= (p1 + 3) 
  ;SOURCE: skinv13r.frm
}


SkMandelHypSine (XYAXIS) { 
  z = pixel:  
  z = sinh(z) * pixel, 
  |z| <= (p1 + 3) 
  ;SOURCE: skinv13r.frm
}


SkMandelSine (XYAXIS) { 
  z = Pixel:  
  z = sin(z) * pixel, 
  |z| <= (p1 + 3) 
  ;SOURCE: skinv13r.frm
}


slider01 {; Bradley Beacham  [74223,2745]
          ;P1 = exponent A, P2 = exponent B
          ;P3 varies radius of bailout circle (default 2)
  z = c = pixel, limit = 2 + p3, f = 0 :
  z = ((f) * fn1(z^p1)) + ((1-f) * fn2(z^p2)) + c
  f = cabs(z) / limit
  f < 1.0
  ;SOURCE: dons.frm
}


slider02 {; Bradley Beacham  [74223,2745]
          ; P1 = exponent A, P2 = exponent B
          ; P3 varies radius of bailout circle (default 2)
  z = c = pixel, limit = 2 + p3, f = cabs(z) / limit:
  z = ((f) * fn1(z^p1)) + ((1-f) * fn2(z^p2)) + c
  f = cabs(z) / limit
  f < 1.0
  ;SOURCE: dons.frm
}


SnakeTree {; Jim Muth
           ; Posted in Fractal-Art, 4/13/97
 z=pixel:
  z=(-z)^1.095+3.4
   |z| <= 100
  ;SOURCE: 97msg.frm
}


Sneaky-D {
  z = 0, c = pixel:
  z = fn1(z) + c
  c = c + fn2(1/z) + p1
  z = c 
  |z| <= 6
  ;SOURCE: d-rock.frm
}


snowarch {; Jim Muth
  z=c=pixel:
  a=sqr(z)+c-p1*z-c
  b=p2*sqr(z)+c-1
  z=z-1*a/b
  p3 <= |a|
  ;SOURCE: 97msg.frm
}


Something (xaxis) {
  z = pixel:
  z = pixel + z*z + 1/z/z,
  |z| <= 4
  ;SOURCE: fract003.frm
}


Somethingelse (xyaxis) {
  z = 1:
  z = pixel * (z*z + 1/z/z),
  |z| <= 1000000
  ;SOURCE: fract003.frm
}


Sow {
  z = c = pixel, p = sqr(pixel) + p1:
  z = z * z * p
  r = tan((1/z) / c)  
  z = z * z + fn1(r)
  |z| <= 4 + p2
  ;SOURCE: big_pig.frm
}


SpaceMandel_PHC {
  z = c = pixel, rand = srand(pixel):
  r = fn1(1/z) + rand 
  m = z*z + c
  z = m * (whitesq == 1) +  (z * r) * (whitesq == 0)
  |z| < 4 || 2 < |r|
  ;SOURCE: scary.frm
}


SPCZ (xaxis) {; resol. sin(z)^cos(z)=0 - Jm Collard-Richard 
              ; Use Float=yes
  z=pixel:
  s=sin(z);
  c=cos(z);
  co=cotan(z);
  sc=s^c;
  z1=sc;
  z2=((c*co)-(s*log(s)))*sc;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: dons.frm
}


SpecC (XAXIS_NOPARM) {
     ; modified for if..else by George Martin 3/18/97
   z = p1
   x = |z| :
   IF (x>1)
      z = fn1(z)+pixel
   ENDIF
   z = fn2(z)+pixel
   x = |z|
   x <= 4
  ;SOURCE: skinner.frm
  ;SOURCE: ifs196.frm
}


speed-A { ;Demonstrates potential for speed-up
  z = 0:
  z = z*z + sin(pixel)
  |z| < 4
  ;SOURCE: frmtutor.frm
}


speed-B { ;variation of speed-A showing one speed-up technique
  z = 0, sinp = sin(pixel):
  z = z*z + sinp
  |z| < 4
  ;SOURCE: frmtutor.frm
}


speed01 { ;Speed chooses between functions, escape-time
          ;Bradley Beacham  [74223,2745]
          ;P1 is maximum speed for "slow"
          ;P2 varies bailout value
  z = oldz = c = pixel, limit = 4 + p2:
  x = real(z) - real(oldz)
  y = imag(z) - imag(oldz)
  speed = x*x + y*y
  slow = fn1(z*z) * (speed < p1)
  fast = fn2(z*z) * (speed >= p1)
  oldz = z
  z = slow + fast + c
  |z| <= limit
  ;SOURCE: snazzy.frm
}


speed02 {; Acceleration chooses between functions, 
         ; acceleration-limit-time
         ;Bradley Beacham  [74223,2745]
         ;P1 varies definition of acceleration
         ;P2 varies bailout value
  z = oldz = c = pixel, oldspeed = 0, limit = 4 + p2:
  x = real(z) - real(oldz)
  y = imag(z) - imag(oldz)
  speed = x*x + y*y
  accel = speed - oldspeed
  slower = fn1(z*z) * (accel <= p1)
  faster = fn2(z*z) * (accel > p1)
  oldz = z
  oldspeed = speed
  z = slower + faster + c
  accel <= limit
  ;SOURCE: snazzy.frm
}


spider {; Chuck Ebbert                       added 12 Jan 1993
        ; p1=initial perturbation of z
        ; bailout is real(p2) (default 4)
  z = pixel + p1, c = pixel,
  t = (4 * (real(p2)<=0) + real(p2) * (0<p2) ):
  z = sqr(z) + c,
  c = z + c/2,
  |z| <= t
  ;SOURCE: builtn2.frm
}


Spidercplx {; by Jon Horner - 100112,1700 - FRAC'Cetera
            ; Complex-form of SPIDER
            ; float=yes, p1=initial perturbation of z
  z = pixel + p1 , c = pixel :
  z = z * z + c,
  c = c * p2 + z,
  |z| <= 64
  ;SOURCE: spidcplx.frm
}


SpiderJul {; by Jon Horner - 100112,1700 - FRAC'Cetera
           ; Julia-form of SPIDER
           ; float=yes
  z = pixel, c = p1:
  z = z * z + c,
  c = c * 0.5 + z,
  |z| <= 4
  ;SOURCE: spidcplx.frm
}


SpiderJulcplx {; by Jon Horner - 100112,1700 - FRAC'Cetera
               ; Complex-form of SPIDERJUL
               ; float=yes
  z = pixel, c = p1:
  z = z * z + c,
  c = c * p2 + z,
  |z| <= 4
  ;SOURCE: spidcplx.frm
}


spiderM {
  z=pixel,f=pixel,g=pixel: 
  f=f/p1+z,
  z=fn1(z^(p2+g))+fn2(f),
  |z| <= 4 
  ;SOURCE: jpl1.frm
}


Spiral (XYAXIS) {
  z = pixel:
  z = sin(z) * (cos(z) + 1.), 
  |z| <= 42
  ;SOURCE: hubert.frm
}


SpNewton4 (xyaxis) {; Jm Collard-Richard     (Cf M.I Hiver 93-94)
                    ;float=yes .Methode de Newton appliquee au polynome
   ;f(z)=(z^2-1)*(z^2+0.16)
   ; f(z)=0 ssi z=1,-1,0.4i,-0.4i
   ; Nf(z)=z-f(z)/f'(z) les pts fixes de Nf sont les racines de f.
   ; z1=f(z) z2=f'(z) z=z-z1/z2 on cherche les pts fixes.
  z=pixel:
  z1=(z*z-1)*(z*z+0.16);
  z2=4*z^3-1.68*z;
  z=z-z1/z2 ,
  0.001<=|z1|    
  ;SOURCE: jmcr2.frm
}


Sqr[1/fn] (XYAXIS)  {; Jon Horner [ needs zoom-out ]
  z = pixel :
  z = sqr(1/fn1(z))  ,
  |z| <= 64
  ;SOURCE: parser.frm
}


Sqr[fn] (XYAXIS)  {; Jon Horner [ needs zoom-out ]
  z = pixel :
  z = sqr(fn1(z))  ,
  |z| <= 64
  ;SOURCE: parser.frm
}


SqrDog (YAXIS) { 
  z = Pixel, b = p1+2:  
  z = sqr( z ) * pixel,  
  |z| <= b 
  ;SOURCE: newform.frm
}


SS2Z (XAXIS) {; Jm Collard-Richard
  z=pixel:
  z1=sin(z)*sin(z)-sin(z*z);
  z2=sin(2*z)-z*cos(z*z)*2;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


star (XAXIS) {
   ; Changing the sign back makes a simple but elegent fractal
  z=pixel, zp = (0,0):
  temp = z
  z = z*z + zp
  zp = conj(temp),
  |zp| <= 64 
  ;SOURCE: noel.frm
}


STEFF1(XAXIS) {; Ray Girvan, May 1996
   ; Steffensen's Method
   ; for finding roots of f(z)=0
   ; iteration is
   ;   g=[f(z+f(z)) - f(z)] / f(z)
   ;   z = z - f(z)/g
   ; use floating point
   ;
   ; this formula for f(z) = z^3-p2
   ; try p1=0.01, p2=0.1
   ;
   li=p1;
   z=pixel:
   z1=z*z*z-p2;
   g=((z+z1)*(z+z1)*(z+z1)-z1-p2)/z1;     
   z=z-z1/g,
   |z1| >= li
  ;SOURCE: gervin.frm
}


Sterling (XAXIS) {; davisl
  z = Pixel:
  z = ((z/2.7182818)^z)/sqr(6.2831853*z)
  |z| <= 4
  ;SOURCE: fractint.frm
}


Sterling2 (XAXIS) {; davisl
  z = Pixel:
  z = ((z/2.7182818)^z)/sqr(6.2831853*z) + pixel
  |z| <= 4
  ;SOURCE: fractint.frm
}


Sterling3 (XAXIS) {; davisl
  z = Pixel:
  z = ((z/2.7182818)^z)/sqr(6.2831853*z) - pixel
  |z| <= 4
  ;SOURCE: fractint.frm
}


strict_man {
  c=pixel 
  r=cabs(c) 
  r=(1+sqrt(1+4*r))/2 
  z=0:
  z=sqr(z)+c, 
  cabs(z) < r
  ;SOURCE: strict.frm
}


Sublime {  
   ; Any comments or question?
   ; E-Mail: Damion_P@Compuserve.com  -or- MDROCC@earthlink.net
  z = (1,1), c = pixel: 
  z2 = z*z, z3 = z2*z
  r = z - p1 *(z3-pixel)/(3.0*z2)
  q = fn1(z) * fn2(z) + c + p2
  z = (q * (whitesq == 0)) + (r * (whitesq == 1)) 
  (|z| < 4 && whitesq == 0) || (0.0001 < |z3 - pixel| && whitesq)
  ;SOURCE: pablo.frm
}


Sublime_2 {
   ; Any comments or question?
   ; E-Mail: Damion_P@Compuserve.com  -or- MDROCC@earthlink.net
  z = c = pixel, Root = 1: 
  z3 = z*z*z, z4 = z3*z
  r = (3.0*z4 + Root)/(4 * z3)+ p1
  q = (fn1(z) * fn2(z))+ c + p2
  z = (q * (whitesq == 0)) + (r * (whitesq == 1)) 
  (|z| < 4 && whitesq == 0) || (0.004 < |z4 - Root| && whitesq)
  ;SOURCE: pablo.frm
}


Sumagramaton_PHC {
  z = c = pixel:
  r = fn1(1/z) + p1
  q = fn2(z^2) + p2
  z =  q * (whitesq == 1) +  r * (whitesq == 0)
  |z| <= 4
  ;SOURCE: scary.frm
}


SummAbsbrot (XAXIS) {; Tom Schumm
                     ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):           ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  abs(imag(z))+abs(real(z)) <= 4   ; Different escape boundry
  ;SOURCE: phong.frm
}


SummAbsia (ORIGIN) {; Tom Schumm
                    ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):           ; Just like julia
  z = z + p1
  z = Sqr(z)
  abs(imag(z))+abs(real(z)) <= 4   ; Different escape boundry
  ;SOURCE: phong2.frm
}


Summbrot {; Tom Schumm
          ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z)+real(z) <= 4    ; Different escape boundry
  ;SOURCE: phong.frm
}


Summia (ORIGIN) {; Tom Schumm
                 ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z)+real(z) <= 4    ; Different escape boundry
  ;SOURCE: phong2.frm
}


Surreal (XAXIS) {
  z = c = pixel:
  z = z * (fn1(c^2)/fn2(c^2))/c + (1/z)
  |z| <= 4
  ;SOURCE: surreal.frm
}


Sutra {
  z = pixel + p1:
  r = tan((1/z) + 1)
  z = fn1(z * r)/fn2(r) 
  |z| < 4
  ;SOURCE: shakti.frm
}


Swine {
  z = c = pixel:
  z = tan(1/z) 
  r = z * (e/z) + p1
  z = fn1(z) * fn2(r)
  |z| < 4
  ;SOURCE: big_pig.frm
}


Sylac { 
   ; Any comments or question?
   ; E-Mail: Damion_P@Compuserve.com  -or- MDROCC@earthlink.net
  c1 = flip(1/pixel), c2 = conj(1/pixel), z = c = pixel:
  r = ((fn1(z)* c1) * z) + p1
  q = ((fn2(z)* c2) * z + c) + p2
  z = (q * (whitesq == 0)) + (r * (whitesq == 1))
  |z| <= 4 
  ;SOURCE: pablo.frm
}


sym-A {; Non-symmetrical fractal
  z = c = pixel, k = (2.5,0.5):
  z = z^k + c
  |z| < 4
  ;SOURCE: frmtutor.frm
}


sym-B (xaxis) {; Sym-A with symmetry declared in error
  z = c = pixel, k = (2.5,0.5):
  z = z^k + c
  |z| < 4
  ;SOURCE: frmtutor.frm
}


SymmIcon {
  z = P1,
  x = P2,
  bar = (1,-1),
  l = real(P1),
  a = imag(P2),
  b = .2,
  g = .1,
  w = 0,
  n = 5:
  zbar = z*bar;
  z=((l+(a*z*zbar)+(b*real(z^n))+(w*i))*z)+g*(zbar^(n-1))+pixel;
  ;SOURCE: symmic.frm
}


SymmIconFix {; Darell Shaffer [76040,2017]
   ; Fix by Jonathan Osuch [73277,1432]
  z = P1, x = P2,
  l = real(P1), a = imag(P2),
  b = .2, g = .1, w = 0, n = 5:
  zbar = conj(z);
  z=((l+(a*z*zbar)+(b*real(z^n))+(w*i))*z)+g*(zbar^(n-1))+pixel;
  ;SOURCE: fract003.frm
}


SZZCHZ (xaxis) {; Jm Collard-Richard - Use FLOAT=YES
                ; Resol : sin(z)+z^z=cosh(z)
  z=pixel:
  s=sin(z);
  c=cos(z);
  zz=z^z;
  sz=sinh(z);
  cz=cosh(z);
  z1=s+zz-cz;
  z2=c+(log(z)+1)*zz-sz;
  z=z-(z1/z2),
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


SZZS (XAXIS) {; Jm Collard-Richard
              ; float=yes
  z=pixel:
  sz=sin(z)^z;
  zs=z^sin(z);
  z1=sz-zs;
  z2=(log(sin(z))+z*(cos(z)/sin(z)))*sz-(cos(z)*log(z)+sin(z)/z)*zs;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}

