

T.B.Quest {
  z = c = pixel:
  z = z + p1
  z = (z * fn1(sqrt(z))) / fn2(c) 
  z = z  +  sqr(c)
  |z| < 4
  ;SOURCE: d-rock.frm
}


t2 {
  z=pixel,t=1-(pixel)^1/sqr(1/sqrt(pixel)):
  a=fn1(1/t^fn4(t))
  z=fn2(1/a^3)^fn3(z)
  |z|<=4+p1
  ;SOURCE: ad3.frm
}


t5 {; Revised 4/27/96 to eliminate superfluous "+c"
    ; Original version of this formula may be discarded
  z=pixel: 
  z=fn3(7/pixel)^(pixel*(1/pixel)),t=fn4(1/pixel)^(22/(1/pixel))
  z=fn1(z^1/z)*fn2(t^1/t)
  |z|<=4
  ;SOURCE: new.frm
}


t6 { ; Revised 4/27/96 to eliminate superfluous "+c"
     ; Original version of this formula may be discarded
  z=(pixel^(1/tan(pixel^p1)))^(fn1(pixel^(1/pixel^p2))):
  z=fn2(z^fn3(1/z^2.5878))
  |real(z)|<=4
  ;SOURCE: new.frm
}


t7 { ; Revised 4/27/96 to eliminate superfluous "+c"
     ; Original version of this formula may be discarded
  z=(pixel^(1/tan(pixel^p1)))^(fn1(pixel^(1/pixel^p2))):
  z=fn2(z^fn3(1/z^2.5878))
  |z|<=4
  ;SOURCE: new.frm
}


tangent { ; Scientific American puzzle.
  z=pixel
  c=pixel:
  z=z*tan(z)+c,
  |z| <=4
  ;SOURCE: crocker.frm
}


Tangentbrot1 {; Tom Schumm
              ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= tan(real(z)) + 2    ; Different escape boundry
  ;SOURCE: phong.frm
}


Tangentbrot2 {; Tom Schumm
              ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= tan(real(z))+4    ; Different escape boundry
  ;SOURCE: phong.frm
}


Tangentbrot3 {; Tom Schumm
              ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= tan(real(z))+6    ; Different escape boundry
  ;SOURCE: phong.frm
}


Tangentbrot4 {; Tom Schumm
              ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= tan(real(z))+8    ; Different escape boundry
  ;SOURCE: phong.frm
}


Tangentbrot5 {; Tom Schumm
              ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like mandel
  z = z + Pixel
  z = Sqr(z)
  imag(z) <= tan(real(z))+10    ; Different escape boundry
  ;SOURCE: phong.frm
}


Tangentia1 (ORIGIN) {; Tom Schumm
    ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= tan(real(z)) + 2    ; Different escape boundry
  ;SOURCE: phong2.frm
}


Tangentia2 (ORIGIN) {; Tom Schumm
    ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= tan(real(z))+4    ; Different escape boundry
  ;SOURCE: phong2.frm
}


Tangentia3 (ORIGIN) {; Tom Schumm
     ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= tan(real(z))+6    ; Different escape boundry
  ;SOURCE: phong2.frm
}


Tangentia4 (ORIGIN) {; Tom Schumm
     ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= tan(real(z))+8    ; Different escape boundry
  ;SOURCE: phong2.frm
}


Tangentia5 (ORIGIN) {; Tom Schumm
     ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like julia
  z = z + p1
  z = Sqr(z)
  imag(z) <= tan(real(z))+10    ; Different escape boundry
  ;SOURCE: phong2.frm
}


TanhInvZ (XYAXIS) {
  z=pixel, inv=1/pixel+p1:
  z=tanh(inv/z),
  |z|<=4
  ;SOURCE: fract003.frm
}


TanInvZ (XYAXIS) {
  z=pixel, inv=1/pixel+p1:
  t=inv/z,
  z=sin(t)/cos(t),
  |z|<=4
  ;SOURCE: fract003.frm
}


tC1108 { ; generalized CARR1108, by Caren Park
  z = fn1( p1 / (4 / p1)),
  c = fn2( p2 / (1 / p2)):
  z = (z * 1 / c) / (fn3 (pixel) - c * c);
  z = z / c,
  |real(z)| <=100 
  ;SOURCE: forummsg.frm
}


tC1126 { ; generalized CARR1126, by Caren Park
  z = fn1( p1) / (p1 + pixel),
  c = (fn1( 1 / pixel * p2 / pixel))/(0.3, 0.6):
  z = z + c - fn2 (imag( z)),
  |real(z)| <=100 
  ;SOURCE: forummsg.frm
}


tC1197 { ; generalized CARR1197, by Caren Park
    ; where fn1 = conj, fn2 = exp, fn3 = cosxx, fn4 = sqr
    ;
  z  = fn1(1 / pixel * 0.91 / pixel),
  z2 = z + fn2( fn3(1 / pixel)),
  z3 = z * z2,
  c  = ( 1 / fn3( fn4( pixel))) / (1.099, 0):
  z = (z * 1 / c);
  z2 = z3 - (z2 + z / c);
  z3 = z2 - (z3 + z2);
  |real(z)| <= 100 
  ;SOURCE: forummsg.frm
}


tC1258 { ; where fn1 = conj, fn2 = cosxx, fn3 = sqr,
         ; fn4 = abs
  z = fn1( 1 / (pixel * pixel * pixel)),
  c = fn2( fn3( 0.56 / pixel * 1 / pixel)):
  z = ( fn4( imag( pixel / z)) * cabs( real( pixel / c))) / (pixel - c * c);
  |real(z)| <=100 
  ;SOURCE: testcarr.frm
}


tC1273 { ; generalized CARR1273, by Caren Park
         ; where fn1, fn2, and fn3 = sqr
         ;  p1 = 2.5, p2 = 1.5
  z = fn1( fn2( fn3( p1 - pixel))),
  c = z - (pixel - p2):
  z = z * 1 / ( c * c - 1 / pixel);
  |real(z)| <=100 
  ;SOURCE: forummsg.frm
}


tC1293 { ; generalized CARR1293, by Caren Park
         ; where fn1 = log, fn2 = sqr, fn3 = sqr, fn4 = log
  z = fn1( fn2( 1 / pixel)),
  c = 1 / fn3( fn4( pixel)),
  c1= z / c^c / z:
  z = z / c1;
  z = (z - (z^c1)) / (c * c - pixel);
  |real(z)| <=100 
  ;SOURCE: forummsg.frm
}


Tchebychev-c6 (XYAXIS) {;Advanced Fractal Programming in C  - Stevens
  z=0:
  zsq = z*z,
  z = pixel * (zsq*zsq*zsq - 6*zsq*zsq + 9*zsq - 2),
  |z| <= 4
  ;SOURCE: tchebych.frm
}


Tchebychev-t5 (XYAXIS) {;Advanced Fractal Programming in C  - Stevens
  z=(0.654,0):
  zcube = z*z*z,
  z = pixel * (16*z*z*zcube - 20*zcube + 5*z),
  |z| <= 4
  ;SOURCE: tchebych.frm
}


TCosH (XAXIS) {
  z = c = cosh(pixel):
  z = c ^ z,
  |z| <= (p1 + 3)
  ;SOURCE: skinv13r.frm
}


TEL (XAXIS) {
  z = c = exp(pixel) * log(pixel):
  z = c ^ z,
  |z| <= (p1 + 3)
  ;SOURCE: skinv13r.frm
}


tent_inside {; Sylvie Gallet [101324,3444], Apr 1997
  r = 1, z = 0:
   l = r
   z = z*z + pixel
   UV = (5,5) - abs((5,5) - abs(z))
   r = cabs(UV)
    abs(l-r) >= 0.001 && r < 4
  ;SOURCE: 97msg.frm
}


test {
  z=pixel,c=p1:
  c = P1, z = Pixel:
  z = z* (z*z*(z*z*(429 * z*z - 693) + 315) - 35 ) / (16 * (z+c))
  |z| < 100
  ;SOURCE: tchebych.frm
}


test1 (xyaxis) { ;=phi
  c = pixel 
  z = ((sqrt 5 + 1)/2):
  z =  z*z + pixel*((sqrt 5 + 1)/2) + c
  |z| <= 4;
  ;SOURCE: drcha.frm
}


test2 (xyaxis) { ;=phi 
  z = ((sqrt 5 + 1)/2)/pixel:
  z =  z*z*z + pixel*((sqrt 5 + 1)/2)
  |z| <= 4;
  ;SOURCE: drcha.frm
}


test3 {; Michael Theroux [71673,2767]
       ;fix and generalization by Ron Barnett [70153,1233]
       ;=phi
       ;try p1 = 2.236067977 for the golden mean
  z = ((p1 + 1)/2)/pixel:
  z =  z*z + pixel*((p1 + 1)/2)/((p1 - 1)/2)
  |z| <= 4
  ;SOURCE: fractint.frm
}


test_formula {
  z = 0, c=pixel:
  z = sqr(z)+c,
  c=c+p1/z,
  |z| <= 4
  ;SOURCE: fract003.frm
}


testm { 
  z = 0, c=pixel: 
  z = sqr(z)+c, 
  c=c+(p1 * (|z| <= p2)) 
  |z| <= 4 
  ;SOURCE: quad.frm
}


TestSinMandC (XAXIS_NOPARM) {
  z=p1,x=|z|:
  (z=sin(z))*(1<x)+(z=z)*(x<=1),
  (z=sqr(z)+pixel),
  x=|z|, x<=4
  ;SOURCE: choice.frm
}


Tetragramaton_PHC {
  z = c = pixel:
  r = fn1(1/z) + p1
  q = fn2(z) + p2
  z = (z * q) * (whitesq == 1) + (z * r) * (whitesq == 0)
  |z| <= 4
  ;SOURCE: scary.frm
}


tetrate {
   ; p1 = initial perturbation of z(0).
   ; real part of p2 = bailout (default 4)
  z = pixel + p1,
  t = (4 * (real(p2)<=0) + real(p2) * (0<p2) ):
  z = pixel ^ z,
  |z| <= t
  ;SOURCE: builtn.frm
}


Tetratephi (xyaxis) { ;?
  z  = c = ((sqrt 5 +1)/2)/pixel:
  z = c^z + ((sqrt 5 +1)/2) 
  |z| <= 4;
  ;SOURCE: drcha.frm
}


TExp (XAXIS) {
  z = c = exp(pixel):
  z = c ^ z,
  |z| <= (p1 + 3)
  ;SOURCE: skinv13r.frm
}


texp1 (XAXIS) {
   ; Lets try a different constant with a non-zero imaginary component
  z = pixel, c = (1.5,0.5), zp = (0,0):
  temp = z
  z = -exp(z) - zp
  zp = c/temp, |zp| <= 4 
  ;SOURCE: noel.frm
}


textur1 (XAXIS) {
; Zoom into the noise region outside the 2.0 radius with 256 colour decomp
; or try boundary tracing in iter=summ or mult mode. Make sure float=yes
; earlier versions of fractint had more trouble with this equation
; and broke inside as well.
  z = zp1 = pixel, zp2 = (0,0):
  temp = z
  z = zp1*zp1 - zp2
  zp2 = zp1
  zp1 = temp^0.5, |zp1| <= 4
  ;SOURCE: noel.frm
}


textur2 (XAXIS) {
; A minor variation on the previous formula to see what happens
; Zoom in far enough and find some strange moire' patterns.
  z = zp1 = zp2 = pixel:
  temp = z
  z = zp1*zp1 - zp2
  zp2 = zp1
  zp1 = temp^0.5, |zp1| <= 4
  ;SOURCE: noel.frm
}


TgSinZ (XAXIS) { ; Jm Collard-Richard
  z=pixel:
  z1=sin(z)/cos(z)-sin(z);
  z2=1+(sin(z)/cos(z))^2-cos(z);
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


TgZ (XAXIS) {  ; Jm Collard-Richard
  z=pixel:
  z1=sin(z)/cos(z);
  z2=1+z1*z1;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


TgZz (XAXIS) { ; Jm Collard-Richard
  z=pixel:
  z1=sin(z)/cos(z)-z;
  z2=(sin(z)/cos(z))^2;
  z=z-(z1/z2) ,
  0.001<=|z1| 
  ;SOURCE: jmcr2.frm
}


three (XAXIS) {
; A very different idea. Don't use the current value, just previous ones.
; You still have to save it of course.
  z = pixel,  zp1 = zp2 = (0,0):
  temp = z
  z = zp2*zp2  - zp1
  zp2 = zp1
  zp1 = temp, |zp1| <= 4
  ;SOURCE: noel.frm
}


TileJulia {; Terren Suydam (terren@io.com), 1996
           ; modified by Sylvie Gallet [101324,3444]
           ; Modified for if..else logic 3/19/97 by Sylvie Gallet
   ; p1 = center = coordinates for a good Julia
   ; 0 <= real(p2) = magnification. Default for magnification is 1/3
   ; 0 <= imag(p2) = numtiles. Default for numtiles is 3
   ; p3 is the Julia set parameter
  center = p1
  IF (p2 > 0)
     mag = real(p2)
  ELSE
     mag = 1/3
  ENDIF
  IF (imag(p2) > 0)
     numtiles = imag(p2)
  ELSE
     numtiles = 3
  ENDIF
  omega = numtiles*2*pi/3
  x = asin(sin(omega*real(pixel))) , y = asin(sin(omega*imag(pixel)))
  z = (x+flip(y)) / mag + center :
  z = z*z + p3
  |z| <= 4
  ;SOURCE: fract196.frm
}


TileMandel {; Terren Suydam (terren@io.com), 1996
            ; modified by Sylvie Gallet [101324,3444]
            ; Modified for if..else logic 3/19/97 by Sylvie Gallet
            ; p1 = center = coordinates for a good Mandel
   ; 0 <= real(p2) = magnification. Default for magnification is 1/3
   ; 0 <= imag(p2) = numtiles. Default for numtiles is 3
  center = p1
  IF (p2 > 0)
     mag = real(p2)
  ELSE
     mag = 1/3
  ENDIF
  IF (imag(p2) > 0)
     numtiles = imag(p2)
  ELSE
     numtiles = 3
  ENDIF
  omega = numtiles*2*pi/3
  x = asin(sin(omega*real(pixel))) , y = asin(sin(omega*imag(pixel)))
  z = c = (x+flip(y)) / mag + center :
  z = z*z + c
  |z| <= 4
  ;SOURCE: fract196.frm
}


TILING1 {; Ray Girvan, April 1997 (as posted in Fractal-Art, 4/7/97)
         ; tiled lamda sine function
         ; try iteration z=flip(c)*sin(z) also
         ; try p1=(1,0.4), p2=(0.5,0)
         ; (p2 is a scaling factor)
  z = p2*(tan(cos(Real(pixel)))+flip(tan(sin(Imag(pixel))))) 
  c=p1:
  z = c*sin(z)
  |z| <= 64
  ;SOURCE: 97msg.frm
}


Tim's_Error (XAXIS) {
  z = pixel, c = z ^ (z - 1):
  z = sqr(z);
  t2 = real(z)*real(c) + imag(z)*imag(c);
  t3 = real(t2)*imag(c) - imag(z)*real(c);
  z = t2 + t3 + pixel,
  |z| <= 4
  ;SOURCE: newforms.frm
}


Tim's_Newton {; Modified Newt_ellipt_oops by Tim Wegner
              ; Use floating point. 
  z = pixel, z2 = z*z, z3 = z*z2:
  num = (z3 + fn1(p1)*z2 + 1)^.5      
  denom = (1.5*z2 + p1*z)/num    
  z = z - (num/denom)            
  z2 = z*z+c
  z3 = z*z2
  fn2(p2) <= |z3 + p1*z2 + 1| 
  ;SOURCE: bej's2.frm
}


Tim's_Newton_a {;
  z = pixel, z2 = z*z, z3 = z*z2:
  num = (z3 + p1*z2 + 1)^.5      
  denom = (1.5*z2 + p1*z)/num    
  z = z - (num/denom)            
  z2 = z*z+c
  z3 = z*z2
  p2 <= |z3 + p1*z2 + 1| 
  ;SOURCE: bej's2.frm
}


Tim's_Newton_b {; Modified Newt_ellipt_oops by Tim Wegner
                ; Use floating point. 
  z = pixel, z2 = z*z, z3 = z*z2,
  t = (4 * (real(p2)<=0) + real(p2) * (0<p2) ):
  num = (z3 + fn1(p1)*z2 + 1)^.5      
  denom = (1.5*z2 + p1*z)/num    
  z = z - (num/denom)            
  z = sqr(z) + p1
  z2 = z*z+c
  z3 = z*z2
  fn2(p2+t) <= |z3 + p1*z2 + 1| 
  ;SOURCE: bej's2.frm
}


Tims_Random_Formul {
   z=pixel:
   z = sin(z*z+floor(atan(z+4)))
   z = c + log(z) - sin(z)
   |z| < 10
  ;SOURCE: 96msg.frm
}


timserrda3 { ; Chuck Ebbert
             ; same as built-in "tim's_error" type
   ; p1 = initial perturbation of z, real(p2) = bailout (default 4)
  t = (4 * (real(p2)<=0) + real(p2) * (0<p2) ),
  z = pixel + p1, c = z ^ z ^ z:
  z = fn1(z),
   ; must be careful to leave imag part of z unchanged     13 Jan 1993
  z = real(z) * real(c) - imag(z) * imag(c) + flip(imag(z)),
  z = real(z) + flip(real(z) * imag(c) - imag(z) * real(c) ) + pixel,
  |z| <= t
  ;SOURCE: form2.frm
}


timserror { ; Chuck Ebbert                    added 12 Jan 1993
            ; same as built-in "tim's_error" type
   ; p1 = initial perturbation of z, real(p2) = bailout (default 4)
  t = (4 * (real(p2)<=0) + real(p2) * (0<p2) ),
  z = pixel + p1, c = z ^ (z-1):
  z = fn1(z),
   ; must be careful to leave imag part of z unchanged     13 Jan 1993
  z = real(z) * real(c) - imag(z) * imag(c) + flip(imag(z)),
  z = real(z) + flip(real(z) * imag(c) - imag(z) * real(c) ) + pixel,
  |z| <= t
  ;SOURCE: builtn2.frm
}


Tinsel {
  z = pixel, v = sin(e)/cos(pi):
  r = z + v + p1
  z = r * fn1(z)^fn2(1/z) 
  |r| >= 0.000001 && round(|v|) < 4
  ;SOURCE: tinsel.frm
}


Tinsel_2 {
  z = pixel:
  r = tan(1/z) + p1
  z = fn1(z) *  fn2(r) 
  |z| < 4
  ;SOURCE: tinsel.frm
}


Tinsel_3 {
  z = pixel, c = real(pixel) * imag(pixel): 
  r = tan(1/z)  + p1 
  z = fn2(r)/fn1(z) * c + p2
  |z| < 4 
  ;SOURCE: tinsel.frm
}


Tinsel_3_PHC {
  z = pixel, c = real(pixel) * (whitesq == 0) + imag(pixel) * whitesq: 
  r = tan(1/z)  + p1 
  z = fn2(r)/fn1(z) * c + p2
  |z| < 4 
  ;SOURCE: tinsel.frm
}


Tinsel_4 {
  z = pixel: 
  x = real(z), y =imag(z)
  xr = z * fn1(1/y) + 3
  yq = z / fn2(1/x) ^ e
  z = xr * yq * z
  |z| < 4
  ;SOURCE: tinsel.frm
}


Tinsel_5 {
  z = pixel: 
  x = real(z), y =imag(z)
  xr = x * fn1(z) 
  yq = z * fn2(1/y) 
  z  = xr * yq 
  |z| < 4
  ;SOURCE: tinsel.frm
}


TjerCGhalley (XYAXIS) {; Chris Green -- Halley's formula
                       ; Modified by Tobey J. E. Reed [76437,375]
   ; P1 usually 1 to 1.5, P2 usually zero. Use floating point.
  z=(1,1):
  z5=z*z*z*z*z,
  z6=z*z5, z7=z*z6,
  z=z-p1*((z7-z+pixel)/ ((p1*z6-3)-(8.0*z5)*(z7+z-pixel)/(3.30*z6-12))),
  0.0001 <= |z7-z-pixel|
  ;SOURCE: fract003.frm
}


TjerCubic (XYAXIS) {; Lee Skinner [75450,3631]
                    ; Modified by Tobey J. E. Reed [76437,375]
  p = pixel, test = p1 + 3,
  t3 = 5*p, t2 = p*p,
  a = (t2 + 1)/t3+t2, b = 3.149*a*a*a + (t2 - 5)/t2,
  aa3 = a*a*p1, z = 0 - a :
  z = z*z - aa3*z + a,
  |z| < test
  ;SOURCE: fract003.frm
}


TjerDeltaLog (XAXIS) {; Mark Peterson
                      ; Modified by Tobey J. E. Reed [76437,375]
  z = pixel, c = log(pixel):
  z = cosh(z) + c/2,
  |z| <= 4
  ;SOURCE: fract003.frm
}


TjerDragon {; Mark Peterson
            ; Modified by Tobey J. E. Reed [76437,375]
  z = Pixel:
  z = tan(z) + (-0.74543, 0.2),
  |z| <= 4
  ;SOURCE: fract003.frm
}


TjerEnt {; Scott Taylor
         ; Modified by Tobey J. E. Reed [76437,375]
         ; Try params=.5/.75 and the first function as exp.
         ; Zoom in on the swirls around the middle.  There's a
         ; symmetrical area surrounded by an asymmetric area.
  z = Pixel, y = fn1(z)+p1, base = log(p1):
  z = y * 3.1416 * log(z)/base,
  |z| <= 5
  ;SOURCE: fract003.frm
}


TjerFzppfnpo  {; Lee Skinner [75450,3631]
               ; Modified by Tobey J. E. Reed [76437,375]
  z = pixel, f = 2*(pixel)^(pixel):
  z = fn1(z) + f,
  |z| <= 50
  ;SOURCE: fract003.frm
}


TjerFzppfnre  {; Lee Skinner [75450,3631]
               ; Modified by Tobey J. E. Reed [76437,375]
  z = pixel, f = 1./(pixel):
  z = fn1(z) + f * p1,
  |z| <= 50
  ;SOURCE: fract003.frm
}


TjerHyperMandel {; Chris Green.
      ; Modified and Generalized by Tobey J. E. Reed [76437,375]
      ; A four dimensional version of the mandelbrot set.
      ; Use P1 to select which two-dimensional plane of the
      ; four dimensional set you wish to examine.
      ; Use floating point.
  a=(0,0),b=(0,0):
  z=z+1, anew=fn1(a)-fn1(b)+pixel,
  b=3.17*a*b-p1, a=anew,
  |a|+|b| <= 4
  ;SOURCE: fract003.frm
}


TjerInvMandel (XAXIS) {; Mark Peterson
                       ; Modified by Tobey J. E. Reed [76437,375]
  c = z = 1 / pixel:
  z = cos(z) + 2*c;
  |z| <= 4
  ;SOURCE: fract003.frm
}


TjerMandelTangent {; Fractal Creations example (revised for v.16)
                   ; Modified by Tobey J. E. Reed [76437,375]
  z = pixel:
  z = pixel * tan(z) * 3.14159 * p1,
  |real(z)| < 32
  ;SOURCE: fract003.frm
}


TjerMTet (XAXIS) {;Mandelbrot form 1 of the Tetration formula -- Lee Skinner  ; Modified and Generalized by Tobey J. E. Reed [76437,375]
  z = pixel:
  z = (pixel ^ z + pixel) + fn1(pixel),
  |z| <= (P1 + 3)
  ;SOURCE: fract003.frm
}


TjerNewton4(XYAXIS) {; Mark Peterson
                     ; Modified by Tobey J. E. Reed [76437,375]
  z = pixel, Root = 1:
  z3 = z*z*z,
  z4 = z3 * z,
  z = (3 / z4 - Root) / (6 * z3),
  .004 <= |z4 - Root|
  ;SOURCE: fract003.frm
}


TjerNewtonSinExp (XAXIS) {; Chris Green
       ; Generalized by Tobey J. E. Reed [76437,375]
       ; Newton's formula applied to sin(x)+exp(x)-1=0.
       ; Use floating point.
  z=pixel:
  z1=exp(z),
  z2=sin(z)+z1-1,
  z=z-p1*z2/(fn1(z)-z1),
  .0001 < |z2|
  ;SOURCE: fract003.frm
}


TLog (XAXIS) {
  z = c = log(pixel):
  z = c ^ z,
  z <= (p1 + 3)
  ;SOURCE: skinner.frm
}


TLSQ (XAXIS) {
  z = c = log(pixel) * sqr(pixel):
  z = c ^ z,
  |z| <= (p1 + 3)
  ;SOURCE: skinv13r.frm
}


Tobey3 (XAXIS) {
  z = pixel:
  c = pixel - sqr(z),
  c = pixel + c/z,
  z = c - z * pixel,
  |z| < 4
  ;SOURCE: fract003.frm
}


TobeyCGNewton3 {; Chris Green -- A variation on newton iteration.
    ; Modified and Generalized by Tobey J. E. Reed [76437,375]
    ; The initial guess is fixed at (1,1), but the equation solved
    ; is different at each pixel ( x^3-pixel=0 is solved).
    ; Use floating point.
    ; Try P1=1.8.
  z=(1,1):
  z2=z*z, z3=z*z2,
  z=z-p1*fn1((z2-pixel)/(2.13*z2)),
  0.0001 < |z3-pixel|
  ;SOURCE: fract003.frm
}


TobeyHalley (XYAXIS) {; Chris Green. Halley's formula applied to x^7-x=0.
   ; Modified and Generalized by Tobey J. E. Reed [76437,375]
   ; P1 usually 1 to 1.5, P2 usually zero. Use floating point.
   ; Setting P1 to 1 creates the picture on page 277 of Pickover's book
  z=pixel:
  z5=z*z*z*z*z, z6=fn1(z*z5),
  z7=fn2(z*z6),
  z=fn2(z-p1*((z7-z))/ (fn1((7.0*z6-1)-(42.0*z5)*(z7-z)/(14.0*z6-2)))),
  0.0001 <= |z7-z|
  ;SOURCE: fract003.frm
}


TobeyHalleySin (XYAXIS) {; Chris Green. Halley's formula applied 
                         ;to sin(x)=0.
    ; Generalized by Tobey J. E. Reed [76437,375]
    ; Use floating point.
    ; P1 = 0.1 will create the picture from page 281 of Pickover's book.
  z=pixel:
  s=fn1(z), c=fn2(z)
  z=z+p1*(s/(c-(s-s)/(c*c))),
  0.0001 <= |s|
  ;SOURCE: fract003.frm
}


TobeyLeeMandel1 (XYAXIS) {; Kevin Lee
                          ; Generalized by Tobey J. E. Reed [76437,375]
  z=Pixel:
  c=fn1(pixel)/z,
  c=z+2*c,
  z=fn2(z+1),
  |z|<4
  ;SOURCE: fract003.frm
}


TobeyLeeMandel2 (XYAXIS) {; Kevin Lee
                          ; Generalized by Tobey J. E. Reed [76437,375]
  z=Pixel:
  c=fn1(pixel)/z,
  c=z+c,
  z=fn2(c*pixel),
  |z|<4
  ;SOURCE: fract003.frm
}


TobeyLeeMandel3 (XAXIS) {; Kevin Lee
                         ; Generalized by Tobey J. E. Reed [76437,375]
  z=Pixel, c=Pixel-fn1(z):
  c=Pixel+c/z,
  z=c-fn2(z*pixel),
  |z|<4
  ;SOURCE: fract003.frm
}


TobeyMyFractal {; Fractal Creations example
                ; Generalized by Tobey J. E. Reed [76437,375]
  c = z = 1/pixel:
  z = fn1(z) + c/p1,
  |z| <= 4
  ;SOURCE: fract003.frm
}


TobeyPsudoMandel (XAXIS) {; davisl - try center=0,0/magnification=28
                          ; Generalized by Tobey J. E. Reed [76437,375]
  z = Pixel:
  z = ((z/2.7182818)^z)*fn1(6.2831853*z) + pixel,
  |z| <= 4
  ;SOURCE: fract003.frm
}


TobeyRichard1 (XYAXIS) {; Jm Richard-Collard
                        ; Generalized by Tobey J. E. Reed [76437,375]
  z = pixel:
  sq=z*z, z=(sq*fn1(sq)+sq)+pixel,
  |z|<=50
  ;SOURCE: fract003.frm
}


TobeyRichard2 (XYAXIS) {; Jm Richard-Collard
                        ; Generalized by Tobey J. E. Reed [76437,375]
  z = pixel:
  z=1/(fn1(z*z+pixel*pixel)),
  |z|<=50
  ;SOURCE: fract003.frm
}


TobeyRichard3 (XAXIS) {; Jm Richard-Collard
                       ; Generalized by Tobey J. E. Reed [76437,375]
  z = pixel:
  sh=fn1(z), z=(1/(sh*sh))+pixel,
  |z|<=50
  ;SOURCE: fract003.frm
}


TobeySterling (XYAXIS) {; davisl
                        ; Generalized by Tobey J. E. Reed [76437,375]
  z = Pixel:
  z = (fn1((z/2.7182818)^z))/fn2(6.2831853*z),
  |z| <= 4
  ;SOURCE: fract003.frm
}


TobeySterling2 (XAXIS) {; davisl
                        ; Generalized by Tobey J. E. Reed [76437,375]
  z = Pixel:
  z = ((z/2.7182818)^z)/fn1(6.2831853*z) + pixel,
  |z| <= 4
  ;SOURCE: fract003.frm
}


TobeyWineglass (XAXIS) {; Pieter Branderhorst
    ; Modified and Generalized by Tobey J. E. Reed [76437,375]
  c = z = pixel:
  z = z * z + c,
  c = (1+flip(imag(fn1(c)))) * real(fn1(c)) / 3 + z,
  |z| <= 4 
  ;SOURCE: fract003.frm
}


TowerExp11 {; Jim Muth
  z=pixel, c=p2+(p3*pixel):
  z=z^(z^(z^(z^(z^(z^(z^(z^(z^(z^(z^(z+p1)))))))))))+c,
  |z| <= 100
  ;SOURCE: 97msg.frm
}


tpet {
  z = pixel, zp = (0,0), huge=1.0e32:
  temp = z
  z = -cos(z) - zp
  zp = p1/temp, (|zp| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


tpet1 {
  z = pixel, zp = (0,0), huge=1.0e32:
  temp = z
  z = cos(z) - zp
  zp = p1/temp, (|zp| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


tpet2 {
  z = pixel, zp = (0,0), huge=1.0e32:
  temp = z
  z = cos(z) + zp
  zp = p1/temp, (|zp| <= 4) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


tracykoller1 {; Flower formula series for Tracy
              ; Copr. 1995 by Jack A. Orman
  z=1/pixel,c=cosxx(z/pixel)*sqr(pixel):
  z=z*z+sqr(c-p1),
  |z| <=4
  ;SOURCE: tracy.frm
}


tracykoller2 {; Created by Jack A. Orman
              ; Copr. 1995
  z=1/pixel,c=cosxx(p2)/pixel:
  z=z^p1+sqr(c/pixel),
  |z| <=10
  ;SOURCE: tracy.frm
}


tracykoller3 {; Created by Jack A. Orman
              ; Copr. 1995
  z=1/pixel,c=sqr(p2)/pixel:
  z=z^p1+sqr(c/pixel),
  |z| <=10
  ;SOURCE: tracy.frm
}


tracykoller4 {; Created by Jack A. Orman
              ; Copr. 1995
  z=1/pixel,c=sqrt(p2)/pixel:
  z=z^p1+sqr(c/pixel),
  |z| <=10
  ;SOURCE: tracy.frm
}


TransformingJulia0 {; Jim Deutch [104074,3171], 1996 requires 19.5
                    ; p1=initial julia
                    ; p2=final julia
                    ; this formula is pathological wrt the zoombox
  col=real(scrnpix)
  cols=real(scrnmax)
  p=p1+col/cols*(p2-p1)
  z=pixel:
  z=z*z+p
  |z|<4
  ;SOURCE: jdwork4.frm
}


tree(XAXIS) {; Try a different order of the terms.
  z = pixel,  zp1 = zp2 = (0,0):
  temp = z
  z = zp1*zp1  - zp2
  zp2 = zp1
  zp1 = temp, |zp1| <= 4 
  ;SOURCE: noel.frm
}


Trekle {
  z = 0, c = pixel:
  z = z + p1
  z = (z * fn1(sqrt(z)))/fn2(c)
  z = z + sqr(c)
  |z| < 4
  ;SOURCE: d-rock.frm
}


trick (XAXIS) {; An different method to work in a second function
  z = pixel, zp = (0,0):
  temp = z
  z = sin(z)*z - zp
  zp = (temp),  |zp| <= 4 
  ;SOURCE: noel.frm
}


trillium (XAXIS) {
    ; A minor variation in sign will produce a remarkable change
  z = pixel, zp = (0,0):
  temp = z
  z = z*z - zp
  zp = temp,  |zp| <= 4 
  ;SOURCE: noel.frm
}


Triple_alt {
    ;(c) 1993 by:
    ;
    ; LRCMIKE@LRC.OLDSCOLLEGE.AB.CA
    ;
    ; Michael G. Wareman
    ; P.O. Box 1856
    ; Olds, Alberta, Canada
    ; T0M 1P0
  z = c = pixel:
  z = z * z * z + c;
  |z - pixel| < 4
  ;SOURCE: frame.frm
}


Trispine (XAXIS) {
  z = pixel:
  z = sin(z + pixel),
  z + z = z + lambda + pixel, 
  |z| <= 42
  ;SOURCE: hubert.frm
}


TROPFISH (XAXIS) {
  z=pixel-cos(pixel)-p1:
  z=sqr(z)+sinh(pixel)-p2,  
  |Z|<=4 
  ;SOURCE: newform.frm
}


tsept {; Why not try this change on all the good formula so far?
  z = pixel, zp1 = zp2 = (0,0), huge = 1.0e32:
  temp = z
  z = z*z - zp2
  zp2 = zp1
  zp1 = p1/temp, (|zp1| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


TSHCH (XAXIS) {
  z = c = sinh(pixel) * cosh(pixel):
  z = c ^ z,
  |z| <= (p1 + 3)
  ;SOURCE: skinv13r.frm
}


TSin (XAXIS) {
  z = c = sin(pixel):
  z = c ^ z,
  |z| <= (p1 + 3)
  ;SOURCE: skinv13r.frm
}


TSinh (XAXIS) {; Tetrated Hyperbolic Sine - Improper Bailout
  z = c = sinh(pixel):
  z = c ^ z
  z <= (p1 + 3)
  ;SOURCE: fractint.frm
}


TSLPS2 (XAXIS) {
  z = c = sqr( log(pixel) ) * sin(pixel) * sin(pixel):
  z = c ^ z,
  |z| <= (p1 + 3)
  ;SOURCE: skinv13r.frm
}


Tsq (XYAXIS) {
  z = c = pixel * pixel:
  z = c ^ z,
  |z| <= (p1 + 3)
  ;SOURCE: skinv13r.frm
}


TSqr (XYAXIS) {
  z = c = sqr(pixel):
  z = c ^ z,
  |z| <= (p1 + 3)
  ;SOURCE: skinv13r.frm
}


TSSH (XYAXIS) {
  z = c = sin(pixel) * sinh(pixel):
  z = c ^ z,
  |z| <= (p1 + 3)
  ;SOURCE: skinv13r.frm
}


tstar {; For the star fractal as well it makes a dramatic change.
       ; Use real 0.1 < p1 < 1.0
  z=pixel, zp = (0,0),huge=1.0e32:
  temp = z
  z = z*z + zp
  zp = p1/conj(temp), (|zp| <= 64) && (|z| <= huge) 
  ;SOURCE: noel.frm
}


TurtleC (XAXIS_NOPARM) {
  z=p1:
  x=real(z),
  (z=sqr(z)+pixel)*(x<0)+(z=sqr(z)-pixel)*(0<=x),
  |z|<=4
  ;SOURCE: choice.frm
}


Twister4 {; p2 is inverse bailout, set to small nonzero number
          ; like 0.000001.
  z=pixel,
  c=p1:
  oz=z
  z2=z*z
  z3=z*z2
  z4=z*z3
  z5=z*z4
  z=(z5+z4-z2+3*z-1)/(4*z3-2*z+3)+c,
  |z|<127 && |oz-z|>p2
  ;SOURCE: novaexpo.frm
}


TwoFace (XAXIS) {;Modified Sylvie Gallet frm.
                 ;Modified Carr1971 formula
                 ;LGD 1-11-96
  c=z=pixel, 
  compt=0 , limit=real(p1/pixel) , bailout=4
  p=(-0.743380900000982,-0.131850030300002) :
  test=(compt<limit)
  c=c*test+p*(1-test)
  z=z*z+c
  compt=compt+1
  |z|<=bailout
  ;SOURCE: 96msg.frm
}


TwoIkes {; Ron Barnett [70153,1233], 1996  Requires passes=1
   ; p3 will shift the two ikenaga sets wrt to each other
   ; Ron Barnett, 1996
  z = p1*whitesq*(pixel+p3)+p2*(whitesq==0)*((1-pixel)/3)^0.5,
  c = pixel:
  z=z*z*z+(c-1)*z-c, 
  |z|<=4
  ;SOURCE: phc.frm
}


TwoMands {; Ron Barnett [70153,1233], 1996  Requires passes=1
   ; p3 will shift the two mandelbrot sets wrt to each other
   ; Ron Barnett, 1996
  z = c = pixel+(whitesq==0)*p3:
  z=whitesq*(z^p1+c)+(whitesq==0)*(z^p2+c), 
  |z|<=4
  ;SOURCE: phc.frm
}


Twotrj {;This one make a dragon curve, use p1=(1.1,.9)
  z=pixel, k=-1, l=1:
  x=real(z)
  a=k*(x<0)
  b=l*(x>=0)
  p=a+b
  z=p1*z+p
  |z|<=100
  ;SOURCE: esc-ifs.frm
}

