

V-Euler {
  x=real(pixel),
  y=imag(pixel),
  h=real(p1)/2:
  u=x-x*y,
  w=-y+x*y,
  c=x+h*(u+u),
  d=y+h*(w+w),
  x=c,
  y=d,
  z=x+flip(y),
  |z|<=p2
  ;SOURCE: davfav1.frm
}


V-Heun {
  x=real(pixel),
  y=imag(pixel),
  p=real(p1),
  h=imag(p1)/2:
  u=x-x*y,
  w=-y+x*y,
  a=x+p*u,
  b=y+p*w,
  c=x+h*(u+(a-a*b)),
  d=y+h*(w+(-b+a*b)),
  x=c,
  y=d,
  z=x+flip(y),
  |z|<=p2
  ;SOURCE: davfav1.frm
}


Veda {
  z = pixel + p1:
  r = tan(1/z) + pixel
  z = fn1(z * r)
  |z| < 4
  ;SOURCE: shakti.frm
}


Ventura (XAXIS) {
  z = pixel, sspix = sin(sqr(pixel)):
  z = z * sspix + p1
  z = fn1(z) + pixel
  z < 4
  ;SOURCE: altura.frm
}


Ventura_2 (XAXIS) {
  z = pixel, sspix = sqr(sin(pixel)):
  z = z * sspix + p1
  z = fn1(z) + pixel
  z < 4
  ;SOURCE: altura.frm
}


VerLinebrot (XAXIS) {; Tom Schumm
                     ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like a mandel
  z = z + Pixel
  z = Sqr(z)
  real(z) <= 4          ; Different escape boundry
  ;SOURCE: phong.frm
}


VerLineia (ORIGIN) {; Tom Schumm
                    ; Attempt to change the shape of the escape boundry
  z = Pixel, z = Sqr(z):  ; Just like a julia
  z = z + p1
  z = Sqr(z)
  real(z) <= 4            ; Different escape boundry
  ;SOURCE: phong2.frm
}

