

z0 {; Revised 4/27/96 to eliminate superfluous "+c"
    ; Original version of this formula may be discarded
  z=pixel,u=tan(z+1)/real(z^(pixel/2)),t=imag(real(tan(z^2))):
  z=(fn1(u)^fn2(t))+fn3(u+t)
  |z|<=4
  ;SOURCE: new.frm
}


z3 {; Revised 4/27/96 to eliminate superfluous "+c"
    ; Original version of this formula may be discarded
  z=pixel,t=(1.099,.09^2/pixel)*(3-pixel/fn1(z^p2)),n=real(t/(z/p3)):
  z=((fn1(2/n)^fn2(z^t-z))/fn3(z^(t-n))*fn4(t/n-z))
  |real(z)|<=4
  ;SOURCE: new.frm
}


z^3-1=0 (XAXIS) {; Advanced Fractal Programming in C  - Stevens
   ; Run with inside = ZMAG to turn off periodicity checking
  x=real(pixel), y=imag(pixel):
  x2 = x*x, y2 = y*y,
  xold = x, yold = y, xmy = x2 - y2,
  d = 3 * (xmy * xmy + 4*x2*y2),
  x = .66666667*x + xmy/d,   y = .66666667*y - 2*x*y/d,
  x != xold && y != yold
  ;SOURCE: hughes.frm
}


z^3-2z-5=0 (XAXIS) {; Advanced Fractal Programming in C  - Stevens
                    ; --- SLOW on a 486-33 ---  Run with inside = ZMAG
  x=real(pixel), y=imag(pixel):
  x2 = x*x, y2 = y*y, xold = x, yold = y,
  t2 = 3*x2 - 3*y2 -2,          d = t2*t2 + 36*x2*y2,
  t1 = x*x2 - 3*x*y2 - 2*x -5, t3 = 3*x2*y - y2*y - 2*y,
  x = x - (t1 * t2 - 6*x*y*t3)/d,
  y = y - (t1 * (-6*x*y) + t3 * t2)/d,
  x != xold && y != yold
  ;SOURCE: hughes.frm
}


ZAAR_1 (XAXIS) {
  z = 0:
  z = fn1((c-z) * sin(z)) -z + (z+c/2)
  z = pixel + z + p1
  ;SOURCE: damion.frm
}


ZAAR_2 {
  z = 0:
  z = sin((z + pixel) - c/3)
  z = p1 + (z + z) 
  z = pixel + z
  ;SOURCE: damion.frm
}


ZAAR_3 (XAXIS) {
  z = 0:
  z = fn1(z + z * z ) + p1
  z = (z * z) / (z + c) 
  z = pixel + z
  ;SOURCE: damion.frm
}


ZAAR_4 {
  z = sqrt(2):
  z = (z*z+c) / z
  z = fn1(z) + pixel
  |z| <= 64
  ;SOURCE: damion.frm
}


Zack (XAXIS) { 
  z = pixel,
  r = rand:
  z + z = (fn1(pixel) + sin(z) ) / (sqr(z) ), 
  |z| <= 42
  ;SOURCE: hubert.frm
}


zapfl3 (XAXIS) {
  z=pixel: 
  z=(pixel+z*z*z)/(z*z),
  |z|<=100
  ;SOURCE: ratz.frm
}


zapfl4p12 {
  z=pixel: 
  z=(z*z*z*z+(pixel*p1))/(z*z*z*p2),
  |z|<=4
  ;SOURCE: ratz.frm
}


Ze2 (XAXIS) {
  s1 = exp(1.,0.),
  s = s1 * s1,
  z = Pixel:
  z = z ^ s + pixel, 
  |z| <= 100
  ;SOURCE: skinner.frm
}


ZeePi {; Ron Barnett, 1993
       ; This Julia function is based upon Ramanujan's iterative
       ; function for calculating pi
  z = pixel:
  x = (1-z^p1)^(1/p1)
  z = z*(1-x)/(1+x) + p2
  |z| <= 4
  ;SOURCE: fractint.frm
}


Zentura (XAXIS) {
  z = pixel, s2 = sqrt(2):
  z = z + p1
  z = (sqrt(z)/s2) * z
  z = z * fn1(z) + pixel
  |z| < 4
  ;SOURCE: altura.frm
}


Zeppo {; Mutation of 'Liar4'.
    ; Original formula by Chuck Ebbert [76306,1226]
    ; Modified for if..else logic 3/19/97 by Sylvie Gallet
    ; For 'Liar4' set FN1 & FN2 =IDENT and P1 & P2 = default
    ; p1 & p2 = Parameters (default 1,0 and 0,0)
   z = pixel
    ; The next line sets p=default if p1=0, else p=p1
   IF (real(p1) || imag(p1))
      p = p1
   ELSE
      p = 1
   ENDIF
   :
   z = fn1(1-abs(imag(z)*p-real(z))) +          \
       flip(fn2(1-abs(1-real(z)-imag(z)))) - p2
   |z| <= 1
  ;SOURCE: fract196.frm
}


Zexpe (XAXIS) {
  s = exp(1.,0.), z = Pixel:
  z = z ^ s + pixel
  |z| <= 100
  ;SOURCE: fractint.frm
}


Zexpe2 (XAXIS) {
  s = exp(1.,0.), z = Pixel:
  z = z ^ s + z ^ (s * pixel), |z| <= 100
  ;SOURCE: skinner.frm
}


Zexpe_mandel (XAXIS) { 
  z = Pixel:
  z = z ^ 2 + pixel,
  |z| <= 100 
  ;SOURCE: formulas.frm
}


ZexpeJulia (XAXIS) {
  s = exp(1.,0.), 
  z = Pixel:
  z = (z ^ s) + P1, 
  |z| <= 100
  ;SOURCE: skinv151.frm
}


Zexpp (XAXIS) {
  s = (3.1415926535,0.), 
  z = Pixel:
  z = z ^ s + pixel, 
  |z| <= 100
  ;SOURCE: crocker.frm
}


ZExpZ (xaxis) {; Jm Collard-Richard z=exp(z) z=(0.318..;+/- 1.337)
  z=pixel:
  z0=exp(z);
  z1=z0-z;
  z2=z0-1;
  z=z-(z1/z2),
  0.0001<=|z1| 
  ;SOURCE: jmcr2.frm
}


Zing {
  z = pixel,
  log2 = 2 ^ (pixel*z):
  z = cosh(z+pixel),
  z + z = z + log2, 
  |z|<= 42
  ;SOURCE: hubert.frm
}


zmincosz (XAXIS) {
  z = pixel:
  fz = z - cos(z);
  fdashz = 1 + sin(z);
  z = z - fz/(fdashz + P1);
  0.0001 <= |fz|
  ;SOURCE: davfav1.frm
}


zmincoszb {; David Walter
  z =c= pixel:
  z10=z*z+c
  fz = z - cos(z10);
  fdashz = 1 + sin(z);
  z = z - fz/(fdashz + P1);
  0.0001 <= |fz|
  ;SOURCE: sg-bc-bj.frm
}


zpj (YAXIS) {;I post this one some months ago.. use p1=.9/-.87
  z=pixel:
  k=real(z)
  (z=z*p1-1)*(k<0)+(z=z*conj(p1)+1)*(0<=k),
  |z|<=100
  ;SOURCE: esc-ifs.frm
}


Zppchco8 {
  z = pixel, f = cosxx (pixel):
  z = cosh (z) + f, |z|<=8192
  ;SOURCE: skinner.frm
}


Zurreal { 
  z = pixel:
  z = fn1(z) + pixel
  z = fn2(1/sqr(z))/z + p1 
  |z| <= 4
  ;SOURCE: surreal.frm
}


zwiebelp1 (ORIGIN){
  z=pixel: 
  z=(z/imag(z)+p1*z*real(z))*conj(z)+pixel,
  |z|<=4
  ;SOURCE: fkt.frm
}


zwjebelp1c {
  z=pixel: 
  z=(z/imag(z)+p1*z*real(z))*conj(z)+p2,
  |z|<=4
  ;SOURCE: fkt.frm
}


ZZ (XAXIS) {; Prof Jm using Newton-Raphson method
            ; use floating point with this one
  z=pixel,solution=1:
  z1=z^z
  z2=(log(z)+1)*z1
  z=z-(z1-1)/z2
  0.001 <= |solution-z1|
  ;SOURCE: fractint.frm
}


zz2 (XAXIS) {
   ; Try the inversion again
  z = zp1 = pixel, zp2 = (0,0):
  temp = z
  z = z^zp2 - zp1
  zp2 = zp1
  zp1 = 1/temp, |zp1| <= 4
  ;SOURCE: noel.frm
}


ZZa (XAXIS) {; Prof Jm using Newton-Raphson method
             ; use floating point with this one
  z=pixel,solution=1:
  z1=z^(z-1)
  z2=(((z-1)/z)+log(z))*z1
  z=z-((z1-1)/z2)
  .001 <= |solution-z1|
  ;SOURCE: fractint.frm
}


ZZINVCHZ (Xaxis) {; Jm Collard-Richard   - Use Float=Yes
                  ; Resol : z^z=1/cosh(z)
  z=pixel:
  ch=cosh(z);
  sh=sinh(z);
  zz=z^z;
  z1=zz-(1/ch);
  z2=(log(z)+1)*zz+(sh/(ch*ch));
  z=z-(z1/z2),
  0.001<=|z1|  
  ;SOURCE: jmcr2.frm
}


ZZINVCZ (Xaxis) {; Jm Collard-Richard    -  Use  Float=Yes
                 ; Resol :   z^z=1/cos(z)
  z=pixel:
  c=cos(z);
  s=sin(z);
  zz=z^z;
  z1=zz-(1/c);
  z2=(log(z)+1)*zz-(s/(c*c));
  z=z-(z1/z2),
  0.001<=|z1|  
  ;SOURCE: jmcr2.frm
}


zzz (XAXIS) {
   ; Same as XXX but introduce a new dynamic by inverting a previous term
   ; A small but curious active region. Try 256 colour decomp.
  z = zp1 = pixel, zp2 = (0,0):
  temp = z
  z = z^zp1 - zp2
  zp2 = zp1
  zp1 = 1/temp, 
  |zp1| <= 4
  ;SOURCE: noel.frm
}


ZZZZ1 (xaxis) {; Jm Collard-Richard      -- Use Float=Yes
               ; Resol : z^z=z^(z+1)+1
  z=pixel:
  l=log(z);
  zz=z^z;
  zz1=z^(z+1);
  z1=zz-zz1-1;
  z2=(l+1)*zz-(l+(z+1/z))*zz1;
  z=z-(z1/z2) ,
  0.001<=|z1|   
  ;SOURCE: jmcr2.frm
}

